commit 355c121cd032837cad1bd54e1a560afc0712acba
Author: David King <amigadave@amigadave.com>
Date:   Mon Mar 12 13:29:22 2018 +0000

    Update NEWS for 3.28.0 release

M	NEWS
M	configure.ac

commit 671d27c97e64cf6581f661a80cbdf68340b7a3a0
Author: David King <amigadave@amigadave.com>
Date:	Mon Mar 12 13:17:11 2018 +0000

    Add new device monitor methods to documentation

M	docs/reference/cheese-sections.txt
M	libcheese/cheese-gtk.symbols

commit 673ad8a03ca9d16caf3ccbcfa64bb9cb948bba2b
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:	Sat Mar 10 01:05:18 2018 +0000

    Update Japanese translation

M	po/ja.po

commit 72a56f95a695dd52c1934905c8364c2860af76b7
Author: gogo <trebelnik2@gmail.com>
Date:	Wed Mar 7 16:26:22 2018 +0000

    Update Croatian translation

M	po/hr.po

commit efa35e4b25c203ac92b59950e112120ae76a4d4b
Author: Ondrej Holy <oholy@redhat.com>
Date:	Thu Nov 2 09:45:33 2017 +0100

    monitor: Implement GAsyncInitable interface

    Monitor initialization may block if external camera is connected,
    probably due to some kernel bug. It causes freezes for applications,
    which is not acceptable. Let's implement GAsyncInitable interface,
    so it can be initialized asynchronously.

    https://bugzilla.gnome.org/show_bug.cgi?id=782627

M	libcheese/cheese-camera-device-monitor.c
M	libcheese/cheese-camera-device-monitor.h

commit 7b1e1b343791d933a50a63bd79a22526c62832b0
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:	Sat Feb 24 11:46:56 2018 +0000

    Update Esperanto translation

M	po/eo.po

commit 40cc15dc826ab4480c51192e89f76ac893103b51
Author: Marcos Lans <marcoslansgarza@gmail.com>
Date:	Wed Feb 21 22:04:03 2018 +0000

    Update Galician translation

M	help/gl/gl.po

commit 5c2978bb864a49ed00b68bbf9a7e2c27a4bd79fd
Author: Justin van Steijn <jvs@fsfe.org>
Date:	Wed Feb 21 21:47:54 2018 +0000

    Update Dutch translation

M	help/nl/nl.po

commit 6a0bd53644941e977c6a10e0f1f9e885151eacff
Author: Mart Raudsepp <leio@gentoo.org>
Date:	Thu Feb 8 23:47:40 2018 +0000

    Update Estonian translation

M	po/et.po

commit 78e445106a3f6f2181a4b62b5d8bcda879838b86
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Thu Feb 8 03:22:59 2018 +0100

    Update Polish translation

M	help/pl/pl.po

commit bb86137d32b1634897a50b420f73a19ab4cdb7f1
Author: Pieter Schalk Schoeman <pieter@sonbesie.co.za>
Date:	Mon Feb 5 16:42:16 2018 +0000

    Update Afrikaans translation

M	po/af.po

commit 1d24ca5672f94bd1924b919f540fd8bcdf341378
Author: Pieter Schalk Schoeman <pieter@sonbesie.co.za>
Date:	Mon Feb 5 16:40:34 2018 +0000

    Update Afrikaans translation

M	po/af.po

commit c808bed88be58936369561fada0f1434b9f203b2
Author: Pieter Schalk Schoeman <pieter@sonbesie.co.za>
Date:	Mon Dec 18 14:54:42 2017 +0000

    Update Afrikaans translation

M	po/af.po

commit 470b6f8fc3618d79b7be06d90f166ef7f0a585d6
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Mon Dec 4 19:58:19 2017 +0100

    Remove the OMF file

    It’s a gnome-doc-utils/ScrollKeeper leftover.

D	help/cheese.omf.in

commit 54e2f32718d7e21597e8da589c604f8d2889cd48
Author: Guntupalli Karunakar <karunakar@indlinux.org>
Date:	Thu Nov 9 18:14:37 2017 +0000

    Update Hindi translation

M	po/hi.po

commit 9068fa251825934e81c6bac543079ab51e599b50
Author: Charles Monzat <superboa@hotmail.fr>
Date:	Sat Oct 21 17:51:58 2017 +0000

    Update French translation

M	help/fr/fr.po

commit 5fd3767f0e511a7ad88f854698421005606d0ec9
Author: Pawan Chitrakar <chautari@gmail.com>
Date:	Sun Oct 15 11:45:17 2017 +0000

    Update Nepali translation

M	po/ne.po

commit b06878709d7e1e6ef6534907cb0a548b8bdd7085
Author: Xavi Ivars <xavi.ivars@gmail.com>
Date:	Thu Oct 5 13:33:08 2017 +0200

    [l10n] Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 4a13ada4ebb60555d5676287deb61a0c776448a9
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:	Mon Oct 2 10:36:47 2017 +0000

    Update Icelandic translation

M	po/is.po

commit 3bdbd1b9fe692fb6f3f584134e39655dd649bbce
Author: Efstathios Iosifidis <eiosifidis@gnome.org>
Date:	Mon Sep 25 21:27:19 2017 +0000

    Update Greek translation

M	help/el/el.po

commit 3e276f43bba83577bbbacaa3c7f3f7b21b1d9608
Author: Fran Dieguez <frandieguez@gnome.org>
Date:	Mon Sep 25 13:17:17 2017 +0000

    Update Galician translation

M	help/gl/gl.po

commit 4d61fbd8ff83fc48bfa556e0ab88954dd942a013
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:	Fri Sep 22 22:14:56 2017 +0330

    Update Persian translations

M	po/fa.po

commit 9c0d248f993521785ebe4e0ea014ff69e2420813
Author: Andre Klapper <a9016009@gmx.de>
Date:	Sun Sep 17 11:59:43 2017 +0200

    help: Remove unused blurry images (screenshots?) that bloat the
    tarball

D	help/C/figures/cheese-delete.png
D	help/C/figures/cheese-effects.png
D	help/C/figures/cheese-introduction.png
D	help/C/figures/cheese-record.png
D	help/C/figures/cheese-save.png
D	help/C/figures/cheese-take.png
D	help/C/figures/settings.png
M	help/Makefile.am

commit f07159dfe505b93571158c496787597802bc5cda
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sat Sep 16 00:13:14 2017 +0200

    Update Polish help translation

M	help/pl/pl.po

commit 41843aad67d56918587543aec22ba15cfef25ebc
Author: David King <amigadave@amigadave.com>
Date:	Mon Sep 11 22:14:25 2017 +0100

    Update NEWS for 3.26.0 release

M	NEWS
M	configure.ac

commit f0bb0b9aec97986417aba9d800814ea7cab5e4d0
Author: Changwoo Ryu <cwryu@debian.org>
Date:	Sun Sep 3 18:01:55 2017 +0000

    Update Korean translation

M	help/ko/ko.po

commit f440d202b01e5b30bf5949e35ce54b3d832fd169
Author: Changwoo Ryu <cwryu@debian.org>
Date:	Sun Sep 3 18:01:40 2017 +0000

    Update Korean translation

M	po/ko.po

commit 2c90def3a3f84a9a216015ba37a65fe8b1ff72d5
Author: Alexander Shopov <ash@kambanaria.org>
Date:	Sat Sep 2 09:30:54 2017 +0300

    Updated Bulgarian translation

M	po/bg.po

commit 810f9f4c95fa4e60e933fb5c5aaf86990e845c09
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:	Sat Aug 26 16:25:14 2017 +0200

    Updated Danish translation

M	po/da.po

commit 79031d351af78bbec54ff19e5747404e1162a12e
Author: hanniedu <hannie@ubuntu-nl.org>
Date:	Thu Aug 24 11:26:31 2017 +0200

    Updated Dutch translation Master 3.26

M	po/nl.po

commit 803b2246eac31f1576ffb8b15bd93bdc2592fa26
Author: Fran Dieguez <frandieguez@gnome.org>
Date:	Thu Aug 10 09:54:59 2017 +0000

    Update Galician translation

M	po/gl.po

commit 0ba62cb78cab6ee8702a85e10329938c4d9a4fc2
Author: Saikeo Kavhanxay <kavhanxay@hotmail.com>
Date:	Thu Aug 10 02:43:44 2017 +0000

    Add Lao translation

M	po/LINGUAS
A	po/lo.po

commit aa20dd25248d71d11c961f321db2d61166d65f5c
Author: Jeremy Bicha <jbicha@ubuntu.com>
Date:	Tue Aug 8 23:40:56 2017 -0400

    Fix Spanish translation header

M	po/es.po

commit a5823c053a919b5208ccaf6d864b91903c4df3d3
Author: Anish Sheela <aneesh.nl@gmail.com>
Date:	Tue Aug 8 07:01:22 2017 +0000

    Update Malayalam translation

M	po/ml.po

commit 2803aca0648bd13de7ba80bf34f367a58a9be46d
Author: David King <amigadave@amigadave.com>
Date:	Tue Aug 8 06:57:36 2017 +0100

    Update NEWS for 3.25.90 release

M	NEWS
M	configure.ac

commit e55d38a41961522f7470cec72c7629b8dd4091df
Author: David King <amigadave@amigadave.com>
Date:	Mon Jul 31 12:40:30 2017 +0100

    Remove camera service

    It was an experiment, but in future PipeWire will be used instead,
    so it
    is no longer needed.

M	.gitignore
D	COPYING.GPL3
M	Makefile.am
M	configure.ac
D	data/org.gnome.Camera.service.in
D	data/org.gnome.Camera.xml
D	service/gc-application.c
D	service/gc-application.h
D	service/gc-camera-client.c
D	service/gc-camera-client.h
D	service/gc-camera-manager.c
D	service/gc-camera-manager.h
D	service/gc-client-monitor.c
D	service/gc-client-monitor.h
D	service/gc-main.c
D	tests/test-service-client.c

commit 910d8eaa5db17f2e8906d9171b23346ff0c9a34e
Author: David King <amigadave@amigadave.com>
Date:	Mon Jul 31 12:37:38 2017 +0100

    Remove some unused configuration variables

M	Makefile.am
M	src/vapi/config.vapi

commit 9f8c62638d6e687e5cc1fe88f090e03f42942b1d
Author: Pawan Chitrakar <chautari@gmail.com>
Date:	Thu Jul 27 10:28:20 2017 +0000

    Update Nepali translation

M	po/ne.po

commit b132ae0cdb013f2eea171ff0a17cf83cdeb54080
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Wed Jul 26 08:00:22 2017 +0000

    Update Spanish translation

M	help/es/es.po

commit 70f9aef5964aac1ad55bf1f29f7fe703b00eb2ba
Author: Marek Černocký <marek@manet.cz>
Date:	Sat Jul 1 12:10:04 2017 +0200

    Updated Czech translation

M	help/cs/cs.po

commit d4d3a95b0d494ffa0a7c45a33f7913cccff1bcd8
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:	Sat Jun 17 21:49:35 2017 +0000

    Update Hungarian translation

M	help/hu/hu.po

commit d146355f1e218981e81c44c8cdac7a461009ca54
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sat Jun 10 21:58:33 2017 +0200

    Add Polish help translation

M	help/Makefile.am
A	help/pl/pl.po
M	po/pl.po

commit c8c75796ff3e723d77bd68dec3fe91a072b36fc4
Author: Benjamin Berg <bberg@redhat.com>
Date:	Fri Apr 21 11:59:39 2017 +0200

    Correctly select the given camera device

    Due to a bug in the VAPI file the code would pass a string to
    the camera
    setup routine instead of a CameraDevice object. As the setup routine
    already has code to automatically select an appropriate device
    based on
    the name passing an argument is not even required.

    Note that the --device parameter might be somewhat confusing as it
    refers to the devices name and not to the /dev/videoX device file.

    https://bugzilla.gnome.org/show_bug.cgi?id=777047

M	src/cheese-application.vala
M	src/vapi/cheese-common.vapi

commit 05657bd5428839f533cac2141efa69bba78bf8c4
Author: Emin Tufan Çetin <etcetin@gmail.com>
Date:	Sun May 14 09:53:15 2017 +0000

    Update Turkish translation

M	po/tr.po

commit 5dc70f4ae4f2cbbdfc56591fe369d76f904adc44
Author: Christian Kirbach <Christian.Kirbach@gmail.com>
Date:	Sat May 13 18:12:32 2017 +0000

    Update German translation

M	help/de/de.po

commit 0f7d7310469f2124cb5c7f28eeb5b01687446ae8
Author: Andika Triwidada <atriwidada@gnome.org>
Date:	Fri May 5 12:56:35 2017 +0000

    Update Indonesian translation

M	help/id/id.po

commit 6bdba55a4ac206d5f66817b598d3039244bf8cf5
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	Wed Apr 12 15:19:25 2017 +0000

    Update Brazilian Portuguese translation

M	help/pt_BR/pt_BR.po

commit 7252a5f76cd7ab1ac0419add1791a31f0e787ceb
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	Sun Apr 9 19:28:07 2017 +0000

    Update Swedish translation

M	help/sv/sv.po

commit 810a3c3e8797481914c78c8d5977a8c619c44fb5
Author: Paul Cutler <paul.r.cutler@gmail.com>
Date:	Sun Mar 19 15:19:50 2017 -0500

    Fix bug 773526

    Fix bug 773526 to use consisent language about the user's home folder.
    Fix <files> tag to be used around one folder and not multiple folders.
    Update last sentence to shorten and simplify it.

M	help/C/photo-save.page

commit 4d3b1a02402effef91beb29788e706a4a3ea4b99
Author: Wim Taymans <wtaymans@redhat.com>
Date:	Tue Apr 4 15:35:01 2017 +0200

    camera-device: limit width and height

    Set a limit on the width and height or else we might end scanning and
    overflowing forever.

M	libcheese/cheese-camera-device.c

commit b49d0f35bd4edf59c5a0510f58c2fb6c6a68e693
Author: Wim Taymans <wtaymans@redhat.com>
Date:	Tue Apr 4 15:34:23 2017 +0200

    camera-device: handle fraction ranges

    Add support for fraction ranges

M	libcheese/cheese-camera-device.c

commit 4e848805f902fea301373cebac2b2ac2ba746d64
Author: Sébastien Wilmet <sebastien.wilmet@uclouvain.be>
Date:	Tue Mar 14 10:24:45 2017 +0100

    camera: remove dead instance variables

    https://bugzilla.gnome.org/show_bug.cgi?id=780021

M	libcheese/cheese-camera.c

commit e0f4befb62bb02522a364251e1be429942a1d446
Author: David King <amigadave@amigadave.com>
Date:	Mon Mar 20 22:57:03 2017 +0000

    Update NEWS for 3.24.0 release

M	NEWS
M	configure.ac

commit 51482efd4f9d71d2e925037128f45eabd0e93b5e
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	Sat Mar 18 22:00:42 2017 +0200

    Update Latvian translation

M	po/lv.po

commit 5b1651011ed2a4f0857debaf319b7e06327e95c5
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:	Mon Mar 13 21:06:35 2017 +0400

    Updated Russian translation

M	po/ru.po

commit 6b50b781ce0a44ceda07ee1e1d5816cc737a417c
Author: Jordi Mas <jmas@softcatala.org>
Date:	Sun Mar 12 22:49:23 2017 +0100

    Update Catalan translation

M	po/ca.po

commit b94a8fb4010e560e1b73d5371d7d782b702c03a7
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:	Sat Mar 11 08:27:35 2017 +0700

    Updated Vietnamese translation

    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

M	po/vi.po

commit 615e43ee52bcea2939e14a6416addce18ebb736c
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	Sat Mar 4 17:28:37 2017 +0200

    Updated Lithuanian translation

M	po/lt.po

commit 41d9a77ae33b7c151b2b43ae26b0c8850bfb772d
Author: Changwoo Ryu <cwryu@debian.org>
Date:	Sat Mar 4 03:42:29 2017 +0000

    Update Korean translation

M	po/ko.po

commit b570bfdd8f626572a509386741ccfe5dab60b15a
Author: Yuras Shumovich <shumovichy@gmail.com>
Date:	Fri Mar 3 17:17:13 2017 +0000

    Update Belarusian translation

M	po/be.po

commit f48a34a25d653acd9d1b4fbda85a38fe0953f4ef
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:	Wed Mar 1 11:41:07 2017 +0000

    Update Icelandic translation

    (cherry picked from commit 7a5a59a0c32b46655cd91f09c0f8874c957eddc6)

M	po/is.po

commit ab0e92222def84e0073edf045283fc38fab782c5
Author: Fran Dieguez <frandieguez@gnome.org>
Date:	Sun Feb 26 21:24:09 2017 +0000

    Update Galician translation

M	po/gl.po

commit d3cf06a1c53891099dbbedb580d1ac66bcd3b615
Author: Javier Jardón <jjardon@gnome.org>
Date:	Sun Feb 26 11:55:42 2017 +0000

    Fix build with new vala

    vala change:
    https://git.gnome.org/browse/vala/commit/?id=ddca99ea2f25b9a734831589ec209df5322520a4

    Build error:
    http://build.gnome.org/continuous/buildmaster/builds/2017/02/26/48/build/log-cheese.txt

M	src/cheese-preferences.vala

commit caa5486dd3c3d0ebed773cd38a22bb1d95f8d57a
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	Sun Feb 26 07:29:14 2017 +0100

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 2d358a2c01b977a99f06fe9f5a2f5e2b79917541
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	Thu Feb 23 16:47:39 2017 +0200

    Updated Ukrainian translation

M	po/uk.po

commit 44b505fe4d26dc0502108f72e848ec8ebeee08d6
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	Thu Feb 23 10:58:36 2017 +0000

    Update Chinese (Taiwan) translation

M	po/zh_TW.po

commit 512de3f3277fc89504f4d25507b43045ed034712
Author: Milo Casagrande <milo@ubuntu.com>
Date:	Tue Feb 21 17:04:59 2017 +0000

    Update Italian translation

M	po/it.po

commit 011f278381ebf07b459134ca4bd090561be9a007
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	Tue Feb 21 14:06:46 2017 +0000

    Update French translation

M	po/fr.po

commit 08229f387878e22873e65f1373a0f7345e2476ab
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:	Thu Feb 16 13:34:15 2017 +0100

    Updated Danish translation

M	po/da.po

commit ee8aead17c1da1b3f06b23b2b0fa01ce334dc3eb
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	Tue Feb 14 09:08:12 2017 +0100

    Updated Slovenian translation

M	po/sl.po

commit bb2e2f3f07260a95d50b1ad199e413982bb79159
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:	Mon Feb 13 16:29:01 2017 +0000

    Update Indonesian translation

M	po/id.po

commit 3a5785ae80ed88754ab38d74e2ae3ceff4a1c986
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	Sun Feb 5 17:18:21 2017 +0100

    Update Basque language

M	po/eu.po

commit 07c140b5dfebf5860c6e34108fa718417fbed09d
Author: Wim Taymans <wtaymans@redhat.com>
Date:	Wed Feb 1 17:17:47 2017 +0100

    camera: don't use hardcoded format

    Use gst_caps_fixate() to select the best format instead of trying to
    filter out a hardcoded format. Some cameras might not produce this
    format and thus fail to work.

M	libcheese/cheese-camera.c

commit 60818c03c77d075e6f10f011276dfbf7df04f5a5
Author: Dušan Kazik <prescott66@gmail.com>
Date:	Sat Jan 7 15:48:59 2017 +0000

    Update Slovak translation

M	po/sk.po

commit 30b1259f16baae080583c1e13121e4856893509e
Author: Rafael Fontenelle <rafaelff@gnome.org>
Date:	Wed Jan 4 02:32:16 2017 +0000

    Update Brazilian Portuguese translation

M	po/pt_BR.po

commit 97e585ceb96a502e1937a1c74d71857fcde79ee1
Author: Tiago Santos <tiagofsantos81@sapo.pt>
Date:	Mon Jan 2 09:53:53 2017 +0000

    Update Portuguese translation

M	po/pt.po

commit c346a1b2baa79a1588bc7bbcdc3bc401ce7408ea
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:	Sun Dec 25 13:09:17 2016 +0000

    Update Finnish translation

M	po/fi.po

commit a6e72b365fa35772a556d6852796ee8c03999810
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	Sat Dec 24 17:29:35 2016 +0000

    Update Kazakh translation

M	po/kk.po

commit 8a7a0c802844bdd8a0d8a89882b16dd08280a883
Author: Efstathios Iosifidis <eiosifidis@gnome.org>
Date:	Sat Dec 24 09:14:24 2016 +0000

    Update Greek translation

M	po/el.po

commit cdf32bd32a33af8ec9dae7a1e43c8ccc3024fdf9
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Thu Dec 22 20:00:22 2016 +0100

    Updated Spanish translation

M	po/es.po

commit cb8c5b478cf8f01e6ec179a99ada96891f4380ba
Author: Gábor Kelemen <kelemeng@openscope.org>
Date:	Thu Dec 8 21:57:59 2016 +0000

    Update Hungarian translation

M	po/hu.po

commit 78b7b6234d0dfb0e47dbe8283e447abfc885a703
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	Sun Dec 4 13:33:35 2016 +0000

    Update Occitan translation

M	po/oc.po

commit f8e8d318b2b16e4b8e4e615e714f036dc41da77f
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	Mon Nov 28 13:51:21 2016 +0000

    Update Swedish translation

M	po/sv.po

commit 785b7728059414e2d5beb50da85e99431cb41d73
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	Sun Nov 20 17:15:38 2016 +0100

    Updated Norwegian bokmål translation.

M	po/nb.po

commit d869e31393c5c34e240222528b6cae46fd458558
Author: gogo <trebelnik2@gmail.com>
Date:	Thu Nov 17 11:02:46 2016 +0000

    Update Croatian translation

M	po/hr.po

commit 7b3e818b349b233fb8c05deab03c913e3bdec2aa
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Wed Nov 16 12:51:31 2016 +0100

    Update Polish translation

M	po/pl.po

commit 989eaf9358c0c8c60e8a3e4cf66271dde7de7c1b
Author: Paul Seyfert <pseyfert@mathphys.fsk.uni-heidelberg.de>
Date:	Mon Nov 14 10:47:56 2016 +0000

    Update German translation

M	po/de.po

commit 92b3cb77bdafc6f874ebb13de6f0c9af964943ac
Author: Marek Černocký <marek@manet.cz>
Date:	Sat Nov 12 11:54:18 2016 +0100

    Updated Czech translation

M	po/cs.po

commit 6fa3923513f915925aca9023fb63440227d4781c
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	Thu Nov 10 17:50:33 2016 +0000

    Update Friulian translation

M	po/fur.po

commit 159ca2bc8f59d66d3b340810cf018a45e64d3e96
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Thu Nov 10 16:24:51 2016 +0100

    Use Unicode in translatable strings

    See https://developer.gnome.org/hig/stable/typography.html

    https://bugzilla.gnome.org/show_bug.cgi?id=772263

M	data/org.gnome.Cheese.gschema.xml

commit 924369c58cd864c9c0196836fae40565ac7c53ea
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:	Tue Oct 11 08:36:36 2016 +0000

    Update Icelandic translation
    (cherry picked from commit ae52c48bef55ee64c4f9b22de3c040a1c0df271c)

M	po/is.po

commit 109674f0d646010c2f42ff2b61322bf750d24aa4
Author: gogo <trebelnik2@gmail.com>
Date:	Thu Sep 22 20:27:13 2016 +0000

    Updated Croatian translation
    (cherry picked from commit ef17b716eb6bde03e35bf45ffa64590e9685e745)

M	po/hr.po

commit 7b16d07e0579f8b361577aa17fa4e2e0dedc5fe9
Author: David King <amigadave@amigadave.com>
Date:	Tue Sep 20 07:04:43 2016 +0200

    Update NEWS for 3.22.0 release

M	NEWS
M	configure.ac

commit 1db070129b0e5f02dd1325bc29359fa894bb2dc6
Author: David King <amigadave@amigadave.com>
Date:	Tue Sep 13 11:20:36 2016 +0200

    Update NEWS for 3.21.92 release

M	NEWS
M	configure.ac

commit 9f3e4990c725995683dac2b4222b81dc554ac7f9
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Wed Sep 7 04:10:58 2016 +0200

    Updated Polish translation

M	po/pl.po

commit c090bb451811f4215d67e32e3470d9cee455a4cc
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Mon Aug 22 15:38:27 2016 +0200

    Updated Polish translation

M	po/pl.po

commit f76ebc6b82c567d4597dda4f1d2a47171e52e169
Author: David King <amigadave@amigadave.com>
Date:	Tue Aug 16 10:17:41 2016 +0200

    Update British English translation

M	po/en_GB.po

commit 6caeaa16ba3fff065461d57338efc5a165ad0f6a
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	Tue Aug 9 17:05:13 2016 +0300

    Updated Hebrew translation

M	po/he.po

commit b80429c31fe6bc2dd8581995c396d2faf4badc70
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Tue Aug 2 16:42:00 2016 +0200

    Updated Spanish translation

M	po/es.po

commit b10e721e96e741811a631b8b4a1824bb34eef1db
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Thu Jul 14 22:54:42 2016 +0200

    Add Language headers to po files

    Future versions of gettext will fail if this header is missing.

M	po/as.po
M	po/be@latin.po
M	po/bn.po
M	po/ca@valencia.po
M	po/dz.po
M	po/en@shaw.po
M	po/es.po
M	po/hr.po
M	po/ka.po
M	po/km.po
M	po/ko.po
M	po/ku.po
M	po/ky.po
M	po/mai.po
M	po/mk.po
M	po/ms.po
M	po/nb.po
M	po/nds.po
M	po/nn.po
M	po/ps.po
M	po/sl.po
M	po/sq.po
M	po/sr@latin.po
M	po/ta.po
M	po/ug.po
M	po/zh_HK.po

commit 1d800f5c8eddfae3863ab18448f89e8ad8086549
Author: Vishal Bhalani <vishalbhalani89@gmail.com>
Date:	Mon Jul 4 13:38:47 2016 +0000

    Updated Gujarati translation

M	po/gu.po

commit 0b7c515d13cec42c8b0d60a5df1012d01dce0748
Author: David King <amigadave@amigadave.com>
Date:	Tue Jun 21 06:55:47 2016 +0100

    Update NEWS for 3.21.3 release

M	NEWS
M	configure.ac

commit 001ca561543b7cb47ca8056799c980b90c76bb0e
Author: Andika Triwidada <atriwidada@gnome.org>
Date:	Sat Jun 18 15:21:42 2016 +0000

    Updated Indonesian translation
    (cherry picked from commit 1c671bfc7214bc214a9330912a4848379f80faa1)

M	po/id.po

commit 2e6057aca0767d99698dc18d7ef8d6fc290cd160
Author: Emmanuele Bassi <ebassi@gnome.org>
Date:	Fri Jun 3 14:10:55 2016 +0100

    Ensure autogen works in non-srcdir builds

    Only the configure script should be run from the build directory; the
    rest of the ancillary tools that modify the sources and generate the
    configure script itself need to be run inside the source directory.

M	autogen.sh

commit 466f7be6c125b162c743949b88ddb2a2aa167953
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	Mon May 30 16:08:14 2016 +0000

    Updated Occitan translation

M	po/oc.po

commit 099ef0e0d54cc8fffe08f22d5795ce44ab326656
Author: Akom Chotiphantawanon <knight2000@gmail.com>
Date:	Thu May 19 15:42:23 2016 +0700

    Updated Thai translation

M	po/th.po

commit fd4b27876ba079a06cc1e3b7f2957a7771c6dd45
Author: David King <amigadave@amigadave.com>
Date:	Fri May 13 10:05:16 2016 +0100

    Use AM_DISTCHECK_CONFIGURE_FLAGS

    DISTCHECK_CONFIGURE_FLAGS is for users and packagers to override
    distcheck options, while AM_DISTCHECK_CONFIGURE_FLAGS is for the
    maintainer of the software.

    https://www.gnu.org/software/automake/manual/automake.html#DISTCHECK_005fCONFIGURE_005fFLAGS

M	Makefile.am

commit 3c64cbfa1b05cc9bebdb3a138c40c320331a6178
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	Sun May 8 17:20:13 2016 +0000

    Updated Occitan translation

M	po/oc.po

commit ccb33f99c866e0eec0d73596aac2ee1f1262ae44
Author: David King <amigadave@amigadave.com>
Date:	Thu May 5 14:22:37 2016 +0100

    Explicitly mark the GSettings schema for intltool

    As recommended in the GSettings documentation.

M	po/POTFILES.in

commit 6e0dd86904c717ae635db64c66b371de8de88c76
Author: David King <amigadave@amigadave.com>
Date:	Thu May 5 14:22:23 2016 +0100

    Add gettext-domain the GSettings schema

M	data/org.gnome.Cheese.gschema.xml

commit 4bb6cf6069159595163e24a5464423b245c664e4
Author: David King <amigadave@amigadave.com>
Date:	Tue May 3 15:47:30 2016 +0100

    Fix fallback application icon name

    https://bugzilla.gnome.org/show_bug.cgi?id=765874

M	src/cheese-application.vala

commit 7a899c73e4ed4343805d795f24984d836bdc890d
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	Tue Apr 19 14:17:13 2016 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit e7014fffc4d3f3aa6cb971db0804ea2821e1dc9f
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	Tue Apr 19 14:12:02 2016 +0000

    Updated Brazilian Portuguese translation

M	help/pt_BR/pt_BR.po

commit 1edb9bd9011c7695701940e7eda25d46999d7167
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	Tue Apr 19 13:47:16 2016 +0000

    Updated Brazilian Portuguese translation
    (cherry picked from commit fa8f3dce906667c1772782958627122e33552e30)

M	help/pt_BR/pt_BR.po

commit d9925288577446f2578980da34c41266e3b60c8e
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	Sat Apr 16 08:28:36 2016 +0000

    Updated Friulian translation
    (cherry picked from commit c249433c1216a169611dc2b41e66010490efa0bc)

M	po/fur.po

commit aa50c7cd5386a360e86cd22de751bf22a761f45b
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	Sat Apr 9 10:04:23 2016 +0000

    Updated Friulian translation
    (cherry picked from commit 6e41f37706ccbade4f3f5a219c1689c3f8907109)

M	po/fur.po

commit 870fdfa792db9eb4f7ac52ced5c19e5e34dfd62d
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:	Fri Apr 8 20:59:45 2016 +0430

    Update Persian translations

M	po/fa.po

commit a19502dd6f5baf25644f6764387cb65154f8c8e3
Author: Alexander Shopov <ash@kambanaria.org>
Date:	Tue Apr 5 06:40:24 2016 +0300

    Updated Bulgarian translation

M	po/bg.po

commit a0dfb16deacc8b4acab0d038beccb608eb09084e
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:	Sun Mar 27 07:14:21 2016 +0700

    Updated Vietnamese translation

    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

M	po/vi.po

commit 382ad03f13384b200c0d856d0cdf7bf99bba9164
Author: Daniel Șerbănescu <daniel@serbanescu.dk>
Date:	Thu Mar 24 21:49:31 2016 +0000

    Updated Romanian translation

M	po/ro.po

commit b1a348cada555202cfe08e7b8eab61e9d2497b36
Author: Илья Кузьмин <dargonaxxe@gmail.com>
Date:	Wed Mar 23 00:12:41 2016 +0600

    fileutil: implement translation of Webcam folder

    In this commit I added the feature that folder containing captured
    photos and videos has a name that suits the locale is used by system.

    The problem is that folder to save captured pics and videos has strict
    name "Webcam".

    To fix this problem I used gettext method.

    https://bugzilla.gnome.org/show_bug.cgi?id=761958

M	libcheese/cheese-fileutil.c
M	po/POTFILES.in

commit 7b18f7115eaf91b452a1cd926bc0526755afa126
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	Tue Mar 22 19:42:53 2016 +0200

    Updated Ukrainian translation

M	po/uk.po

commit be6d553d8066a67d34f8ef16ca6a28f736a16168
Author: David King <amigadave@amigadave.com>
Date:	Tue Mar 22 06:21:39 2016 +0000

    Update NEWS for 3.20.0

M	NEWS
M	configure.ac

commit 61f8a9bf4b93068cd459592939869176a1c558a5
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	Sun Mar 20 21:16:40 2016 +0000

    Updated Friulian translation

M	po/fur.po

commit e0377a0fff9121067af678e720f54ed086868d37
Author: Youngbin Han <sukso96100@gmail.com>
Date:	Sun Mar 20 07:51:37 2016 +0000

    Updated Korean translation

M	help/ko/ko.po

commit b40b5de0b8a351e5abed2783e8a8cc03d62fb7e7
Author: Muhammet Kara <muhammetk@gmail.com>
Date:	Sat Mar 19 18:17:51 2016 +0000

    Updated Turkish translation

M	po/tr.po

commit 83afa37ab6dbd720f28621e8ad0650659a364b6a
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:	Sat Mar 19 02:43:35 2016 +0100

    Updated Danish translation by scootergrisen

M	po/da.po

commit 0543c7fb953841a65541cfc528a1340a7f0ea057
Author: Kento Tsuji <tuziemon@pclives.org>
Date:	Thu Mar 17 13:39:38 2016 +0000

    Updated Japanese translation

M	po/ja.po

commit cea313acf004da322eee86fb72c820391d46bddc
Author: dooteo <dooteo@MacPro1.zundan.com>
Date:	Tue Mar 15 15:03:43 2016 +0100

    Updated Basque translation

M	po/eu.po

commit 90b04df00f212123721da1627de3b406fcb198ee
Author: Changwoo Ryu <cwryu@debian.org>
Date:	Sat Mar 12 18:15:44 2016 +0000

    Updated Korean translation

M	po/ko.po

commit d1a29963814d6700f8cbd90d0d059758178faf1d
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	Wed Mar 9 01:00:33 2016 +0000

    Updated Portuguese translation

M	po/pt.po

commit 2fc1837c3e46dc9dfc97773595b10072308cb527
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	Sat Mar 5 21:03:47 2016 +0200

    Updated Lithuanian translation

M	po/lt.po

commit 95e39d1c6695a3ce4ea5828487d9103f40c5d797
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	Sat Mar 5 19:37:29 2016 +0100

    Updated Slovenian translation

M	po/sl.po

commit bf216db801b5d8a11da7d989c604967943506f31
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	Sat Mar 5 10:20:22 2016 +0000

    Updated Kazakh translation

M	po/kk.po

commit b1839a997f7f032c60bf2062906bd2d795015597
Author: Stas Solovey <whats_up@tut.by>
Date:	Fri Mar 4 20:33:38 2016 +0000

    Updated Russian translation

M	po/ru.po

commit b92576b0f7c015eab5f60926005818643ddc4aa7
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:	Wed Mar 2 20:13:44 2016 +0000

    Updated Finnish translation

M	po/fi.po

commit f1b3a5fa357849881812f3cd6307ad1140bce13b
Author: Dingzhong Chen <wsxy162@gmail.com>
Date:	Wed Mar 2 13:44:54 2016 +0800

    Update zh_CN translation

M	po/zh_CN.po

commit 0551a56348bcf65bffd244d85f1a2d5b291fcb70
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	Tue Mar 1 20:48:32 2016 +0200

    Update Latvian translation

M	po/lv.po

commit c61e3e9ce10858048d608ddfe04037c4c677e263
Author: hanniedu <lafeber-dumoleyn2@zonnet.nl>
Date:	Mon Feb 29 17:39:33 2016 +0100

    Updated Dutch translation Master 3.20

M	po/nl.po

commit 338417871d294a2370adf2ba32c8f0386e53502a
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	Sun Feb 28 15:39:52 2016 +0100

    Updated Norwegian bokmål translation.

M	po/nb.po

commit b5141a3a80e78c03ef9ee226d02f73c0dc2f9229
Author: Милош Поповић <gpopac@gmail.com>
Date:	Thu Feb 25 13:38:45 2016 +0000

    Updated Serbian Latin translation

M	po/sr@latin.po

commit 508f609f6220075a6a97901e9ec5d618b4b18b5a
Author: Марко Костић <marko.m.kostic@gmail.com>
Date:	Thu Feb 25 13:26:41 2016 +0000

    Updated Serbian translation

M	po/sr.po

commit 51412c5e09d3aa21e136b4f4fd90f95062404366
Author: Marek Černocký <marek@manet.cz>
Date:	Thu Feb 25 10:50:54 2016 +0100

    Updated Czech translation

M	po/cs.po

commit c303df19402a01cc49393897a93cbb2f69d5f002
Author: Fran Dieguez <fran.dieguez@mabishu.com>
Date:	Tue Feb 23 19:49:09 2016 +0100

    Updated Galician translations

M	po/gl.po

commit 11f3729956d2979893170774c0a1154e562c7ddf
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	Tue Feb 23 18:14:57 2016 +0000

    Updated Occitan translation

M	po/oc.po

commit b9dec0fade250e2fecade7a68d349ff8510d5bc8
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	Tue Feb 23 17:31:00 2016 +0000

    Updated Occitan translation

M	po/oc.po

commit e1e609c0ae83187e54d37e9ef57b767a2233251b
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	Sun Feb 21 23:25:05 2016 +0000

    Updated French translation

M	po/fr.po

commit d444a9af53450e8934a28b04aec761ae1bdb48d1
Author: Efstathios Iosifidis <eiosifidis@gnome.org>
Date:	Sat Feb 20 09:56:58 2016 +0000

    Updated Greek translation

M	po/el.po

commit b732b3926ba2f31b39c4524a90f1d91650d3d9a7
Author: Milo Casagrande <milo@ubuntu.com>
Date:	Thu Feb 18 11:16:31 2016 +0000

    Updated Italian translation

M	po/it.po

commit 898b57360b734e322febd8da479f8d3394bd48c8
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	Tue Feb 16 22:17:47 2016 +0100

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 4cb2d5d1fe498be7facf9d7dded1e7502e6fafa3
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Tue Feb 16 18:45:20 2016 +0100

    Updated Spanish translation

M	po/es.po

commit 196d353cc708436ef781c11578e6232c8d16f1c7
Author: David King <amigadave@amigadave.com>
Date:	Tue Feb 16 10:05:56 2016 +0000

    Update NEWS for 3.19.90

M	NEWS
M	configure.ac

commit e408dd4661c6cd049090a75448bc35542556236f
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Feb 14 18:51:43 2016 +0100

    Updated Polish translation

M	po/pl.po

commit 1fbb6a3efca17a09fd152f0d2121661650ea065b
Author: Rafael Fontenelle <rffontenelle@gmail.com>
Date:	Sun Feb 14 17:06:22 2016 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 87ca9ba5a4548b773cf6c5e2d53381bf528106e9
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	Sat Feb 13 21:24:33 2016 +0100

    Updated German translation

M	po/de.po

commit 3b1138cdfc96720700c5c0647e770b01131cb19b
Author: Dušan Kazik <prescott66@gmail.com>
Date:	Sat Feb 13 08:33:12 2016 +0000

    Updated Slovak translation

M	po/sk.po

commit efd64bd767bb8abd3dbdf2ac588a9661e8825f69
Author: Balázs Meskó <meskobalazs@gmail.com>
Date:	Fri Feb 12 16:57:31 2016 +0000

    Updated Hungarian translation

M	po/hu.po

commit c31122892f28a1d66b6513aa946725678ecc2d55
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	Fri Feb 12 15:21:21 2016 +0000

    Updated Swedish translation

M	po/sv.po

commit 20c8fe43c5ebed02202a5c83335050b6371064fa
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	Fri Feb 12 13:50:24 2016 +0100

    Use same alias as upstream for XDG directories

    https://bugzilla.gnome.org/show_bug.cgi?id=761952

M	data/org.gnome.Cheese.gschema.xml

commit da3c422a8aecabc564704a67224cb2b5915c510e
Author: Sebastian Rasmussen <sebras@gmail.com>
Date:	Fri Feb 12 11:09:05 2016 +0100

    Add Swedish help translation

M	help/Makefile.am
A	help/sv/sv.po

commit 0f3cfb96b6972ff4b0ac8a0456447aa15dd9916d
Author: Sebastian Rasmussen <sebras@gmail.com>
Date:	Sun Jan 31 21:23:41 2016 +0000

    Updated Swedish translation

M	po/sv.po

commit 421af5fbfd5d2aac3eb8107c9130f6d9d38eddcb
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:	Wed Jan 27 18:28:49 2016 +0100

    Rename icon to match application namespace

    This is required in preparation for xdg-app.

    https://bugzilla.gnome.org/show_bug.cgi?id=761197

M	Makefile.am
R100	data/icons/16x16/cheese.png
data/icons/16x16/org.gnome.Cheese.png
R100	data/icons/22x22/cheese.png
data/icons/22x22/org.gnome.Cheese.png
R100	data/icons/24x24/cheese.png
data/icons/24x24/org.gnome.Cheese.png
R100	data/icons/256x256/cheese.png
data/icons/256x256/org.gnome.Cheese.png
R100	data/icons/32x32/cheese.png
data/icons/32x32/org.gnome.Cheese.png
R100	data/icons/48x48/cheese.png
data/icons/48x48/org.gnome.Cheese.png
R100	data/icons/cheese.svg	data/icons/org.gnome.Cheese.svg
R100	data/icons/symbolic/cheese-symbolic.svg
data/icons/symbolic/org.gnome.Cheese-symbolic.svg
M	data/org.gnome.Cheese.desktop.in.in
M	src/cheese-application.vala

commit 2278cf0ec1365b411a431b9501df57cb2d9ffe74
Author: David King <amigadave@amigadave.com>
Date:	Tue Dec 15 13:59:09 2015 +0000

    Drop udev dependency

    All that udev was used for is now covered by GstDeviceMonitor.

M	configure.ac

commit 49a41e55e74ed71f1a6abdc354f035f2f2a2ae89
Author: Richard Hughes <richard@hughsie.com>
Date:	Mon Jan 25 16:00:51 2016 +0000

    Add a missing tag to the AppData file

M	data/org.gnome.Cheese.appdata.xml.in

commit 6d0f5f30cb2efcd90337fde555cae1c534336aed
Author: Richard Hughes <richard@hughsie.com>
Date:	Mon Jan 25 16:00:07 2016 +0000

    Update the AppData to spec version 0.7+

M	data/org.gnome.Cheese.appdata.xml.in

commit 9cd86c5d36d276a67023e520ae15a2c75f1d5255
Author: Colin Walters <walters@verbum.org>
Date:	Fri Jan 22 10:13:28 2016 -0500

    build-sys: Annotate we don't support srcdir != builddir from git

    Due to vala.

M	configure.ac

commit 80ada8d07ff7689c02ace52688b733f79d0c1dda
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:	Sat Jan 16 03:08:37 2016 +0000

    Updated Japanese translation

M	po/ja.po

commit 7ab87081c3b84b1ee073b84d632f62a7c1adc431
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	Sun Jan 10 17:10:36 2016 +0200

    Updated Lithuanian translation

M	po/lt.po

commit c9b1f3a5ac04d0a883a8061b9b594c4dd797c870
Author: Daniel Martinez <dmartinez@src.gnome.org>
Date:	Sun Dec 27 19:16:57 2015 +0100

    Update Aragonese translation

M	po/an.po

commit c0331449155181fb447c4f1d35d590b782b91ab4
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Fri Dec 18 13:32:37 2015 +0100

    Updated HELP_LINGUAS

M	help/Makefile.am

commit f5785e9c702356c6e66766f854eeea080aa0316f
Author: hanniedu <lafeber-dumoleyn2@zonnet.nl>
Date:	Fri Dec 18 08:39:37 2015 +0100

    Add Dutch translation manual

A	help/nl/nl.po

commit 60df6cbcde70f4c7034555698fff49fa745fce51
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	Sun Dec 13 20:07:05 2015 +0100

    Updated Slovenian translation

M	po/sl.po

commit 132280bae241bcf4b9553674e32e05af97703594
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Mon Nov 23 19:01:12 2015 +0100

    Updated Spanish translation

M	help/es/es.po

commit 24c361cfd91d1a03ce86459cd1c6768df540b596
Author: Daniel Martinez <dmartinez@src.gnome.org>
Date:	Thu Nov 19 21:27:03 2015 +0100

    Update Aragonese translation

M	po/an.po

commit 6de4e5936e7ea327fa672faedec58288ef4e0572
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	Thu Nov 19 21:22:57 2015 +0200

    Updated Hebrew translation

M	po/he.po

commit c7cc5c5ed5e87effc4494dd2e95dce1e1942a644
Author: Dean Chen <wsxy162@gmail.com>
Date:	Sat Nov 14 12:51:05 2015 +0800

    Update zh_CN translations

M	po/zh_CN.po

commit d1f9cedd0114b28160308165fd9e57a29ad2dcd4
Author: Akom Chotiphantawanon <knight2000@gmail.com>
Date:	Tue Nov 10 11:53:30 2015 +0700

    Updated Thai translation

M	po/th.po

commit 855988ab7612c236db5933fb62c9f90016c6e5d3
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	Fri Oct 16 14:09:51 2015 +0300

    Updated Ukrainian translation

M	po/uk.po

commit bfa14b2604e77ee1077a1e7e3d9a4ea727aba34a
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	Wed Oct 14 10:35:29 2015 +0200

    Updated Basque language

M	po/eu.po

commit cb8acc6ac61081086b1dd321268ba87eaad2093a
Author: Youngbin Han <sukso96100@gmail.com>
Date:	Sun Oct 11 01:38:35 2015 +0900

    Added Korean help translation

M	help/Makefile.am
A	help/ko/ko.po

commit dd22d4cbb0a9897a10e00784f5755b64ef54d53e
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	Mon Oct 5 05:47:54 2015 +0000

    Updated Friulian translation

M	po/fur.po

commit abaacdefc29c12c762e85dae757431518dc47427
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:	Sun Oct 4 07:12:36 2015 +0000

    Updated Finnish translation

M	po/fi.po

commit 69437eac6b6aba20331052db8f273c0e3d5c19d2
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:	Sun Oct 4 02:01:19 2015 +0200

    Updated Esperanto translation

M	po/eo.po

commit cd593402e95b28dd01566e78681b780ee9c2392e
Author: Changwoo Ryu <cwryu@debian.org>
Date:	Tue Sep 29 18:20:14 2015 +0900

    Updated Korean translation

M	po/ko.po

commit fd2626dd998705e348c3e42dbae58166c9d68b5f
Author: Milo Casagrande <milo@ubuntu.com>
Date:	Sun Sep 27 20:40:22 2015 +0000

    Updated Italian translation

M	po/it.po

commit f8bef54e0cdb51f55fc747afa1b4fadb551efefa
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:	Sat Sep 26 07:18:15 2015 +0700

    Updated Vietnamese translation

    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

M	po/vi.po

commit 676c491c6881d3718a430b266f57bdcbb2956e87
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:	Thu Sep 24 05:12:44 2015 +0200

    Update Arabic translation

M	po/ar.po

commit cf275e977944b28626d6a7a2a8fc28c02a2e85af
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Tue Sep 22 19:26:49 2015 +0200

    Updated Spanish translation

M	po/es.po

commit 8c618eab2b32a7551ad5ab86174d863f81ffcc19
Author: David King <amigadave@amigadave.com>
Date:	Tue Sep 22 13:31:08 2015 +0100

    Fix resizing and scaling of video preview

    Allow the preview to expand, and set a reasonable minimum height and
    width.

M	data/cheese-viewport.json

commit daff3c4ba8bbcddd91e0fcb2b5832c16f546a9a0
Author: David King <amigadave@amigadave.com>
Date:	Tue Sep 22 13:23:07 2015 +0100

    Set a minimum effect actor size

    This allows the effects previews to expand with the size of the
    window.

M	src/cheese-window.vala

commit ec346d74821444506fca27dbd43ff4ab32872bfd
Author: David King <amigadave@amigadave.com>
Date:	Tue Sep 22 11:54:23 2015 +0100

    Replace some stray references to ClutterTexture

    Fix rendering into effects previews, although the size of the previews
    is still incorrect.

    https://bugzilla.gnome.org/show_bug.cgi?id=755084

M	libcheese/cheese-camera.c
M	src/cheese-window.vala

commit d3aa1fd17704e7c748417b7012c259dc1105bdc1
Author: David King <amigadave@amigadave.com>
Date:	Tue Sep 22 00:21:14 2015 +0100

    Fix German desktop file translation

M	po/de.po

commit f5bb3119b99962e809486575c83190b42f74c218
Author: David King <amigadave@amigadave.com>
Date:	Tue Sep 22 00:03:34 2015 +0100

    Update NEWS for 3.18.0 release

M	NEWS
M	configure.ac

commit 75e1fc1fdeaeabf54bc6ccc87c946173e8df1e21
Author: Милош Поповић <gpopac@gmail.com>
Date:	Mon Sep 21 21:35:03 2015 +0000

    Updated Serbian Latin translation

M	po/sr@latin.po

commit cb1e0c8c789fd1b91c0c15d857c1775c72555a6a
Author: Милош Поповић <gpopac@gmail.com>
Date:	Mon Sep 21 21:33:49 2015 +0000

    Updated Serbian translation

M	po/sr.po

commit 7cfd7afde94183c9864537768329a7337e307e9d
Author: Balázs Úr <urbalazs@gmail.com>
Date:	Mon Sep 21 06:51:17 2015 +0000

    Updated Hungarian translation

M	po/hu.po

commit 76fe103e66293d80608dcde87b75e7e95f6f68c4
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:	Sun Sep 20 20:16:02 2015 +0200

    Updated Danish translation

M	po/da.po

commit 27f368037a29c4562f3d60c52b6a0fe14f7a1207
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	Sun Sep 20 17:31:12 2015 +0000

    Updated Swedish translation

M	po/sv.po

commit 2d4afb826f60f5411f1bbcdf63d81c40951e81d1
Author: Rafael Fontenelle <rffontenelle@gmail.com>
Date:	Sun Sep 20 15:15:39 2015 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 3303699106c7acf603283783df5aef454295222d
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	Sun Sep 20 12:30:01 2015 +0200

    Updated Norwegian bokmål translation.

M	po/nb.po

commit 5dc00ad2543679b2445f4fe7a7b9ffe458c5b1a3
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	Sun Sep 20 09:51:07 2015 +0000

    Updated Greek translation

M	po/el.po

commit ccbaaef200ee20830b7d114d460c74f7e58e5746
Author: Fran Dieguez <fran@openhost.es>
Date:	Sun Sep 20 00:20:12 2015 +0200

    Updated Galician translations

M	po/gl.po

commit 8f2be45b2fc04e23f1a03b9ab4f84a4ef2efbe59
Author: Cheng-Chia Tseng <>
Date:	Sat Sep 19 15:44:02 2015 +0000

    Updated Chinese (Taiwan) translation

M	po/zh_TW.po

commit 7d4e3c1afacf430eb9864950bc531bc91136e678
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	Sat Sep 19 18:11:00 2015 +0300

    Updated Lithuanian translation

M	po/lt.po

commit b3f032117aef2fa3ab40118055da76a1fc44ec3b
Author: Alain Lojewski <allomervan@gmail.com>
Date:	Sat Sep 19 12:47:06 2015 +0000

    Updated French translation

M	po/fr.po

commit 6a87530e03dfd38581c2b0bdb23a88ecccd67064
Author: Marek Černocký <marek@manet.cz>
Date:	Sat Sep 19 11:52:19 2015 +0200

    Updated Czech translation

M	po/cs.po

commit 1c8f0077c60b8052d964e961e0f18bb285afff50
Author: Muhammet Kara <muhammetk@gmail.com>
Date:	Sat Sep 19 07:47:53 2015 +0000

    Updated Turkish translation

M	po/tr.po

commit d6fd5b37c3bb85c8014cbf83e5e840228e64619a
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:	Sat Sep 19 07:16:04 2015 +0000

    Updated Portuguese translation

M	po/pt.po

commit 1af5e8761f3087165dd2034de99521eba8293afd
Author: Ask Hjorth Larsen <asklarsen@gmail.com>
Date:	Fri Sep 18 22:39:27 2015 +0200

    Updated Danish translation by scootergrisen

M	po/da.po

commit d4d49ada9ef4c4b6942b47c8d3d373e8c9726f78
Author: Stas Solovey <whats_up@tut.by>
Date:	Fri Sep 18 20:16:04 2015 +0000

    Updated Russian translation

M	po/ru.po

commit 7a4d6f5fa08942f5d2318609a3ccca211c9307bd
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	Fri Sep 18 22:59:43 2015 +0300

    Updated Latvian translation

M	po/lv.po

commit a5de8019d6197291011b330d604ba69398539a88
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	Fri Sep 18 16:42:18 2015 +0000

    Updated Kazakh translation

M	po/kk.po

commit b89afb12f537d4674724729b1b5c7ff8a3d6e5ce
Author: Dušan Kazik <prescott66@gmail.com>
Date:	Fri Sep 18 14:48:43 2015 +0000

    Updated Slovak translation

M	po/sk.po

commit a15b6b335dd2beceb6c4c9830c5594061ed5ec43
Author: Bernd Homuth <dev@hmt.im>
Date:	Fri Sep 18 14:24:40 2015 +0000

    Updated German translation

M	po/de.po

commit 245919544bce7d7615520dccfaca52809f900b65
Author: Andika Triwidada <andika@gmail.com>
Date:	Fri Sep 18 13:02:42 2015 +0000

    Updated Indonesian translation

M	po/id.po

commit d4a1e6bd57721385feff109aa7660c7fbf78ed66
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Fri Sep 18 09:49:16 2015 +0200

    Updated Polish translation

M	po/pl.po

commit 076aa0592a0a32766b6b743c54026a2f7ef496e8
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Fri Sep 18 09:47:21 2015 +0200

    Mark forgotten strings for translation

    Not a string freeze break.

M	src/cheese-window.vala

commit 73591f77cbc752b00f13b8b4e558d8c7bd5d3f64
Author: Stas Solovey <whats_up@tut.by>
Date:	Thu Sep 17 09:43:26 2015 +0000

    Updated Russian translation

M	po/ru.po

commit 13e3b95ca685cbae8babcc98b03a6e3b3d824c46
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	Wed Sep 16 14:25:35 2015 +0300

    Updated Latvian translation

M	po/lv.po

commit 381a1d5bd4ae261dca846e042e941d23660fcd70
Author: David King <amigadave@amigadave.com>
Date:	Mon Sep 14 21:21:31 2015 +0100

    Update NEWS for 3.17.92 release

M	NEWS
M	configure.ac

commit 776161000076ba5fd695a3c1f781484781280d20
Author: Fran Dieguez <fran@openhost.es>
Date:	Mon Sep 14 16:17:13 2015 +0200

    Updated Galician translations

M	po/gl.po

commit 4b0384c1bd08a5bd95f9ffa83ac8bae95e2cf1a8
Author: David King <amigadave@amigadave.com>
Date:	Mon Sep 14 11:44:38 2015 +0100

    Maintain aspect ratio when resizing preview window

    Set content-gravity on the preview actor to
    CLUTTER_CONTENT_GRAVITY_RESIZE_ASPECT.

    https://bugzilla.gnome.org/show_bug.cgi?id=754988

M	data/cheese-viewport.json

commit 46fcf09db5e4acd5d30d4e6cc7c6cfa357134094
Author: Marek Černocký <marek@manet.cz>
Date:	Mon Sep 14 12:17:27 2015 +0200

    Updated Czech translation

M	po/cs.po

commit c91ec292cd726cb883a3014e1480d691de98ae59
Author: Tsuji Kento <tuziemon@pclives.org>
Date:	Sun Sep 13 23:45:23 2015 +0900

    Updated Japanese translation

M	po/ja.po

commit b193472976d550bc1123de6244f4ca52f83a18ac
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:	Sun Sep 13 23:44:40 2015 +0900

    Updated Japanese translation

    Merge the latest pot.

M	po/ja.po

commit 380e262d8d7b81d9694939716634ba213b3a3cbc
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:	Fri Sep 11 23:50:30 2015 +0430

    Updated Persian translation

M	po/fa.po

commit c73d9d85f98a99dff0079d2ede8cd1cd1f47662c
Author: Jiri Grönroos <jiri.gronroos+l10n@iki.fi>
Date:	Thu Sep 10 18:42:28 2015 +0300

    Finnish translation update

M	po/fi.po

commit b868cf398d4560dffaeae982812b47ba29c9240c
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	Mon Sep 7 19:55:47 2015 +0200

    Updated Norwegian bokmål translation.

M	po/nb.po

commit 8f82e29416ca47ce5c8b088e0d6e1983cf47ef73
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	Mon Sep 7 12:09:41 2015 +0000

    Updated French translation

M	po/fr.po

commit 38849fbdc2c7fd88c32b19f09e35ec5c61d57cea
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	Mon Sep 7 14:02:31 2015 +0300

    Updated Lithuanian translation

M	po/lt.po

commit ea40e6699dda8a1003b0ed3d207a77979c294352
Author: Muhammet Kara <muhammetk@gmail.com>
Date:	Sun Sep 6 04:14:18 2015 +0000

    Updated Turkish translation

M	po/tr.po

commit 63e5349bbea22af505e873d65d80b51ad9110074
Author: Bernd Homuth <dev@hmt.im>
Date:	Sat Sep 5 20:32:40 2015 +0000

    Updated German translation

M	po/de.po

commit cf3ea678831f0ef224737eb8e08e4644cc0f57ee
Author: Changwoo Ryu <cwryu@debian.org>
Date:	Sun Sep 6 04:06:35 2015 +0900

    Updated Korean translation

M	po/ko.po

commit 0e660ff840a840960b616d6873cdb260c5c06c07
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	Fri Sep 4 22:45:05 2015 +0000

    Updated Greek translation

M	po/el.po

commit 013028e569ddda71f0dfb6be41919d3ae588f1ff
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	Fri Sep 4 17:30:38 2015 +0000

    Updated Kazakh translation

M	po/kk.po

commit fed3d1b9e62d1f99022542c160cddea4f4485d00
Author: Bastien Nocera <hadess@hadess.net>
Date:	Fri Sep 4 10:41:17 2015 +0200

    libcheese: Fix a run-time warning

     #0  0x00007ffff0ea4623 in _g_log_abort (breakpoint=1) at
     gmessages.c:324
     #1  g_logv (log_domain=0x7ffff11c9224 "GLib-GObject",
     log_level=G_LOG_LEVEL_CRITICAL, format=<optimized out>,
     args=args@entry=0x7fffffffc738) at gmessages.c:1081
     #2  0x00007ffff0ea4782 in g_log (log_domain=<optimized
     out>, log_level=<optimized out>, format=<optimized out>) at
     gmessages.c:1119
     #3  0x00007ffff7bd1cac in cheese_camera_set_property
     (object=0x1772ee0, prop_id=2, value=0x7fffffffc890, pspec=0x1782ae0)
     at libcheese/cheese-camera.c:1332

    https://bugzilla.gnome.org/show_bug.cgi?id=754556

M	libcheese/cheese-camera.c

commit 12bce8bfda1226f3a813cdfe4317067fa4a1ead0
Author: Bastien Nocera <hadess@hadess.net>
Date:	Fri Sep 4 10:35:39 2015 +0200

    libcheese: Fix warning on exit

     #0  0x00007ffff0ea4623 in _g_log_abort (breakpoint=1) at
     gmessages.c:324
     #1  g_logv (log_domain=0x7ffff11c9224 "GLib-GObject",
     log_level=G_LOG_LEVEL_CRITICAL, format=<optimized out>,
     args=args@entry=0x7fffffffd448) at gmessages.c:1081
     #2  0x00007ffff0ea4782 in g_log (log_domain=<optimized
     out>, log_level=<optimized out>, format=<optimized out>) at
     gmessages.c:1119
     #3  0x00007ffff7bd2380 in cheese_camera_finalize (object=0x14022d0)
     at libcheese/cheese-camera.c:1274

    https://bugzilla.gnome.org/show_bug.cgi?id=754556

M	libcheese/cheese-camera.c

commit 4b28da6cc6809986e44ab9487ba494326e43a779
Author: David King <amigadave@amigadave.com>
Date:	Thu Sep 3 23:20:17 2015 +0100

    Support a default CheeseCamera device

    Accept a name, stash it inside the camera and then search through all
    the devices present on the system when setting up the camera. If
    a match
    is found, use it, otherwise continue to setup the first device.

M	libcheese/cheese-camera.c

commit b89ed15b156cdef303b8fd7593751160d1dfd4fc
Author: David King <amigadave@amigadave.com>
Date:	Thu Sep 3 22:49:07 2015 +0100

    Avoid crash when creating the default CheeseWidget

    Update the device argument to cheese_camera_new() to reflect the
    new use
    of GstDeviceMonitor, by renaming the device_node argument to
    name. Emit
    a critical warning if passing a name, as creating a device by name is
    not yet supported.

    https://bugzilla.gnome.org/show_bug.cgi?id=754506

M	libcheese/cheese-camera.c
M	libcheese/cheese-camera.h

commit 241255b866aa83b45a450abcb46ecd281e55b71d
Author: Milo Casagrande <milo@ubuntu.com>
Date:	Fri Sep 4 07:44:50 2015 +0000

    Updated Italian translation

M	po/it.po

commit 4e9e497b35a27643dde9e1a8debd7a689eba764c
Author: Sveinn í Felli <sv1@fellsnet.is>
Date:	Thu Sep 3 17:28:09 2015 +0000

    Added Icelandic translation

M	po/LINGUAS
A	po/is.po

commit 1658e284793b1c16948a59705f6b75dcc0719232
Author: Andika Triwidada <andika@gmail.com>
Date:	Tue Sep 1 08:45:03 2015 +0000

    Updated Indonesian translation

M	po/id.po

commit 34d29d8b82a9873d90e7f771416795b5051154a3
Author: David King <amigadave@amigadave.com>
Date:	Tue Sep 1 09:27:50 2015 +0100

    Update NEWS for 3.17.91 release

M	NEWS
M	configure.ac

commit 1f1b57c24349be06a81e4419e2447d81c12f776d
Author: Balázs Úr <urbalazs@gmail.com>
Date:	Mon Aug 31 15:30:12 2015 +0000

    Updated Hungarian translation

M	po/hu.po

commit 3a6788f7f8d25453419be4cc7a6fbf0e65e02aac
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Mon Aug 31 11:03:28 2015 +0200

    Updated Spanish translation

M	po/es.po

commit a8a24e9b76032be546b8daa3c2ead0cf7aa86d4c
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	Sun Aug 30 17:52:53 2015 +0000

    Updated Swedish translation

M	po/sv.po

commit de1c4ec74e19f3a6289f3a8a36236b77dad7cc5f
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	Sun Aug 30 10:31:55 2015 +0300

    Updated Hebrew translation

M	po/he.po

commit b7fb8d07e091ed135bf68af68811aeb6e66e6592
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sat Aug 29 21:03:00 2015 +0200

    Updated Polish translation

M	po/pl.po

commit 22c8e36c87e673b45f194d82a4d847ef189efe6b
Author: Dušan Kazik <prescott66@gmail.com>
Date:	Sat Aug 29 14:11:01 2015 +0000

    Updated Slovak translation

M	po/sk.po

commit c88a10ae91e17332e4dd0cf61fa549995b9eebb6
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:	Sat Aug 29 10:51:57 2015 +0000

    Updated Portuguese translation

M	po/pt.po

commit cca88978b2cae01bc33874222cb1d1ac0f731004
Author: AlexL <loginov.alex.valer@gmail.com>
Date:	Fri Aug 28 19:09:11 2015 +0100

    Add GenericName to desktop file

    https://bugzilla.gnome.org/show_bug.cgi?id=754255

M	data/org.gnome.Cheese.desktop.in.in

commit 0b38057df70257a760a30857da3ecd657db90b70
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	Wed Aug 26 12:23:55 2015 +0000

    Updated Chinese (Taiwan) translation

M	po/zh_TW.po

commit f84b11df9e80c6a2f1f30c342302a98aef028c33
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Mon Aug 24 19:41:00 2015 +0200

    Updated Polish translation

M	po/pl.po

commit 449fb8a4ad06c0a3e65a93e9a7adc3ac9629c9e5
Author: David King <amigadave@amigadave.com>
Date:	Mon Aug 17 17:33:55 2015 +0100

    Post-commit update to NEWS

M	NEWS

commit 1b86b95503b84b5c2d582b43ee83753c9c8f9ba7
Author: David King <amigadave@amigadave.com>
Date:	Mon Aug 17 16:29:31 2015 +0100

    Update NEWS for 3.17.90 release

    Bump the SONAME as the ABI has changed for the clutter-gst-3.0 change
    and GstDeviceMonitor port.

M	configure.ac

commit 9df993253d58c2442ab92df613f5754ead5b5e20
Author: Lionel Landwerlin <llandwerlin@gmail.com>
Date:	Sun Jan 25 17:11:45 2015 +0000

    libcheese: port to clutter-gst 3.0

    https://bugzilla.gnome.org/show_bug.cgi?id=743496

M	configure.ac
M	data/cheese-viewport.json
M	data/cheese.pc.in
M	libcheese/cheese-camera.c
M	libcheese/cheese-camera.h
M	libcheese/cheese-widget.c
M	src/cheese-window.vala
M	src/vapi/cheese-common.vapi
M	tests/cheese-test-camera.c

commit 4b7837e17ee9203851a03b29bfb10165fa948198
Author: David King <amigadave@amigadave.com>
Date:	Mon Aug 17 17:01:54 2015 +0100

    Fix documentation tests after GstDeviceMonitor

M	docs/reference/cheese-sections.txt

commit 8dda8bf18b5fb82f6b1087dc4e2ccb2415d5611b
Author: Wim Taymans <wtaymans@redhat.com>
Date:	Fri Jul 10 16:05:29 2015 +0200

    device-monitor: port to GstDeviceMonitor

    Use GstDeviceMonitor to monitor the GStreamer devices.

M	configure.ac
M	libcheese/cheese-camera-device-monitor.c
M	libcheese/cheese-camera-device-monitor.h
M	libcheese/cheese-camera-device.c
M	libcheese/cheese-camera-device.h
M	libcheese/cheese-camera.c
M	libcheese/cheese-camera.h
M	src/cheese-preferences.vala
M	src/vapi/cheese-common.vapi
M	tests/cheese-test-monitor.c

commit 88699b2fa0d9f23f13f51b2c461d099d239a0cf2
Author: Wim Taymans <wtaymans@redhat.com>
Date:	Fri Jul 10 10:18:55 2015 +0200

    camera: avoid confusing error message

    Report about the name of the missing element instead of some other
    unrelated string.

M	libcheese/cheese-camera.c

commit b17ccbea1cc10846d9c4a945392ed89af11ee8dc
Author: Pedro Albuquerque <palbuquerque73@gmail.com>
Date:	Mon Jun 29 22:37:24 2015 +0000

    Updated Portuguese translation

M	po/pt.po

commit 91d3d3c33c63589a9b8a676056f90fbd22ef2bb1
Author: Cédric Valmary <cvalmary@yahoo.fr>
Date:	Wed May 20 19:37:11 2015 +0000

    Updated Occitan translation

M	po/oc.po

commit 6b0070b1cc841f71e6307de9d793b4f112b08346
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:	Thu May 14 04:49:11 2015 +0000

    Updated Tajik translation

M	po/tg.po

commit 7f4888862045c35db36e5f041f5cf590d9352bed
Author: David King <amigadave@amigadave.com>
Date:	Tue Apr 28 08:14:37 2015 +0100

    Update NEWS for 3.17.1 release

M	NEWS
M	configure.ac

commit 76d67096e5736293d8c4af243f8c2258cd77573a
Author: David King <amigadave@amigadave.com>
Date:	Tue Apr 28 08:13:10 2015 +0100

    Silence a gtk-doc undeclared symbol warning

    Split the typedef of CheeseVideoFormat out, so that gtk-doc does not
    report an undeclared symbol.

M	libcheese/cheese-camera-device.h

commit c32c9fcc5de035e388bec2704c8c754b375a4f40
Author: David King <amigadave@amigadave.com>
Date:	Mon Apr 13 21:44:49 2015 +0100

    Use G_DECLARE_FINAL_TYPE where possible

M	libcheese/cheese-avatar-chooser.c
M	libcheese/cheese-avatar-chooser.h
M	libcheese/cheese-avatar-widget.c
M	libcheese/cheese-avatar-widget.h
M	libcheese/cheese-camera-device.c
M	libcheese/cheese-camera-device.h
M	libcheese/cheese-effect.c
M	libcheese/cheese-effect.h
M	libcheese/cheese-fileutil.c
M	libcheese/cheese-fileutil.h
M	libcheese/cheese-flash.c
M	libcheese/cheese-flash.h
M	libcheese/cheese-widget.c
M	libcheese/cheese-widget.h
M	src/thumbview/cheese-thumb-view.c
M	src/thumbview/cheese-thumb-view.h
M	src/thumbview/eog-thumb-nav.c
M	src/thumbview/eog-thumb-nav.h

commit 2bc4e2293bf0251184f33ff4903a91938098abbf
Author: Jakub Steiner <jimmac@gmail.com>
Date:	Mon Apr 13 21:10:04 2015 +0200

    icon: install symbolic to symbolic size

    rather than installing to scalable size, we install
    to symbolic due to the nominal size of 16x16

M	Makefile.am
R100	data/icons/scalable/cheese-symbolic.svg
data/icons/symbolic/cheese-symbolic.svg

commit af6a3e5ff27083eb6448df49a8e9a2a2bf80f5a5
Author: Jakub Steiner <jimmac@gmail.com>
Date:	Mon Mar 30 13:18:05 2015 +0200

    Provide a symbolic variant of the application icon

    Used for the High Contrast theme.

    The symbolic size has been introduced to hicolor to cope with
    the nominal size of 16x16 rather than the backward compatible
    128x128.

    https://bugzilla.gnome.org/show_bug.cgi?id=747013

M	Makefile.am
A	data/icons/scalable/cheese-symbolic.svg

commit 84e58f9e04ee8de0359c9d42680c37b72f96018a
Author: David King <amigadave@amigadave.com>
Date:	Tue Mar 24 07:56:42 2015 +0100

    Update NEWS for 3.16.0 release

M	NEWS
M	configure.ac

commit 729f4cd0aae80591fe423e54b74ca3c0e046dd49
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:	Wed Mar 18 08:08:43 2015 +0700

    Updated Vietnamese translation

    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

M	po/vi.po

commit e9abe99f26f390355894f4aad8a29667f75ae939
Author: David King <amigadave@amigadave.com>
Date:	Mon Mar 16 19:43:52 2015 +0000

    Update NEWS for 3.15.92

M	NEWS
M	configure.ac

commit f1a9b58dc1e2b0c4c3baeb4e7cdf65dcaffca0e3
Author: Samir Ribic <samir.ribic@etf.unsa.ba>
Date:	Fri Mar 13 20:26:58 2015 +0000

    Added Bosnian translation

M	po/LINGUAS
A	po/bs.po

commit 0fa9c280b78aaff7bc5d5a1525a16e9b4268e8a3
Author: Simon Linden <xhi2018@googlemail.com>
Date:	Wed Mar 4 22:17:18 2015 +0000

    Updated German translation

M	help/de/de.po

commit cd66d3d4041b9feffcf8be7ffe32c3a038489aa9
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	Mon Mar 2 10:10:17 2015 +0000

    Updated Kazakh translation

M	po/kk.po

commit c8b4d0d38184aa0337ae08f87471a762fac6550b
Author: David King <amigadave@amigadave.com>
Date:	Mon Feb 16 21:45:22 2015 +0000

    Update NEWS for 3.15.90 release

M	NEWS
M	configure.ac

commit 5c98c8d5ba6f59a6e51b45839efdaf227eb890d7
Author: David King <amigadave@amigadave.com>
Date:	Thu Jan 29 13:08:22 2015 +0000

    Avoid warnings from -Wswitch-enum

    Check switch statements where several cases are intentionally not
    handled by using an if instead.

M	libcheese/cheese-camera.c
M	libcheese/cheese-widget.c

commit 8ff1b22ad51e8237838a27e26a908b60726a2f24
Author: David King <amigadave@amigadave.com>
Date:	Thu Jan 29 13:07:10 2015 +0000

    Avoid a preprocessor warning

M	libcheese/cheese-camera.c

commit d09497d7132028bcd68fc56957e12d2ff3490f20
Author: David King <amigadave@amigadave.com>
Date:	Thu Jan 29 12:31:01 2015 +0000

    Fix const cast warnings

M	libcheese/cheese-fileutil.c

commit 66dbb3222e63d7e6b368bb02f6a6bdaf862032ea
Author: David King <amigadave@amigadave.com>
Date:	Thu Jan 29 10:44:14 2015 +0000

    Fix signedness comparison error

M	libcheese/cheese-camera.c

commit 303ffdc9d8599d96723b57f249e6d5ba3112e9a1
Author: David King <amigadave@amigadave.com>
Date:	Thu Jan 29 10:16:10 2015 +0000

    Fix shadowed variable

M	libcheese/cheese-flash.c

commit 181448dfff988a2edfb03d4cc8db9862bd58780f
Author: David King <amigadave@amigadave.com>
Date:	Thu Jan 29 10:14:27 2015 +0000

    Remove old-style function definitions

M	libcheese/cheese-effect.c
M	libcheese/cheese-fileutil.c

commit 908bf2b81d2686e6dc2fcfe7e9d584f931025e6a
Author: David King <amigadave@amigadave.com>
Date:	Thu Jan 29 10:11:48 2015 +0000

    Fix signed comparison warning in camera service

M	service/gc-camera-client.c

commit d7156fc209f6dc83133feec9c703433a4df5e00a
Author: David King <amigadave@amigadave.com>
Date:	Thu Jan 29 09:52:37 2015 +0000

    Update gtkdoc_jh_path_xml_catalog.m4 from gtk-doc

M	m4/gtkdoc_jh_path_xml_catalog.m4

commit 189624b2c9c131ac6dfbec0f3619f2128553ff7d
Author: David King <amigadave@amigadave.com>
Date:	Thu Jan 29 09:29:41 2015 +0000

    Remove use of GSEAL_ENABLE

    It is no longer useful with GTK+ 3, where every widget has been
    sealed.

M	configure.ac

commit d40ac8cfbaf901ac1fd09971bb128ef22bbef29d
Author: David King <amigadave@amigadave.com>
Date:	Wed Jan 28 09:53:28 2015 +0000

    Remove use of GNOME_MAINTAINER_MODE_DEFINES

    https://wiki.gnome.org/Projects/GnomeCommon/Migration

M	configure.ac

commit bd01f899790a81596bca7dda6fb6ae3f3783fec3
Author: David King <amigadave@amigadave.com>
Date:	Wed Jan 28 09:47:51 2015 +0000

    Drop use of gnome-autogen.sh

    https://wiki.gnome.org/Projects/GnomeCommon/Migration

M	autogen.sh
M	configure.ac
A	m4/ax_require_defined.m4

commit c397b3d424b63c659c532361354a8e8eaed176f4
Author: Ryan Lortie <desrt@desrt.ca>
Date:	Wed Feb 11 15:06:59 2015 -0500

    preferences: resolve ambiguous 'ListStore' usage

    There is now a GLib.ListStore as well, so make sure we use the
    full name
    Gtk.ListStore to avoid an ambiguous reference.

M	src/cheese-preferences.vala

commit be30a0eb451f4f380eb34528de071a61fe141e4c
Author: Daniel Martinez <dmartinez@src.gnome.org>
Date:	Fri Jan 23 21:08:05 2015 +0100

    Update Aragonese translation

M	po/an.po

commit 48ec6a137d7f7cb89bbc43397d739120b7f864f9
Author: David King <amigadave@amigadave.com>
Date:	Mon Jan 19 21:34:51 2015 +0000

    Update NEWS for 3.15.4 release

M	NEWS
M	configure.ac

commit 85f894f5b7b14287371be51972714ebb5e16638a
Author: David King <amigadave@amigadave.com>
Date:	Mon Jan 19 21:30:19 2015 +0000

    Ignore intermediate file with Automake 1.15

M	po/POTFILES.skip

commit 5b3aecd4c09a80052a1ce19950f008b2e69f602c
Author: David King <amigadave@amigadave.com>
Date:	Mon Jan 19 21:26:36 2015 +0000

    Removed obsolete variables in autogen.sh

M	autogen.sh

commit 5741aa39afa6edd4585a1eba2857aa43bf04e456
Author: Rui Matos <tiagomatos@gmail.com>
Date:	Wed Jan 7 16:13:14 2015 +0100

    um-crop-area: Fix deprecated API usage

    https://bugzilla.gnome.org/show_bug.cgi?id=742530

M	libcheese/um-crop-area.c

commit 08ff9ff6999157f25b10676fdb088b04ac6f190e
Author: Rui Matos <tiagomatos@gmail.com>
Date:	Wed Jan 7 16:09:30 2015 +0100

    um-crop-area: Enforce a minimum size

    Otherwise, if callers aren't careful, users could resize us so small
    that we'd crash inside gdk_pixbuf_scale() .

    https://bugzilla.gnome.org/show_bug.cgi?id=742530

M	libcheese/um-crop-area.c

commit 8b5bc7375e031fe1f6faec8c45d54d0b84bc4ef5
Author: Rui Matos <tiagomatos@gmail.com>
Date:	Wed Jan 7 15:16:53 2015 +0100

    um-crop-area: Fix background rendering around the picture

    Instead of trying to fill the displayed pixbuf with the background
    color (and failing at that), just make the pixbuf be an aspect correct
    scaled size of the original picture and draw it at the correct offset
    on the draw vfunc.

    This allows us to get rid of deprecated gtk+ API usage and fixes the
    background around the picture ending up black despite de code's
    intent.

    https://bugzilla.gnome.org/show_bug.cgi?id=742530

M	libcheese/um-crop-area.c

commit 75f6a4667dea50aeaeb2776906f6adacfebf21c4
Author: David King <amigadave@amigadave.com>
Date:	Mon Dec 15 17:46:54 2014 +0000

    Update NEWS for 3.15.3 release

M	NEWS
M	configure.ac

commit 0a5e51bc9eb49732736e2a275f52751c34b8fbe4
Author: Marek Černocký <marek@manet.cz>
Date:	Sun Dec 14 15:11:12 2014 +0100

    Updated Czech translation

M	po/cs.po

commit 506ca25cf5afead794766b1599f75a0f7eef834d
Author: Trần Ngọc Quân <vnwildman@gmail.com>
Date:	Thu Dec 11 15:17:56 2014 +0700

    Updated Vietnamese translation

    Signed-off-by: Trần Ngọc Quân <vnwildman@gmail.com>

M	po/vi.po

commit 3b188331634bd386b1956dbd12596b380e752116
Author: Yaşar Şentürk <yasarix@gmail.com>
Date:	Sat Dec 6 19:54:29 2014 +0000

    Updated Turkish translation

M	po/tr.po

commit 120b9341fb23241510cad30c8972602bb1777aa1
Author: Muhammet Kara <muhammetk@gmail.com>
Date:	Thu Dec 4 19:13:20 2014 +0000

    Updated Turkish translation

M	po/tr.po

commit 1fd46c2e633e426945fd3b6437ccc5b37f49ff1d
Author: Ondrej Holy <oholy@redhat.com>
Date:	Tue Nov 25 15:32:40 2014 +0100

    Refactor crop area scaling code

    Recently committed patch f9d576e was modified before applying it into
    the g-c-c to be more readable. This patch reflect those changes
    in cheese.

    https://bugzilla.gnome.org/show_bug.cgi?id=739870

M	libcheese/um-crop-area.c

commit ab2084a3eaa0fda7760bdc70ca4c3f12e71f4a3e
Author: David King <amigadave@amigadave.com>
Date:	Mon Nov 24 19:34:18 2014 +0000

    Update NEWS for 3.15.2 release

M	NEWS
M	configure.ac

commit cba95288e29f21a929b74f7c424b13ae3f0d9dc3
Author: David King <amigadave@amigadave.com>
Date:	Mon Nov 24 19:33:10 2014 +0000

    Fix Nepali desktop file keywords translation

M	po/ne.po

commit 6f1f061f0db7d968e4f5f1fb86ae8c1acce1eb8d
Author: Pawan Chitrakar <chautari@gmail.com>
Date:	Sat Nov 22 05:20:58 2014 +0000

    Added Nepali translation

M	po/LINGUAS
A	po/ne.po

commit 43a758947f4c8f00aa1f491f52a7794845b9d0fd
Author: David King <amigadave@amigadave.com>
Date:	Mon Nov 10 22:56:34 2014 +0000

    Add name and summary elements to AppData

    Pacify appstream-util validate.

M	data/org.gnome.Cheese.appdata.xml.in

commit f9d576e6420720d8a1f8c4cf77fa892e8ec8a76f
Author: Ondrej Holy <oholy@redhat.com>
Date:	Mon Nov 10 09:04:59 2014 +0100

    Limit default size for avatar cropping

    Commit c605ad3578ff66452bd7b01d257f31c64e7905ef enlarged default size
    for cropping avatars thus crop rectangle could be easily bigger then
    image. The crop rectagle can't be modified and
    cc_crop_area_get_picture
    causes errors if the rectangle is bigger, because it has negative
    coordinates. Limit the default size to fit the image also.

    https://bugzilla.gnome.org/show_bug.cgi?id=739870

M	libcheese/um-crop-area.c

commit c3ec46c4d22d400ffa0ff692ab6aac888bea5eee
Author: Timo Jyrinki <timo@debian.org>
Date:	Mon Nov 3 18:44:02 2014 +0200

    Change Finnish translation team web page to l10n.gnome.org

M	po/fi.po

commit b3327e888129aa09763a6bbcf453988b9051c582
Author: David King <amigadave@amigadave.com>
Date:	Mon Oct 27 21:50:22 2014 +0000

    Update NEWS for 3.15.1 release

M	NEWS
M	configure.ac

commit 284e968a5c0bfc90cfc680661169f7b1051d63c9
Author: David King <amigadave@amigadave.com>
Date:	Sat Oct 25 12:20:36 2014 +0100

    Substitute bindir and libexecdir in Makefile.am

    Rather than substituting the values of libexecdir and bindir during
    configure, which might include some unexpanded shell variables, expand
    and substitute them as targets in Makefile.am instead.

    https://bugzilla.gnome.org/show_bug.cgi?id=726095

M	Makefile.am
M	configure.ac

commit a703da2c79a2b9c187fca4e86e1e8d1527a565a6
Author: David King <amigadave@amigadave.com>
Date:	Sat Oct 25 11:29:49 2014 +0100

    Use AC_PROG_SED in configure.ac

M	Makefile.am
M	configure.ac

commit 6ebe22dbe44ee9cdf3137e9e725991b8dcfa0673
Author: David King <amigadave@amigadave.com>
Date:	Tue Oct 14 22:50:40 2014 +0100

    Remove old marshaller header from doc ignore list

M	docs/reference/Makefile.am

commit c0262383acf1e0211131f2f4dffce2a58867b54c
Author: David King <amigadave@amigadave.com>
Date:	Tue Oct 14 19:36:45 2014 +0100

    Use get_instance_private() instead of priv pointer

    Use the generated macro rather than storing a pointer to the private
    struct within the object.

M	libcheese/cheese-avatar-chooser.c
M	libcheese/cheese-avatar-chooser.h
M	libcheese/cheese-avatar-widget.c
M	libcheese/cheese-avatar-widget.h
M	libcheese/cheese-camera-device-monitor.c
M	libcheese/cheese-camera-device-monitor.h
M	libcheese/cheese-camera-device.c
M	libcheese/cheese-camera-device.h
M	libcheese/cheese-camera.c
M	libcheese/cheese-camera.h
M	libcheese/cheese-effect.c
M	libcheese/cheese-effect.h
M	libcheese/cheese-fileutil.c
M	libcheese/cheese-fileutil.h
M	libcheese/cheese-flash.c
M	libcheese/cheese-flash.h
M	libcheese/cheese-widget.c
M	libcheese/cheese-widget.h
M	libcheese/um-crop-area.c
M	libcheese/um-crop-area.h

commit 1019056a18b1d45884fe0583f3fadff74c249b29
Author: David King <amigadave@amigadave.com>
Date:	Tue Oct 14 17:22:06 2014 +0100

    Drop some trailing semicolons after macros

M	libcheese/cheese-avatar-chooser.c
M	libcheese/cheese-avatar-widget.c
M	libcheese/cheese-widget.c
M	src/thumbview/cheese-thumb-view.c

commit 55be86e9592f1d33ab383b45408650a0053ed8f8
Author: David King <amigadave@amigadave.com>
Date:	Tue Oct 14 17:04:46 2014 +0100

    Use new-style private struct in CheeseCameraDevice

M	libcheese/cheese-camera-device.c

commit bf5c9922eb1db09467795047b310e554ba990a38
Author: David King <amigadave@amigadave.com>
Date:	Tue Oct 14 16:37:48 2014 +0100

    Use _get_instance_private() consistently in camera

    Use the new cheese_camera_get_instance_private() instead of the old
    macro.

M	libcheese/cheese-camera.c

commit 7c4a1df194f214100864c6fa25fc598e630b6f32
Author: David King <amigadave@amigadave.com>
Date:	Tue Oct 14 14:13:25 2014 +0100

    Bump required Vala version for get_menu_by_id()

    Use the get the given menu from GtkApplication.

M	configure.ac

commit 9c3a53204ad5c951d65e05d5d12e812f3fa62c24
Author: David King <amigadave@amigadave.com>
Date:	Fri Oct 10 13:00:25 2014 +0100

    Refactor setup_camera() in CheeseWidget

    Remove superfluous prototype. Use GSettings convenience
    getters. Reduce
    scope of some variables.

M	libcheese/cheese-widget.c

commit 2b1e92e852ff30848eded46f2db2c39f69de00a2
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:	Fri Oct 10 22:52:22 2014 +0330

    Updates Persian Translations

M	po/fa.po

commit 5b4bc731f0212e097d2ca7662f996db5b97d31a8
Author: David King <amigadave@amigadave.com>
Date:	Fri Oct 10 12:25:05 2014 +0100

    Avoid using G_GNUC_CONST on _get_type()

    As the g_type_ensure() documentation notes, it is incorrect to mark a
    _get_type() method with G_GNUC_CONST, as it as a side effect the first
    time it is called.

M	Makefile.am
M	libcheese/cheese-avatar-chooser.h
M	libcheese/cheese-avatar-widget.h
M	libcheese/cheese-camera-device-monitor.h
M	libcheese/cheese-camera-device.h
M	libcheese/cheese-camera.h
M	libcheese/cheese-effect.h
M	libcheese/cheese-fileutil.h
M	libcheese/cheese-flash.h
M	libcheese/cheese-widget.h
M	libcheese/totem-aspect-frame.h
M	libcheese/um-crop-area.h
M	src/thumbview/eog-thumb-nav.h

commit 3b4e5252f0112e098e7ab8068c10cd1704beca9e
Author: Milo Casagrande <milo@ubuntu.com>
Date:	Sun Oct 5 15:43:35 2014 +0000

    Updated Italian translation

M	po/it.po

commit 0c55ca363b4475e8f26417a7ddf6933f2c492405
Author: Andreas Henriksson <andreas@fatal.se>
Date:	Wed Sep 24 16:41:27 2014 +0100

    Use LT_LIB_M to find the math library

    libcheese-gtk needs to link with -lm to find the fmod function.

M	Makefile.am
M	configure.ac

commit a04a72ae00c1133b308449194008f17d61aab94b
Author: Krishnababu Krothapalli <k.meetme@gmail.com>
Date:	Tue Sep 23 23:41:18 2014 +0000

    Updated Telugu translation

M	po/te.po

commit 79fdc6011468b891b1a8d21103da57cec1d38041
Author: David King <amigadave@amigadave.com>
Date:	Tue Sep 16 14:41:01 2014 +0100

    Avoid dereferencing an uninitialized variable

    Found with Coverity (CID 56653).

M	src/thumbview/eog-thumb-nav.c

commit bac2f36f12ec3c95711b0da45c999228ec95835e
Author: David King <amigadave@amigadave.com>
Date:	Tue Sep 23 13:18:16 2014 +0100

    Post-release version bump to 3.15.1

M	configure.ac

commit 30f3c46307c844eb984ba0d9e88e099511e4b84d
Author: David King <amigadave@amigadave.com>
Date:	Tue Sep 23 01:03:19 2014 +0100

    Update NEWS for 3.14.0 release

M	NEWS
M	configure.ac

commit 35c38e39ceab17741ff44e657afa98ca32ac3db8
Author: Rajesh Ranjan <rajeshkajha@yahoo.com>
Date:	Mon Sep 22 13:11:24 2014 +0000

    Updated Hindi translation

M	po/hi.po

commit e3773bae982e01d1aabaf0524d4ea0ff8ae7f1cd
Author: A S Alam <aalam@users.sf.net>
Date:	Sun Sep 21 07:57:47 2014 -0500

    update Punjabi Translation for 3.14 release

M	po/pa.po

commit 2b8fa0d074f1a2efa867798c7830dbe2c22bd342
Author: Tong Hui <tonghuix@gmail.com>
Date:	Sun Sep 21 14:16:07 2014 +0800

    update zh_CN translation

M	po/zh_CN.po

commit 5a5a081bc4651501c7204e7ea15229b5b6777ed9
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	Sat Sep 20 17:10:52 2014 +0300

    Updated Ukrainian translation

M	po/uk.po

commit a576894ebaa4ae102ba6edb0a0f97d0eba682b5a
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:	Sat Sep 20 09:40:06 2014 +0200

    Updated Danish translation

M	po/da.po

commit 12b6aa3eda64341b34af1bba59c2b7e2f4af28af
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	Wed Sep 17 18:49:32 2014 +0200

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit d1e1277c4a59aeadbfe060a48011555dc7965481
Author: Hajime Taira <htaira@redhat.com>
Date:	Wed Sep 17 21:07:36 2014 +0900

    l10n: Update Japanese translation

M	po/ja.po

commit 3affd95009ba29c56613948091f8717c22611bab
Author: Sandeep Sheshrao Shedmake <sshedmak@redhat.com>
Date:	Tue Sep 16 13:52:51 2014 +0530

    Updated Marathi Translations

M	po/mr.po

commit 282316273f1e5ec86544bc9970bbb07d1ec1130d
Author: David King <amigadave@amigadave.com>
Date:	Mon Sep 15 22:25:39 2014 +0100

    Add gstreamer-plugins-bad-1.0 to GStreamer check

    It is needed for the camerabin2 header.

M	configure.ac

commit 766808dfe562875a84e25d503c0f4841b7e8e165
Author: David King <amigadave@amigadave.com>
Date:	Mon Sep 15 21:49:56 2014 +0100

    Post-release version bump to 3.14.0

M	configure.ac

commit c675285727105cf55911bd37397e4b9a8c41b0cc
Author: David King <amigadave@amigadave.com>
Date:	Mon Sep 15 21:44:29 2014 +0100

    Update NEWS for 3.13.92 release

M	Makefile.am
M	NEWS
M	configure.ac

commit 9a1f25e1d050f64e88fa0ee3879004aa63d47324
Author: Shantha kumar <shantha.thamizh@gmail.com>
Date:	Mon Sep 15 13:34:17 2014 +0000

    Updated Tamil translation

M	po/ta.po

commit 8e6b9cf9e3c14eb2ed1d47ae338a64cf040ed746
Author: David King <amigadave@amigadave.com>
Date:	Mon Sep 15 08:20:27 2014 +0100

    Remove outdated GTK+ version check

M	src/thumbview/eog-thumb-nav.c

commit b87dd0c3adecbfbb5d5c9ceeb7a37498c857e9ce
Author: Dušan Kazik <prescott66@gmail.com>
Date:	Sun Sep 14 19:07:21 2014 +0000

    Updated Slovak translation

M	po/sk.po

commit 4d6556e7d8c620330ea4d1966e346591f587776f
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	Sun Sep 14 20:32:07 2014 +0200

    Updated Slovenian translation

M	po/sl.po

commit cd11e84daa7c2fedab58a146db9565bbb32d12aa
Author: David King <amigadave@amigadave.com>
Date:	Fri Sep 12 16:25:10 2014 +0100

    Use APPSTREAM_XML instead of APPDATA_XML

M	Makefile.am
M	configure.ac

commit 29cd6d1c717b5abac9b92083fdb3264b6c577648
Author: David King <amigadave@amigadave.com>
Date:	Fri Sep 12 16:13:10 2014 +0100

    Remove outdated intltool build rules

    The intltool-* scripts are not included in the distribution any
    longer.

M	Makefile.am

commit 3ba92921b1e669449f3df28ca8094cb3245bd4bb
Author: Sweta Kothari <swkothar@redhat.com>
Date:	Fri Sep 12 12:23:39 2014 +0530

    Updated gujarati translations

M	po/gu.po

commit c531fdcd27d1b82a06602d7181ac7e99d9e7b624
Author: Wolfgang Stöggl <c72578@yahoo.de>
Date:	Wed Sep 10 17:36:43 2014 +0000

    Updated German translation

M	po/de.po

commit 37e7733761de04c0958eff08813d893756cf6acc
Author: David King <amigadave@amigadave.com>
Date:	Wed Sep 10 14:13:05 2014 +0100

    Update .pc file Requires and Requires.private

M	data/cheese-gtk.pc.in
M	data/cheese.pc.in

commit fb13dc2b221bdf1be4233c49218776b63f51d2fa
Author: David King <amigadave@amigadave.com>
Date:	Wed Sep 10 14:12:36 2014 +0100

    Remove some unnecessary pkg-config dependencies

M	Makefile.am
M	configure.ac

commit 6efd4960cfc57bea26fb7d169a5f600164f0bfd9
Author: David King <amigadave@amigadave.com>
Date:	Tue Sep 9 16:50:09 2014 +0100

    Fix crash when animating countdown

    https://bugzilla.gnome.org/show_bug.cgi?id=735285

M	src/cheese-countdown.vala

commit 5d2c9c16b17c61338b8b1796144736e4377feaf7
Author: Sweta Kothari <swkothar@redhat.com>
Date:	Mon Sep 8 11:47:09 2014 +0530

    Updated gujarati translations

M	po/gu.po

commit ba17da355012209e9f5c7a36ed62f590b647d678
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	Sun Sep 7 15:37:11 2014 +0300

    Updated Latvian translation

M	po/lv.po

commit 7a0420347486ed32cf208113fbced955c4abf72a
Author: Ville-Pekka Vainio <vpvainio@iki.fi>
Date:	Sun Sep 7 13:25:43 2014 +0300

    Finnish translation update by Jiri Grönroos

M	po/fi.po

commit 43eb624d4c4c4dc7c226866b916786757f777381
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Sep 7 03:05:45 2014 +0200

    Updated Polish translation

M	po/pl.po

commit ff206c1a35bf8766ae1ff0b67df6202227b49fc2
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:	Sat Sep 6 11:33:06 2014 +0400

    Updated Russian translation

M	po/ru.po

commit 360a7f6ee04d1d59fa12c08c8461994fef7e6a82
Author: Changwoo Ryu <cwryu@debian.org>
Date:	Sat Sep 6 05:58:03 2014 +0900

    Updated Korean translation

M	po/ko.po

commit a5883356d37f3d12d31eeb589b7c94550c10d50b
Author: Saibal Ray <sray@redhat.com>
Date:	Fri Sep 5 10:22:56 2014 +0000

    Updated Bengali (India) translation

M	po/bn_IN.po

commit 34f2478e3898ae0b7ca796d9bc8d3f4930239c72
Author: Saibal Ray <sray@redhat.com>
Date:	Fri Sep 5 06:39:37 2014 +0000

    Updated Bengali (India) translation

M	po/bn_IN.po

commit 388f5744729970ae9078bdc1124b23f1c01a3422
Author: Sweta Kothari <swkothar@redhat.com>
Date:	Wed Sep 3 12:53:29 2014 +0530

    Updated gujarati translations

M	po/gu.po

commit e1899b974b2e862fb68c54a77381a0d3eff2c891
Author: Shankar Prasad <prasad.mvs@gmail.com>
Date:	Tue Sep 2 12:38:05 2014 +0000

    Updated Kannada translation

M	po/kn.po

commit e7120627662c54d6daffbf44990436c1c7cb7164
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	Thu Aug 28 19:58:01 2014 +0000

    Updated Greek translation

M	po/el.po

commit 73ab5c337717b96b21289a4d47731e4683d4b2dd
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	Mon Aug 25 14:11:31 2014 +0000

    Updated French translation

M	po/fr.po

commit f54c1c1bf262bbc2623195027b30413909bfd71b
Author: Manoj Kumar Giri <mgiri@redhat.com>
Date:	Fri Aug 22 11:05:17 2014 +0000

    Updated Oriya translation

M	po/or.po

commit d33970ba7053a965cbd46e305a7499ef5cfac908
Author: David King <amigadave@amigadave.com>
Date:	Tue Aug 19 10:54:04 2014 +0100

    Post-release version bump to 3.13.91

M	configure.ac

commit d4cd64824ce79f1833846b53f21752c57cc50300
Author: David King <amigadave@amigadave.com>
Date:	Tue Aug 19 10:50:16 2014 +0100

    Update NEWS for 3.13.90.1 release

M	NEWS
M	configure.ac

commit d16ed55493a63abf88ae2366123cf7dce8d881b1
Author: Frédéric Péters <fpeters@0d.be>
Date:	Tue Aug 19 11:38:03 2014 +0200

    Explicitly link gnome-camera-service to libraries

    https://bugzilla.gnome.org/show_bug.cgi?id=735040

M	Makefile.am

commit edf5c20d3f0360ea8744cddfa9f609dcc599753e
Author: Dominique Leuenberger <dimstar@opensuse.org>
Date:	Mon Aug 18 23:27:48 2014 +0200

    Fix libcheese header include in camera service

    https://bugzilla.gnome.org/show_bug.cgi?id=735017

M	service/gc-camera-client.c
M	service/gc-main.c

commit 4244ca9a31e02f0a7c29ca0e6e7a3ddaa72595c0
Author: David King <amigadave@amigadave.com>
Date:	Mon Aug 18 21:54:40 2014 +0100

    Post-release version bump to 3.13.91

M	configure.ac

commit d27e998f05a4adb069edfeb266d52458bfce149b
Author: David King <amigadave@amigadave.com>
Date:	Mon Aug 18 21:51:16 2014 +0100

    Update NEWS for 3.13.90 release

M	NEWS
M	configure.ac

commit 66c1f3550a70bc3020eb75289877f34578a8b788
Author: David King <amigadave@amigadave.com>
Date:	Mon Aug 18 21:34:44 2014 +0100

    Add simple service client example

M	.gitignore
M	Makefile.am
A	tests/test-service-client.c

commit ae5bb440408a2a3524675a280bc3cf458d7da259
Author: David King <amigadave@amigadave.com>
Date:	Mon Aug 18 17:27:07 2014 +0100

    Import basic camera D-Bus service

M	.gitignore
A	COPYING.GPL3
M	Makefile.am
M	configure.ac
A	data/org.gnome.Camera.service.in
A	data/org.gnome.Camera.xml
A	service/gc-application.c
A	service/gc-application.h
A	service/gc-camera-client.c
A	service/gc-camera-client.h
A	service/gc-camera-manager.c
A	service/gc-camera-manager.h
A	service/gc-client-monitor.c
A	service/gc-client-monitor.h
A	service/gc-main.c

commit ed628aeaeba658580f159bb30168c54559d90669
Author: David King <amigadave@amigadave.com>
Date:	Mon Aug 18 21:13:14 2014 +0100

    Use new metadata_license in AppData description

M	data/org.gnome.Cheese.appdata.xml.in

commit ff2cca128da68b0b11364b524253e1e91f34d26a
Author: David King <amigadave@amigadave.com>
Date:	Mon Aug 18 17:33:57 2014 +0100

    Use config.h instead of cheese-config.h

    Use a standard filename for the genereated configuration header.

M	.gitignore
M	configure.ac
M	libcheese/cheese-avatar-chooser.c
M	libcheese/cheese-avatar-widget.c
M	libcheese/cheese-camera-device-monitor.c
M	libcheese/cheese-camera-device.c
M	libcheese/cheese-camera.c
M	libcheese/cheese-fileutil.c
M	libcheese/cheese-widget.c
M	libcheese/um-crop-area.c
M	src/thumbview/cheese-thumb-view.c
M	src/thumbview/cheese-thumbnail.c
M	src/thumbview/eog-thumb-nav.c
M	src/vapi/config.vapi
M	tests/cheese-test-camera.c
M	tests/cheese-test-chooser.c
M	tests/cheese-test-widget.c
M	tests/test-libcheese-gtk.c
M	tests/test-libcheese.c

commit 14e70e0d17523f56165a963aea0735117c79e802
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	Sun Aug 17 01:38:06 2014 +0200

    [l10n] Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit cfbd67d8683050404ce2abb03884770679a06a53
Author: Gil Forcada <gforcada@gnome.org>
Date:	Sun Aug 17 01:38:03 2014 +0200

    [l10n] Update Catalan translation

M	po/ca.po

commit 78f8fbb2e8804ca2ce4b29b339916518d489a713
Author: ngoswami <ngoswami@redhat.com>
Date:	Thu Aug 14 15:05:02 2014 +0000

    Updated Assamese translation

M	po/as.po

commit 43789f571d956199c9eff25253918c1c20f8650b
Author: David King <amigadave@amigadave.com>
Date:	Thu Aug 7 18:12:04 2014 +0100

    Use GtkIconTheme built-in RTL support

M	data/cheese-main-window.ui
M	src/cheese-window.vala

commit f05e7d47127648366e97ed11fe77a501c2d34f6b
Author: David King <amigadave@amigadave.com>
Date:	Thu Aug 7 16:32:22 2014 +0100

    Move thumbview popup menu to GtkBuilder file

M	data/menus.ui
M	src/cheese-window.vala

commit 2ecb01c2d5f00cea15184e02ba8abd1897d05304
Author: David King <amigadave@amigadave.com>
Date:	Thu Aug 7 15:08:15 2014 +0100

    Refactor thumb view popup menu handling

    Popup the thumb view context menu in response to the popup-menu signal
    on GtkWidget.

    https://bugzilla.gnome.org/show_bug.cgi?id=724905

M	src/cheese-window.vala

commit e87e0b792eaf0a7d4abae9ff9e9925f87b8a4102
Author: David King <amigadave@amigadave.com>
Date:	Thu Aug 7 14:24:01 2014 +0100

    Optionally use a header bar in the preferences

    Make the preferences dialog pay attention to the
    gtk-dialogs-use-header
    GtkSetting.

M	data/cheese-prefs.ui
M	src/cheese-preferences.vala

commit c93dbc4a1538fabc651d9df5a47711c909557bcd
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	Tue Aug 5 12:14:01 2014 +0200

    Updated Basque language

M	po/eu.po

commit 083808b098ee074a6973072bbac7630b3f8fe187
Author: Olav Vitters <olav@vitters.nl>
Date:	Wed Jul 30 20:48:33 2014 +0200

    doap category apps

M	cheese.doap

commit b7349e58786a8dd2f106aac1771474b7583f8d92
Author: Balázs Úr <urbalazs@gmail.com>
Date:	Sat Jul 26 14:29:29 2014 +0000

    Updated Hungarian translation

M	help/hu/hu.po

commit d5be3fb8957d8eff9cf1c73cf2e7a8ed376d5a0b
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	Fri Jul 25 23:16:18 2014 +0300

    Updated Lithuanian translation

M	po/lt.po

commit 4c64b75570956ca89e51925adf27b6cc0f711014
Author: David King <amigadave@amigadave.com>
Date:	Wed Jul 23 14:07:17 2014 +0100

    Fix button alignment in main window

M	data/cheese-main-window.ui

commit 7522ec013c8718c7bcac77fa57d6a9c1657114ac
Author: David King <amigadave@amigadave.com>
Date:	Wed Jul 23 13:48:58 2014 +0100

    Avoid using deprecated GtkAlignment in main window

M	data/cheese-main-window.ui
M	src/cheese-window.vala
M	src/thumbview/cheese-thumb-view.c

commit f06cc5109a6b8c308a1e73e283df2e6e1267e59b
Author: David King <amigadave@amigadave.com>
Date:	Wed Jul 23 12:57:45 2014 +0100

    Avoid xalign property in preferences dialog

    Use halign on GtkWidget instead.

M	data/cheese-prefs.ui

commit b6bc6c1f63a90b9c1d2e15ce739bea1885b293ff
Author: David King <amigadave@amigadave.com>
Date:	Wed Jul 23 12:26:09 2014 +0100

    Avoid deprecated margin-left GtkWidget property

    Use margin-start instead.

M	data/cheese-prefs.ui

commit 4dee67cf5972471c1734fb535619ce1c982cc00c
Author: Anders Jonsson <anders.jonsson@norsjovallen.se>
Date:	Wed Jul 23 08:17:16 2014 +0000

    Updated Swedish translation

M	po/sv.po

commit 9886c4f854a9868637c5d25a41199efabc7e1120
Author: David King <amigadave@amigadave.com>
Date:	Wed Jul 23 07:52:44 2014 +0100

    Avoid GtkCellArea critical warnings in thumb view

    GTK+ switched from using constructor() to constructed() in
    GtkIconView,
    which exposed that Cheese does not chain up in the CheeseThumbView (a
    GtkIconView subclass) constructed() vfunc. Chain up at the start of
    constructed() so that the construct-only properties of the GtkIconView
    are set before calling icon view API.

M	src/thumbview/cheese-thumb-view.c

commit 1e1a9daa62c5c310f8618318a54393887fec5ed9
Author: David King <amigadave@amigadave.com>
Date:	Tue Jul 8 11:20:21 2014 +0100

    Avoid using deprecated GtkAlignment

M	data/cheese-main-window.ui

commit cbd83f4267534448a5a0839a95c14f8212acadbc
Author: David King <amigadave@amigadave.com>
Date:	Mon Jul 21 21:54:04 2014 +0100

    Post-release version bump to 3.13.90

M	configure.ac

commit 26e47b1b690d24feebe18fbb0d7c7ed2d5a2e505
Author: David King <amigadave@amigadave.com>
Date:	Mon Jul 21 21:47:27 2014 +0100

    Update NEWS for 3.13.4 release

M	NEWS
M	configure.ac

commit 1d41bfa4db33b8396c8abedfc8fd28b6377c8e4b
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	Mon Jul 21 14:53:58 2014 +0200

    Updated Norwegian bokmål translation.

M	po/nb.po

commit 1c40135ddbd7f99ec8a7f1eafb91889d83b0108a
Author: Benjamin Herr <ben@0x539.de>
Date:	Sun Jul 20 02:30:46 2014 +0200

    Track flash opacity explicitly

    Retrieving the opacity of the flash, reducing it by an exponentially
    small step, and setting it again does not always actually decrease the
    widget's opacity, and so the fading does not actually terminate.

    Incidentally, also unset the flash timeout tags to avoid calling
    g_source_remove() spuriously.

    https://bugzilla.gnome.org/show_bug.cgi?id=733433

M	libcheese/cheese-flash.c

commit 589c9291fc37ab088003685ea3d874976cc5b0ea
Author: David King <amigadave@amigadave.com>
Date:	Sat May 31 19:20:43 2014 +0800

    Use a better fallback image location

    https://bugzilla.gnome.org/show_bug.cgi?id=731032

M	libcheese/cheese-fileutil.c

commit f657bad88ed87df0f5936506fbc1892843114084
Author: David King <amigadave@amigadave.com>
Date:	Thu Jul 10 13:19:17 2014 +0100

    Use new GtkApplication appmenu resource handling

M	Makefile.am
M	configure.ac
R098	data/cheese-appmenu.ui	data/menus.ui
M	data/org.gnome.Cheese.gresource.xml
M	po/POTFILES.in
M	src/cheese-application.vala

commit 345530b5307abb71282550fc7dc53ca49099dfd7
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	Tue Jul 1 21:38:22 2014 +0200

    Updated Galician translations

M	po/gl.po

commit 232ae782447daa0ce98b7d456e1edc6a25536e8c
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:	Mon Jun 30 23:53:26 2014 +0200

    Updated Hungarian translation

M	po/hu.po

commit 0fc2096bb2db0fa51000d94013d1f756c73d20f6
Author: David King <amigadave@amigadave.com>
Date:	Mon Jun 30 11:44:13 2014 +0100

    Match desktop file name in AppData

    Update the AppData reference to the desktop file, as it was not
    changed
    when the desktop file was renamed.

M	data/org.gnome.Cheese.appdata.xml.in

commit be5083d59f05153ca57acc0df50afa5430d1b08d
Author: David King <amigadave@amigadave.com>
Date:	Wed Jun 25 12:20:05 2014 +0100

    Avoid crash during delete-event in chooser test

M	tests/cheese-test-chooser.c

commit a20462072f07a95a6ce6bdb989cbaefe1fabf886
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:	Sun Jun 22 08:06:45 2014 +0000

    Updated Chinese (Taiwan) translation

M	po/zh_TW.po

commit ea247d41dd73cec4a6f9c8786415086665be8aa2
Author: Andika Triwidada <andika@gmail.com>
Date:	Sun May 25 10:24:20 2014 +0000

    Updated Indonesian translation

M	po/id.po

commit 057aec99140af90ef76471203b84282fa15db823
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	Wed May 21 16:46:58 2014 +0000

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 056b9e1b899a29cb4abbb02480a3f9c0796a1d1f
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	Fri May 16 05:19:31 2014 +0300

    Updated Hebrew translation

M	po/he.po

commit 39899fabe2837d4b67f4a1cc6618072f663e63f5
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Sat May 10 19:39:09 2014 +0200

    Updated Spanish translation

M	po/es.po

commit 596baae4da93923b229a56f577aa37565a9a0344
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	Fri May 9 00:29:44 2014 +0200

    [l10n] Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 901ef5782aa24fa01dfe875054b892c3ebefdf24
Author: Sami Jaktholm <sjakthol@outlook.com>
Date:	Thu May 1 14:14:36 2014 +0300

    Finnish help translation

M	help/Makefile.am
A	help/fi/fi.po

commit e12579e6b0d11510e108b25871c3768d388febc6
Author: David King <amigadave@amigadave.com>
Date:	Mon Apr 28 23:45:15 2014 +0200

    Update NEWS for 3.13.1 release

M	NEWS
M	configure.ac

commit f7cdc87f5e88e03b910914606abe7294c061d05e
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Thu Apr 24 18:05:11 2014 +0200

    Updated POTFILES.in

M	po/POTFILES.in

commit f0edb1f9794cebe0f5be8052824e7e07d023efc8
Author: Iain Lane <iain.lane@canonical.com>
Date:	Thu Apr 24 11:49:26 2014 +0100

    Use a traditional title bar when requested

    Not all environments desire header bars. We use the
    'gtk-shell-shows-menubar' setting to decide whether to use the header
    bar.

    https://bugzilla.gnome.org/show_bug.cgi?id=728866

M	Makefile.am
M	data/cheese-main-window.ui
A	data/headerbar.ui
M	data/org.gnome.Cheese.gresource.xml
M	src/cheese-window.vala

commit 8d26d0404a6bcbca96a58265aec1853fd5886cc8
Author: Iain Lane <iain.lane@canonical.com>
Date:	Thu Apr 24 12:14:04 2014 +0100

    Use avatar chooser headerbar only when requested

    Use headerbar in the avatar chooser dialog only when necessary
    according
    to the "gtk-shell-shows-menubar" setting.

    https://bugzilla.gnome.org/show_bug.cgi?id=728866

M	libcheese/cheese-avatar-chooser.c

commit 9b628601135bcd22439cfe8ade511fa83a6b0c7c
Author: Marek Černocký <marek@manet.cz>
Date:	Wed Apr 23 15:31:47 2014 +0200

    Updated Czech translation

M	po/cs.po

commit 258c790e288050c83933dbaf316e23edc4f6541c
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	Wed Apr 23 14:14:37 2014 +0300

    Updated Greek translations - UI and doc

M	help/el/el.po
M	po/el.po

commit 9a7e275da7d8398f0b156fdbdf2ff3ff5ddf8318
Author: Akom Chotiphantawanon <knight2000@gmail.com>
Date:	Tue Apr 22 13:01:11 2014 +0700

    Updated Thai translation

M	po/th.po

commit d05eefe4a2375df22bf822bf9ce4b895ea019b08
Author: Reinout van Schouwen <reinouts@gnome.org>
Date:	Sun Apr 20 23:30:06 2014 +0200

    Updated Dutch translation by Erwin Poeze

M	po/nl.po

commit 608cc5cbbdd56920ed385f0157b831105299957c
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	Thu Apr 3 19:45:03 2014 +0200

    Updated Slovenian translation

M	po/sl.po

commit 7ac8c728ebc050522aee527469df55fd83d888da
Author: David King <amigadave@amigadave.com>
Date:	Tue Apr 1 14:00:13 2014 +0100

    Rename desktop file and set DBusActivatable=true

    Rename AppData and GResource XML in line with desktop file changes.

M	.gitignore
M	Makefile.am
M	configure.ac
R100	data/cheese.appdata.xml.in
data/org.gnome.Cheese.appdata.xml.in
R085	data/cheese.desktop.in.in
data/org.gnome.Cheese.desktop.in.in
R100	data/cheese.gresource.xml
data/org.gnome.Cheese.gresource.xml
M	po/POTFILES.in
M	po/POTFILES.skip

commit c6edcbaf218f2ff8bca686d38ada71f61a6bf559
Author: David King <amigadave@amigadave.com>
Date:	Tue Apr 1 13:58:59 2014 +0100

    Add D-Bus service file

    Allow the application to be D-Bus activated by running with the
    --gapplication-service argument.

M	.gitignore
M	Makefile.am
M	configure.ac
A	data/org.gnome.Cheese.service.in

commit 2fa739b2d99e295d2128ad96208a6801406db52c
Author: David King <amigadave@amigadave.com>
Date:	Tue Apr 1 09:54:19 2014 +0100

    Remove old maintainers from DOAP file

M	cheese.doap

commit ceebd132a1c81e90157ed208aa70e772aa505dae
Author: Hans de Goede <hdegoede@redhat.com>
Date:	Tue Jun 18 09:05:19 2013 +0200

    Stop the running action when an error occurs

    https://bugzilla.gnome.org/show_bug.cgi?id=707386

M	src/cheese-window.vala

commit e799707762b7e338f1e0c48a6099ad9e5a48c2ba
Author: David King <amigadave@amigadave.com>
Date:	Mon Mar 31 18:54:40 2014 +0100

    Inhibit user switching and session idle

    As recording video from a webcam is undesirable when combined with
    switching users, inhibit switching and session idling.

    https://bugzilla.gnome.org/show_bug.cgi?id=694214

M	src/cheese-application.vala

commit 7918045028a4d09407926bfab0ab4e3f2f0e6fb8
Author: David King <amigadave@amigadave.com>
Date:	Mon Mar 31 15:06:25 2014 +0100

    Depend on Automake 1.12 for test-driver support

    https://bugzilla.gnome.org/show_bug.cgi?id=710420

M	configure.ac

commit 5d430722bb2a2fb9b2d1317ad41b0364131a91b2
Author: Andika Triwidada <andika@gmail.com>
Date:	Thu Mar 27 05:10:30 2014 +0000

    Updated Indonesian translation

M	help/id/id.po

commit 65b73f23ebab36145d6c4aa2eac5796941f3929c
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	Wed Mar 26 10:42:35 2014 +0200

    Fix untranslated strings in libcheese

    https://bugzilla.gnome.org/show_bug.cgi?id=727082

M	libcheese/cheese-avatar-chooser.c
M	libcheese/cheese-avatar-widget.c
M	libcheese/cheese-camera-device.c
M	libcheese/cheese-camera.c
M	libcheese/cheese-widget.c

commit 27183c4a815db17245c3a87e9a98800c0c6e3120
Author: David King <amigadave@amigadave.com>
Date:	Wed Mar 26 08:15:48 2014 +0000

    Use suggested-action style for Select button

M	configure.ac
M	libcheese/cheese-avatar-chooser.c

commit ba2614dbd864a8e316f3b2630a1e98f33c2a6996
Author: David King <amigadave@amigadave.com>
Date:	Wed Mar 26 08:08:45 2014 +0000

    Remove the border from the chooser action area

M	libcheese/cheese-avatar-chooser.c

commit b099b06d9bf71f0ff74900898e2963a0f6dfaab3
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	Wed Mar 26 08:58:51 2014 +0200

    Use headerbar in the avatar chooser dialog

    Bump GTK+ requirement for the new GtkDialog property.

    https://bugzilla.gnome.org/show_bug.cgi?id=727076

M	configure.ac
M	libcheese/cheese-avatar-chooser.c

commit 89997e43913675d1cd4ab42820f8883799ea17c8
Author: David King <amigadave@amigadave.com>
Date:	Mon Mar 24 20:56:32 2014 +0000

    Post-release version bump to 3.13.1

M	configure.ac

commit e76076a88c0660f2c2ad8d563f5c6924cd493441
Author: David King <amigadave@amigadave.com>
Date:	Mon Mar 24 20:52:39 2014 +0000

    Update NEWS for 3.12.0 release

M	NEWS
M	configure.ac

commit 0d2196bff45ce64f0d9608d5b9154cd35fb03cea
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:	Sun Mar 23 19:16:40 2014 +0100

    Updated Danish translation

M	po/da.po

commit 5106c337417168b0819c823af4ee1888e49a8866
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	Sat Mar 22 16:04:38 2014 +0100

    Updated Basque language

M	po/eu.po

commit f3a7f43b863dfcb25d7ea120f7b39b6a11877900
Author: Giuseppe Pignataro <anubisteam01@gmail.com>
Date:	Fri Mar 21 07:36:11 2014 +0000

    Updated Italian translation

M	po/it.po

commit a825663b3fb659a1750194987e80cdf7653ca093
Author: David King <amigadave@amigadave.com>
Date:	Mon Mar 17 21:49:22 2014 +0000

    Post-release version bump to 3.12.0

M	configure.ac

commit 42cf25dcb06c9be2c38488e356c8d15eaf221ad3
Author: David King <amigadave@amigadave.com>
Date:	Mon Mar 17 21:43:57 2014 +0000

    Update NEWS for 3.11.92 release

M	NEWS
M	configure.ac

commit 9697f05e2c0ce03b96791ec2fa9b993c4c505164
Author: David King <amigadave@amigadave.com>
Date:	Mon Mar 10 20:19:20 2014 +0000

    Use new GApplicationCommandline handling

    Additionally, avoid a non-literal format warning.

    https://bugzilla.gnome.org/show_bug.cgi?id=725994

M	configure.ac
M	src/cheese-application.vala

commit ee40cc28f64986410fe594fd894a2eed8d541b9a
Author: A S Alam <apreet.alam@gmail.com>
Date:	Mon Mar 17 15:58:02 2014 -0500

    update Punjabi Translation 17March2014: Alam

M	po/pa.po

commit 669428d438ff0ce9ba2718324beb82c625e87cbb
Author: Tiagosdot <almosthumane@portugalmail.pt>
Date:	Mon Mar 17 07:37:41 2014 +0000

    Updated Portuguese translation

M	po/pt.po

commit 8aff6a43ea328bc7e03db5de65a7a78b62c39451
Author: Ville-Pekka Vainio <vpvainio@iki.fi>
Date:	Sun Mar 16 20:31:12 2014 +0200

    Finnish translation update by Jiri Grönroos

M	po/fi.po

commit 092a827082b333d0cdef06934ebf808a8db50e93
Author: naybnet <naybnet@gmail.com>
Date:	Sun Mar 16 18:27:13 2014 +0000

    Updated French translation

M	help/fr/fr.po

commit 733f314bf8302daa6f1e96199daf7e22cc02c753
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	Sun Mar 16 09:13:42 2014 +0100

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit c3ace924d20084f075e7dd8a4664c5bce345e592
Author: Yuri Myasoedov <ymyasoedov@yandex.ru>
Date:	Mon Mar 10 14:09:49 2014 +0400

    Updated Russian translation

M	po/ru.po

commit e0cc6e55de4d5b4a549f20691b79b23e1c87671e
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	Fri Mar 7 21:49:27 2014 +0200

    Updated Latvian translation

M	po/lv.po

commit 372a89794139020719b2b1e72bcee48f27816d9d
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Fri Mar 7 17:43:53 2014 +0100

    Updated Spanish translation

M	help/es/es.po

commit ae1d53e673db52f46ecd05cc864dd23fdc917895
Author: Changwoo Ryu <cwryu@debian.org>
Date:	Thu Mar 6 23:25:46 2014 +0900

    Updated Korean translation

M	po/ko.po

commit a630b8e5e70961145c35e6834374f32930533121
Author: Pau Iranzo <paugnu@gmail.com>
Date:	Thu Mar 6 00:31:20 2014 +0100

    [l10n] Update Catalan translation

M	po/ca.po

commit 9f8c856395d1aeebbbb1a453c6eb286e66d5d8d5
Author: Paweł Żołnowski <pawel@zolnowski.name>
Date:	Wed Mar 5 23:39:53 2014 +0100

    Updated Polish translation

M	po/pl.po

commit bc2a0a7306d4a1181d4d4093aa1f7347af6daaa9
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Wed Mar 5 18:25:45 2014 +0100

    Updated Spanish translation

M	help/es/es.po

commit 2d74cc0a2e2e4c278168374cddf19170b80018c5
Author: David King <amigadave@amigadave.com>
Date:	Mon Mar 3 22:23:20 2014 +0000

    Post-release version bump to 3.11.92

M	configure.ac

commit 0ab3f89d8bd92d20cd475906f9e844d255c11834
Author: David King <amigadave@amigadave.com>
Date:	Mon Mar 3 20:47:39 2014 +0000

    Update NEWS for 3.11.91 release

M	NEWS
M	configure.ac

commit 725bc89e15acce15231ce5a3d1fe6df863db345d
Author: David King <amigadave@amigadave.com>
Date:	Mon Mar 3 21:38:34 2014 +0000

    Work around non-existent Makefile during clean

M	Makefile.am

commit b550a0c922562ecfa40cba8cefe290e1ee6c8ccb
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	Fri Feb 28 16:25:31 2014 +0100

    Update French translation

M	po/fr.po

commit 49b2277fe723424a292ba6b9b9e644fbc008c257
Author: Marek Černocký <marek@manet.cz>
Date:	Fri Feb 28 08:55:57 2014 +0100

    Updated Czech translation

M	help/cs/cs.po

commit b37feaecfbe5b9b1064fab007a120322a59016d0
Author: Marek Černocký <marek@manet.cz>
Date:	Fri Feb 28 07:44:21 2014 +0100

    Updated Czech translation

M	po/cs.po

commit bed69e0184b81f9938108f78edb3bdabb6011af7
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	Fri Feb 28 05:18:39 2014 +0100

    Updated Hungarian translation

M	po/hu.po

commit b637906f0d33080e587486801c043c90dcba2657
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	Fri Feb 28 05:18:06 2014 +0100

    Updated Hungarian help translation

M	help/hu/hu.po

commit 1e9b8676a8a5519f262f80570e133838207c343e
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	Mon Feb 24 17:34:34 2014 +0000

    Mark help images as untranslatable

    Delete translations of images that don't need them and of images that
    aren't used any more.

M	help/C/effects-apply.page
M	help/C/pref-image-properties.page
D	help/ca/figures/cheese-effects-screenshot.jpg
D	help/ca/figures/cheese-screenshot.jpg
D	help/es/figures/cheese-effects.jpg
D	help/es/figures/cheese-fullscreen.jpg
D	help/es/figures/cheese-main.jpg
D	help/es/figures/cheese-preferences.jpg
D	help/es/figures/cheese-share.jpg
D	help/es/figures/cheese-wide.jpg
D	help/pt_BR/figures/cheese-effects-screenshot.jpg
D	help/pt_BR/figures/cheese-screenshot.jpg

commit 14e19ea67a117992fb34b33c93faad3ef16be25c
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Mon Feb 24 17:25:45 2014 +0100

    Updated Spanish translation

M	help/es/es.po

commit 1c827439821f8d9edbc2799910eacd48ae4a90e2
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	Sun Feb 23 22:53:53 2014 +0100

    Updated Belarusian translation.

M	po/be.po

commit 539c16f1023a0de48ad5f9d01a1853a1af22c6b7
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	Fri Feb 21 20:13:21 2014 +0000

    Review index and pref help for 3.12

M	help/C/index.page
M	help/C/pref-countdown.page
M	help/C/pref-flash.page
M	help/C/pref-fullscreen.page
M	help/C/pref-image-properties.page
M	help/C/pref-resolution.page

commit 17b72aad3e87a4af5ef9618aeb32bd11742fed6b
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	Fri Feb 21 19:49:49 2014 +0000

    Update into and features help for 3.12

M	help/C/burst-mode.page
M	help/C/effects-apply.page
M	help/C/introduction.page
M	help/C/photo-delete.page
M	help/C/photo-save.page
M	help/C/photo-take.page
M	help/C/photo-view.page
M	help/C/video-record.page

commit 6fe6b47f474ae60f2677394541c20e047dfa52f9
Author: David King <amigadave@amigadave.com>
Date:	Mon Feb 17 21:04:48 2014 +0000

    Post-release version bump to 3.11.91

M	configure.ac

commit 9bb37a62402e95b6b51a84218c31ab71fc7352c5
Author: David King <amigadave@amigadave.com>
Date:	Mon Feb 17 20:52:37 2014 +0000

    Update NEWS for 3.11.90 release

M	NEWS
M	configure.ac

commit 2fe1edb3f696906929a997222783a52b59b81257
Author: David King <amigadave@amigadave.com>
Date:	Mon Feb 17 20:55:35 2014 +0000

    Remove g_type_init() from test-libcheese.c

M	tests/test-libcheese.c

commit 32cbe6fd2ff2b1fc7fa20ddc7e36ba9f2c05bc4e
Author: David King <amigadave@amigadave.com>
Date:	Mon Feb 17 13:26:16 2014 +0000

    Update copyright in about dialogue

M	src/cheese-application.vala

commit d0c92184910aed5f2babbdcdb96b1db037495d08
Author: jonius <jonatan_zeidler@gmx.de>
Date:	Wed Feb 12 21:44:34 2014 +0000

    Updated German translation

M	po/de.po

commit 5c0144072c3e00a8023efb7619760f94b26ddb2d
Author: jonius <jonatan_zeidler@gmx.de>
Date:	Wed Feb 12 18:53:01 2014 +0000

    Updated German translation

M	help/de/de.po

commit dae84cd4fa6793c3b54342247062c09ae4a409ea
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	Tue Feb 11 23:28:06 2014 +0200

    Updated Ukrainian translation

M	po/uk.po

commit 29340e35939c07fafd803648b504e95e143038c4
Author: Ting-Wei Lan <lantw44@gmail.com>
Date:	Tue Feb 11 09:12:35 2014 +0000

    Fix find usage on FreeBSD and POSIX, bug 724091

    POSIX find requires a path as an argument.

M	Makefile.am

commit 1576cf317b90ba3d9538a0fd1f31f6b33f75e1c2
Author: David King <amigadave@amigadave.com>
Date:	Tue Feb 4 08:52:37 2014 +0000

    Post-release version bump to 3.11.90

M	configure.ac

commit 9b1639aa0c91a5e4f5f6516aad416350a0b0363f
Author: David King <amigadave@amigadave.com>
Date:	Tue Feb 4 08:11:21 2014 +0000

    Update NEWS for 3.11.5 release

M	NEWS
M	configure.ac

commit d3f9549f4332e95b16d2261d26a4e513b8c17e47
Author: David King <amigadave@amigadave.com>
Date:	Tue Feb 4 08:07:18 2014 +0000

    Apply style classes to some main window buttons

    https://wiki.gnome.org/HowDoI/Buttons

M	data/cheese-main-window.ui

commit 80c45374b715005f1bbe30d1adcf897ed18c14fc
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	Tue Feb 4 00:47:53 2014 +0200

    Fix the page navigation icons in RTL

    https://bugzilla.gnome.org/show_bug.cgi?id=723569

M	data/cheese-main-window.ui
M	src/cheese-window.vala

commit 9704898f06036742e855ff3b66739295db3bbbe1
Author: Shankar Prasad <prasad.mvs@gmail.com>
Date:	Tue Feb 4 12:26:20 2014 +0530

    updated kn.po

M	po/kn.po

commit 03678335f47fe4221abb4482bc9e62f8cc2ab383
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	Fri Jan 31 23:01:59 2014 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit d8d0b6be9a0e730af510de6e71e32d30cce42488
Author: David King <amigadave@amigadave.com>
Date:	Thu Jan 30 13:58:24 2014 +0000

    Replace deprecated use of ClutterTableLayout

    Use ClutterGridLayout instead.

M	src/cheese-window.vala

commit e7e2184d7466168543385c3efc6f4b1dd0fff2aa
Author: David King <amigadave@amigadave.com>
Date:	Thu Jan 30 13:44:24 2014 +0000

    Replace deprecated gtk_window_*_opacity()

    Use gtk_widget_*_opacity() instead.

M	libcheese/cheese-flash.c

commit a665bda1fd201b4376c4863802b73a5499cd1618
Author: Robert Ancell <robert.ancell@canonical.com>
Date:	Wed Oct 16 10:26:23 2013 +1300

    Disable C warnings for Vala code, bug 710218

    They generally cannot be resolved in Vala and make the build
    confusing.

M	Makefile.am

commit 0cfc68103d028ba0bd9ac0806ff8d42d3b854c16
Author: David King <amigadave@amigadave.com>
Date:	Wed Jan 29 17:48:41 2014 +0000

    Add programming languages to DOAP file

M	cheese.doap

commit 3451f35d0bd0f052841d8f512b55231508fca0f2
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Mon Jan 27 13:52:20 2014 +0100

    Updated Spanish translation

M	help/es/es.po

commit 5c1e06fe6ce9d3b78c3c2d323d705d16bafef4c2
Author: Marek Černocký <marek@manet.cz>
Date:	Sun Jan 26 18:25:41 2014 +0100

    Updated Czech translation

M	help/cs/cs.po

commit eea24eb2f6abf507675e0851b4f5d198ecb9ae3f
Author: Andre Klapper <a9016009@gmx.de>
Date:	Sun Jan 26 16:16:13 2014 +0100

    Clean up Cheese Effects screenshot and decrease filesize (bug 700352)

M	help/C/effects-apply.page
M	help/C/figures/effects.png

commit b145246c7cd3fccfc25b540c13ce4dc7a810deef
Author: Yosef Or Boczko <yoseforb@src.gnome.org>
Date:	Sun Jan 26 00:52:35 2014 +0200

    Updated Hebrew translation

M	po/he.po

commit 8ba509c29022276a954464a8c72a83e1cc482607
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	Tue Jan 21 21:11:05 2014 +0100

    Updated Norwegian bokmål translation

M	po/nb.po

commit 0faa52d174deb77d86a05bd98a473989427be3c6
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:	Tue Jan 21 20:34:11 2014 +0530

    Assamese translation updated

M	po/as.po

commit 916b80facfbab53dba5e507b253f8052ed6326bd
Author: Marek Černocký <marek@manet.cz>
Date:	Fri Jan 17 12:23:52 2014 +0100

    Updated Czech translation

M	po/cs.po

commit 3cc15c15e92207dcef125e34dff52c9ae9c5e083
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:	Mon Jan 13 17:27:44 2014 +0200

    Updated Greek translation

M	help/el/el.po

commit 64b73c89526ca5917c83295823ebb34d4b569f97
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	Sun Jan 12 00:26:07 2014 +0200

    Updated Lithuanian translation

M	po/lt.po

commit f98161345cee70569a986f3ef7344ed08883e506
Author: Dominique Leuenberger <dimstar@opensuse.org>
Date:	Wed Jan 8 21:21:25 2014 +0100

    Update FSF Address

    https://bugzilla.gnome.org/show_bug.cgi?id=721536

M	libcheese/totem-aspect-frame.c
M	libcheese/totem-aspect-frame.h
M	libcheese/um-crop-area.c
M	src/thumbview/eog-thumb-nav.c
M	src/thumbview/eog-thumb-nav.h

commit c5375d5ffdee836f49a6ac7e0397651344295c21
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:	Tue Jan 7 16:22:23 2014 +0500

    Tajik translation updated

M	po/tg.po

commit ba4e5ec83a44651ccb311bba3704e2665302f587
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:	Tue Jan 7 16:12:13 2014 +0500

    Tajik translation updated

M	po/tg.po

commit f7bf4b9640769859d110ca8f09602ba90b80fac9
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:	Tue Jan 7 14:52:17 2014 +0500

    Tajik translation updated

M	po/tg.po

commit f2167e0179b114140c7485eecb2b57296dde6a57
Author: Andika Triwidada <andika@gmail.com>
Date:	Sat Jan 4 12:55:05 2014 +0700

    Updated Indonesian translation

M	po/id.po

commit 76dadfcd921d0010e004620996402377354d80ed
Author: Tong Hui <tonghuix@gmmail.com>
Date:	Sat Dec 28 19:38:22 2013 +0800

    Update Chinese simplified translation

M	po/zh_CN.po

commit 5107b18eced68bdc48fc1041c3da64725739712f
Author: Pavol Klačanský <pavol@klacansky.com>
Date:	Sun Dec 22 13:54:18 2013 +0100

    Updated slovak translation

M	po/sk.po

commit b2e2f5ddcf917610e9fc6a1a41dd3970a0d9c9f6
Author: William Jon McCann <william.jon.mccann@gmail.com>
Date:	Wed Dec 18 06:07:45 2013 -0500

    Update project homepage

M	README
M	cheese.doap
M	configure.ac
M	data/cheese.appdata.xml.in
M	tools/maintainer.sh

commit b7a6b10868f014bd28a5f13a459daa802edc126d
Author: David King <amigadave@amigadave.com>
Date:	Tue Dec 17 08:05:41 2013 +0000

    Post-release version bump to 3.11.4

M	configure.ac

commit 8ba1e54f681412c538620f2ac916963fd8bc497c
Author: David King <amigadave@amigadave.com>
Date:	Tue Dec 17 07:56:24 2013 +0000

    Update NEWS for 3.11.3 release

M	NEWS
M	configure.ac

commit f321242876a7251ddb3352e90b61ca72b3423e9a
Author: David King <amigadave@amigadave.com>
Date:	Tue Dec 17 07:58:42 2013 +0000

    Validate AppData XML during distcheck

    Force validation of AppData XML during distcheck, if a recent enough
    version of appdata-tools is available.

M	Makefile.am

commit 9b9d1bf2729824b957f0e6ca85888d3b7b26b016
Author: Akom Chotiphantawanon <knight2000@gmail.com>
Date:	Mon Dec 16 18:29:57 2013 +0700

    Updated Thai translation

M	po/th.po

commit 0191f1477bc59b8b1bd0aa5b4a6248124e176c61
Author: Fábio Nogueira <deb-user-ba@ubuntu.com>
Date:	Fri Dec 13 00:02:35 2013 -0200

    Updated Brazilian Portuguese translation, proofread Enrico Nicoletto

M	po/pt_BR.po

commit 3cb01fcb31ef43cd08c0154a37f4c4224cb70e4b
Author: David King <amigadave@amigadave.com>
Date:	Thu Dec 12 10:43:35 2013 +0000

    Fix an empty last page in the effects selector

    If there were exactly the same number of effects available as
    were shown
    in the effects selector, an empty last page was shown. Fix a condition
    to test that there are more spaces for effects in the selector than
    there are available effects. Fixes bug 720178.

M	src/cheese-window.vala

commit a149d17cc4e6f1b529e3c50cb0644a9a148117ac
Author: David King <amigadave@amigadave.com>
Date:	Thu Dec 12 10:19:52 2013 +0000

    Refactor effects page next/previous logic

    Add is_next_effects_page() and is_previous_effects_page() to
    CheeseWindow.

M	src/cheese-window.vala

commit e81302703bf23e4af242fb0f480cd4257db2f727
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	Fri Nov 29 00:54:57 2013 +0100

    Updated Galician translations

M	po/gl.po

commit 87ba7486a3b9a244b930fa428e7f02049f7d0e1e
Author: Ryan Lortie <desrt@desrt.ca>
Date:	Mon Nov 25 14:40:56 2013 -0500

    Update Esperanto translation

M	po/eo.po

commit e1ff5cdb31865068238acdd101930d53f6bfeae9
Author: Shantha kumar <shkumar@redhat.com>
Date:	Wed Nov 20 12:03:01 2013 +0530

    Updated Tamil Translations

M	po/ta.po

commit afdb37576c815f90e772eef7408334cda22d4270
Author: David King <amigadave@amigadave.com>
Date:	Mon Nov 18 22:48:40 2013 +0000

    Post-release version bump to 3.11.3

M	configure.ac

commit 7e5a2b0a4d7ec3910c405a0d422542151d0c4074
Author: David King <amigadave@amigadave.com>
Date:	Mon Nov 18 22:45:54 2013 +0000

    Update NEWS for 3.11.2 release

M	NEWS
M	configure.ac

commit f04e641b30e65d8fc6f96d1eb4d8758e195aecd4
Author: Rashi Aswani <aswanirashi19@gmail.com>
Date:	Fri Nov 15 17:57:13 2013 +0530

    Show top bar when moving mouse in fullscreen mode

    Store whether the window was maximized before entering fullscreeen
    mode,
    and return to the same state when exiting fullscreen.

    https://wiki.gnome.org/Design/Apps/Cheese#Full_Screen

    https://bugzilla.gnome.org/show_bug.cgi?id=711811

M	src/cheese-window.vala

commit 3b3105828787f988c0865e4ef4117d0742f6b527
Author: David King <amigadave@amigadave.com>
Date:	Sun Nov 17 00:20:28 2013 +0000

    Use new G_DEFINE_TYPE_WITH_PRIVATE macro

M	libcheese/cheese-avatar-chooser.c
M	libcheese/cheese-avatar-widget.c
M	libcheese/cheese-camera-device-monitor.c
M	libcheese/cheese-camera.c
M	libcheese/cheese-effect.c
M	libcheese/cheese-fileutil.c
M	libcheese/cheese-flash.c
M	libcheese/cheese-widget.c
M	libcheese/totem-aspect-frame.c
M	libcheese/totem-aspect-frame.h
M	libcheese/um-crop-area.c
M	libcheese/um-crop-area.h
M	src/thumbview/cheese-thumb-view.c
M	src/thumbview/eog-thumb-nav.c
M	src/thumbview/eog-thumb-nav.h

commit 1d40acd1d91fab6bc3b2c2ce1db621af8b9db586
Author: David King <amigadave@amigadave.com>
Date:	Sat Nov 16 23:17:54 2013 +0000

    Remove obsolete enum type files

D	libcheese/cheese-enum-types.c.in
D	libcheese/cheese-enum-types.h.in

commit b21362f567862a82fd71eda3e9bea54ef8b5f1db
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Sat Nov 16 18:14:59 2013 +0100

    Updated Spanish translation

M	po/es.po

commit d182e4c687b6d7eeb33f3219fc640130335e17b6
Author: David King <amigadave@amigadave.com>
Date:	Fri Nov 15 15:32:44 2013 +0000

    Fix memory leak in cheese_thumb_view_remove_item()

M	src/thumbview/cheese-thumb-view.c

commit a6eeda8d44d9b58d1828d172bad77edcf46d98f0
Author: David King <amigadave@amigadave.com>
Date:	Fri Nov 15 14:58:54 2013 +0000

    Add a finalize method to CheeseEffect

    The data in CheeseEffectPrivate was not being freed, leading to memory
    leaks.

M	libcheese/cheese-effect.c

commit 74902aefe4ccaaf622f532f3bbf2d2dbad49a3a9
Author: David King <amigadave@amigadave.com>
Date:	Fri Nov 15 14:42:52 2013 +0000

    Fix memory leak in cheese_thumb_view_monitor_cb()

M	src/thumbview/cheese-thumb-view.c

commit 26cbfd84e0cbd7ead18b7507e81e4f2e11587b30
Author: David King <amigadave@amigadave.com>
Date:	Fri Nov 15 14:42:27 2013 +0000

    Remove obsolete CheeseCameraEffect from VAPI

M	src/vapi/cheese-common.vapi

commit 66c5434635caad7e8e3e6e04342f4de052566d0f
Author: David King <amigadave@amigadave.com>
Date:	Fri Nov 15 14:06:45 2013 +0000

    Fix cheese_camera_get_video_formats() in VAPI

M	src/cheese-preferences.vala
M	src/cheese-window.vala
M	src/vapi/cheese-common.vapi

commit 3c01885008e2bc2f7c385ed29a90e5bd609cb8f0
Author: David King <amigadave@amigadave.com>
Date:	Fri Nov 15 13:52:30 2013 +0000

    CheeseCamera VAPI fixes

M	src/vapi/cheese-common.vapi

commit bfbe3836eddf47afec20dbcbe2c310be612559b6
Author: David King <amigadave@amigadave.com>
Date:	Fri Nov 15 11:33:55 2013 +0000

    Fix memory leak in cheese_camera_set_tags()

M	libcheese/cheese-camera.c

commit 19dbbe3d80696b0fc9046944299bd339a7f74082
Author: David King <amigadave@amigadave.com>
Date:	Fri Nov 15 09:38:21 2013 +0000

    Mark CheeseVideoFormat as a boxed type in the VAPI

    It was only marked as a compact struct, and so was never freed.

M	src/cheese-preferences.vala
M	src/vapi/cheese-common.vapi

commit 8da626db5f1fc822c6fd842c15d0537f14de9ece
Author: David King <amigadave@amigadave.com>
Date:	Fri Nov 15 09:37:03 2013 +0000

    Mark CheeseFileutil strings as owned

    The strings were marked as unowned, which meant that the Vala compiler
    did not emit free functions and the strings were leaked.

M	src/vapi/cheese-common.vapi

commit c21117bc111f0c7d74c82dc040d449734d1564d0
Author: David King <amigadave@amigadave.com>
Date:	Thu Nov 14 15:20:58 2013 +0000

    Fix leaks in cheese_camera_set_video_recording()

M	libcheese/cheese-camera.c

commit fd7ce9bb85059aa34e1d3f9c595e4d3a78a8326f
Author: David King <amigadave@amigadave.com>
Date:	Thu Nov 14 10:19:48 2013 +0000

    Fix leak of GtkSizeGroup in CheeseAvatarWidget

M	libcheese/cheese-avatar-widget.c

commit 9b3c6bed94d7060a88d7b091560bd4f9d1eafbe2
Author: David King <amigadave@amigadave.com>
Date:	Thu Nov 14 09:56:38 2013 +0000

    Chain up to finalize  in UmCropArea

M	libcheese/um-crop-area.c

commit 41043a4bbbda40fd79038e17acbec09903cb184a
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:	Wed Nov 13 17:15:05 2013 +0200

    Updated Greek translation

M	po/el.po

commit e4bde7d2a291919f52ed2a4846f69093e078efe4
Author: David King <amigadave@amigadave.com>
Date:	Wed Nov 13 09:45:41 2013 +0000

    Add AppData description

M	.gitignore
M	Makefile.am
M	configure.ac
A	data/cheese.appdata.xml.in
M	po/POTFILES.in

commit bec84ac4e635eb4f9dbfd9b8c59b48deed284fd2
Author: Akom Chotiphantawanon <knight2000@gmail.com>
Date:	Wed Nov 13 16:17:47 2013 +0700

    Updated Thai translation.

M	po/th.po

commit 370a5dc9824bf64200fa34b295909ffd6715b737
Author: Rashi Aswani <aswanirashi19@gmail.com>
Date:	Tue Nov 12 19:40:28 2013 +0530

    Fixed deprecated warning in on_countdown_toggle

    https://bugzilla.gnome.org/show_bug.cgi?id=712151

M	src/cheese-window.vala

commit 0b04925ab33c7cb70e055a5c4ed0d271e1e2ea98
Author: Shantha kumar <shkumar@redhat.com>
Date:	Tue Nov 12 17:27:15 2013 +0530

    Updated Tamil Translations

M	po/ta.po

commit 0d7d794bdab5c88dc5636cc288c2871798372b0e
Author: David King <amigadave@amigadave.com>
Date:	Tue Nov 12 10:47:52 2013 +0000

    Preprocess thumbnail frame PNG in GResource

    Also, add SVG images which were forgotten in the last commit.

M	data/cheese.gresource.xml

commit 97fd866795443c168460d87e71dc97d0f2db1a8a
Author: David King <amigadave@amigadave.com>
Date:	Tue Nov 12 09:44:07 2013 +0000

    Move PNG and SVG images into GResource

M	Makefile.am
M	data/cheese.gresource.xml
D	data/pixmaps/camera-icon.svg
M	src/thumbview/cheese-thumb-view.c
M	src/thumbview/cheese-thumbnail.c

commit d12dcf6fe67720cf9609130fcd5002f3d5aa4491
Author: David King <amigadave@amigadave.com>
Date:	Tue Nov 12 09:23:46 2013 +0000

    Add domain attribute to GtkBuilder interfaces

M	data/cheese-main-window.ui
M	data/cheese-prefs.ui

commit 24d86997c3500f50e0dee947983bb9e42e02573c
Author: David King <amigadave@amigadave.com>
Date:	Tue Nov 12 09:17:39 2013 +0000

    Move application menu into GtkBuilder resource

M	Makefile.am
A	data/cheese-appmenu.ui
M	data/cheese.gresource.xml
M	po/POTFILES.in
M	src/cheese-application.vala

commit db7b638aa5c462441962078477b647458b476508
Author: David King <amigadave@amigadave.com>
Date:	Mon Nov 11 23:57:13 2013 +0000

    Make CheeseMainWindow a template widget

M	Makefile.am
M	data/cheese-main-window.ui
M	data/cheese.gresource.xml
M	src/cheese-window.vala

commit 9284c728aaf5241ff4613e28d90725189ea81a31
Author: David King <amigadave@amigadave.com>
Date:	Mon Nov 11 22:58:18 2013 +0000

    Make CheesePreferencesDialog a template widget

M	Makefile.am
M	configure.ac
M	data/cheese-prefs.ui
M	data/cheese.gresource.xml
M	src/cheese-preferences.vala

commit 73f2ef0b6d0852fda67256e708652ec4320f2119
Author: David King <amigadave@amigadave.com>
Date:	Mon Nov 11 22:00:11 2013 +0000

    Move ClutterScript JSON into GResource

M	Makefile.am
M	data/cheese.gresource.xml
M	src/cheese-window.vala

commit 2fcb2988a0bf53b3c3a43ad000c6c0a98c79459c
Author: David King <amigadave@amigadave.com>
Date:	Mon Nov 11 21:49:42 2013 +0000

    Use GResource for CSS snippet

M	.gitignore
M	Makefile.am
M	configure.ac
A	data/cheese.gresource.xml
M	src/cheese-window.vala

commit a9ee541607d3c2edb5cd1f4e232fcf8a61505ac3
Author: David King <amigadave@amigadave.com>
Date:	Mon Nov 11 18:08:38 2013 +0000

    Refactor GtkScale code in CheesePreferences

    Move mark definitions into GtkBuilder. Convert GtkHScale to GtkScale
    with a horizontal orientation. Use g_settings_bind() to link GSettings
    values to UI elements, and remove unnecessary signal handlers.

M	data/cheese-prefs.ui
M	src/cheese-preferences.vala

commit c9e9e37d84d63c5a721313fb2ccde663d186b555
Author: David King <amigadave@amigadave.com>
Date:	Mon Nov 11 14:19:34 2013 +0000

    Fix leak in CheeseCameraDeviceMonitor test

M	tests/cheese-test-monitor.c

commit 7834ebbe9959aac4514f7352181bc4efb292a275
Author: Rashi Aswani <aswanirashi19@gmail.com>
Date:	Mon Nov 11 18:29:46 2013 +0530

    Fixed unused-but-set warning in EogThumbNav

    https://bugzilla.gnome.org/show_bug.cgi?id=711841

M	src/thumbview/eog-thumb-nav.c

commit 020f56e90293ed3ede4d1aa54982a1d41cdc51a9
Author: David King <amigadave@amigadave.com>
Date:	Sat Nov 9 14:58:54 2013 +0000

    Link the effect browsing buttons together

M	data/cheese-main-window.ui

commit c32aa4a3375fd24ef072448efbbe745d30d2bcc3
Author: David King <amigadave@amigadave.com>
Date:	Sat Nov 9 14:57:21 2013 +0000

    Make all buttons have GTK_RELIEF_NORMAL

M	data/cheese-main-window.ui
M	src/cheese-window.vala

commit c1aceba52402daf91aa26f4bba01fc8bb8737d68
Author: Rashi Aswani <aswanirashi19@gmail.com>
Date:	Sat Nov 9 18:00:40 2013 +0530

    Change header bar when choosing effects

    https://wiki.gnome.org/GnomeGoals/HeaderBars

    https://bugzilla.gnome.org/show_bug.cgi?id=711714

M	src/cheese-window.vala

commit 4e24104d910fd5c32811237391362ee870f7c0fa
Author: David King <amigadave@amigadave.com>
Date:	Sat Nov 9 09:54:17 2013 +0000

    Remove unused CheeseWindow.set_mode ()

M	src/cheese-window.vala

commit 42a02433280494dc822d6cfd0dd714497f60b46e
Author: Rashi Aswani <aswanirashi19@gmail.com>
Date:	Sat Nov 9 05:18:02 2013 +0530

    Change titlebar to use GtkHeaderBar

    https://wiki.gnome.org/GnomeGoals/HeaderBars

    https://bugzilla.gnome.org/show_bug.cgi?id=711714

M	data/cheese-main-window.ui
M	src/cheese-window.vala

commit d9e302efb73325a10bc87cf3ab9778dc380bf1a2
Author: David King <amigadave@amigadave.com>
Date:	Fri Nov 8 23:14:43 2013 +0000

    Remove unused countdown_action

M	src/cheese-window.vala

commit 27f2a7921b4695c936c5ace2d43e2815b2492116
Author: David King <amigadave@amigadave.com>
Date:	Fri Nov 8 23:09:01 2013 +0000

    Add a border around the button area box

M	data/cheese-main-window.ui

commit 62ccf52c58f2f03bfc8b28b2593fc78447ae1704
Author: David King <amigadave@amigadave.com>
Date:	Fri Nov 8 21:36:57 2013 +0000

    Convert some GtkGrid widgets to GtkBox

M	data/cheese-main-window.ui
M	src/cheese-window.vala

commit 92c979cd3495f4d159db7991e5c5b84f86254bbd
Author: David King <amigadave@amigadave.com>
Date:	Fri Nov 8 21:17:21 2013 +0000

    Remove mode and shoot actions from the app menu

    The current GNOME HIG suggests that actions which are already
    accessible
    from the application window should not be duplicated in the
    application
    menu:

    https://wiki.gnome.org/Design/HIG/ApplicationMenus

M	src/cheese-application.vala

commit 8f514ca900484da979aa386189d7c1daba83a3fe
Author: David King <amigadave@amigadave.com>
Date:	Fri Nov 8 20:20:59 2013 +0000

    Use symbolic icon for leave fullscreen button

M	data/cheese-main-window.ui

commit 5ceded321788ea2f298c39598159c21e0c5fa25e
Author: David King <amigadave@amigadave.com>
Date:	Fri Nov 8 20:16:28 2013 +0000

    Make shoot action button wider

M	data/cheese-main-window.ui

commit d812effbb711fea3b44cc326e69d4b60a09f5ef4
Author: David King <amigadave@amigadave.com>
Date:	Fri Nov 8 20:23:42 2013 +0000

    Link mode buttons together

M	data/cheese-main-window.ui

commit c25390102bdd2a1383734087c09aedc7d8d02b4d
Author: David King <amigadave@amigadave.com>
Date:	Fri Nov 8 20:51:45 2013 +0000

    Avoid using GtkStock, as it is deprecated

    https://bugzilla.gnome.org/show_bug.cgi?id=710217

M	data/cheese-prefs.ui
M	libcheese/cheese-avatar-chooser.c
M	src/cheese-window.vala

commit 047ee8a9b139025a48a724552c1bcefa1df45c45
Author: Rashi Aswani <aswanirashi19@gmail.com>
Date:	Sat Nov 9 00:37:16 2013 +0530

    Centered the capture icon

    https://bugzilla.gnome.org/show_bug.cgi?id=711680

M	data/cheese-main-window.ui

commit dae849d56d8ecbb7ee11727756e7fc1cc6c2bd3b
Author: Rashi Aswani <aswanirashi19@gmail.com>
Date:	Fri Nov 8 18:35:45 2013 +0530

    Change stock icons to symbolic icons

    https://bugzilla.gnome.org/show_bug.cgi?id=711680

M	Makefile.am
M	data/cheese-main-window.ui
D	data/icons/16x16/actions/browse-webcam-effects.png
D	data/icons/16x16/actions/cheese-take-burst.png
D	data/icons/16x16/actions/cheese-take-photo.png
D	data/icons/22x22/actions/browse-webcam-effects.png
D	data/icons/22x22/actions/cheese-take-burst.png
D	data/icons/22x22/actions/cheese-take-photo.png
D	data/icons/24x24/actions/browse-webcam-effects.png
D	data/icons/24x24/actions/cheese-take-burst.png
D	data/icons/24x24/actions/cheese-take-photo.png
D	data/icons/32x32/actions/browse-webcam-effects.png
D	data/icons/32x32/actions/cheese-take-burst.png
D	data/icons/32x32/actions/cheese-take-photo.png
D	data/icons/48x48/actions/browse-webcam-effects.png
D	data/icons/48x48/actions/cheese-take-burst.png
D	data/icons/48x48/actions/cheese-take-photo.png
D	data/icons/scalable/actions/browse-webcam-effects.svg
D	data/icons/scalable/actions/cheese-take-burst.svg
D	data/icons/scalable/actions/cheese-take-photo.svg
M	src/cheese-window.vala

commit b1f41512c777cfc9ed1c3edaebcf6c17f7d06322
Author: Rashi Aswani <aswanirashi19@gmail.com>
Date:	Fri Nov 8 04:37:02 2013 +0530

    Use symbolic icons for photo and video button

    Using the stock "record" icon for taking photos is misleading,
    so use a
    symbolic "webcam" icon for both taking a photo and recording a video.
    Update the "stop" icon to also be a symbolic icon.

    https://bugzilla.gnome.org/show_bug.cgi?id=668599

M	data/cheese-main-window.ui
M	src/cheese-window.vala

commit 47cc140a3fdb13a067a295212a8b9a00ffdea7f4
Author: David King <amigadave@amigadave.com>
Date:	Tue Nov 5 23:56:57 2013 +0000

    Depend on GTK+ 3.10.0 for GtkHeaderBar

M	configure.ac

commit 4305cf0abf91b135be19e60dda39d2920931598b
Author: David King <amigadave@amigadave.com>
Date:	Tue Nov 5 23:32:27 2013 +0000

    Fix memory leak in cheese_camera_device_get_caps()

M	libcheese/cheese-camera-device.c

commit 94c2bfb900148e7d711ae704fce9a1b51c2eb24f
Author: David King <amigadave@amigadave.com>
Date:	Tue Nov 5 23:26:13 2013 +0000

    Fix cheese_thumb_view_append_item() memory leaks

    Fix several memory leaks found with valgrind.

M	src/thumbview/cheese-thumb-view.c

commit 0e739a64f78246af2afc9a74155ac47fce756e51
Author: David King <amigadave@amigadave.com>
Date:	Tue Nov 5 23:19:47 2013 +0000

    Fix memory leak when creating a new CheeseCamera

M	libcheese/cheese-camera.c

commit ac8ba9eb09940f8cff82d856a8f0a387b5b856ae
Author: David King <amigadave@amigadave.com>
Date:	Tue Nov 5 23:12:21 2013 +0000

    Fix some memory leaks in cheese_fileutil_init()

M	libcheese/cheese-fileutil.c

commit 82d69d7d13a9511a384180ef6dc5224ad339c8b3
Author: David King <amigadave@amigadave.com>
Date:	Tue Nov 5 15:29:18 2013 +0000

    Make static string array const

M	libcheese/cheese-camera-device.c

commit 1bdcfa5fce1affc8ad1c7ff8d512b507a2e18d27
Author: David King <amigadave@amigadave.com>
Date:	Tue Nov 5 15:26:09 2013 +0000

    Simplify looping over GStrv

M	libcheese/cheese-camera-device.c

commit 4816d1a286beaa99e86f89ae44fa30519cdf85a8
Author: David King <amigadave@amigadave.com>
Date:	Tue Nov 5 15:06:15 2013 +0000

    Make cheese_camera_device_monitor_set_up_device static

M	libcheese/cheese-camera-device-monitor.c

commit 8bccc90cef1774959809bd90eda513772b78ef27
Author: Efstathios Iosifidis <iosifidis@opensuse.org>
Date:	Wed Nov 6 07:58:04 2013 +0200

    Updated Greek translation

M	po/el.po

commit 0b49c53c1d20562ad6a3086b4ff9fbc3434b08e1
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	Fri Nov 1 13:37:17 2013 +0100

    Updated Galician translations

M	po/gl.po

commit dfe5fd22ddd8a075548a4b3814980146fb414b5d
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	Thu Oct 31 21:00:47 2013 +0100

    Updated Slovenian translation

M	po/sl.po

commit 50b51e08de071d589e2aaa1f0acc8ee4b63a24bc
Author: David King <amigadave@amigadave.com>
Date:	Thu Oct 31 19:11:20 2013 +0000

    Revert "Use ClutterGst 3.0"

    This reverts commit 5061d1cdaf7ad9eb733047455b5b5d7a4551eb93. The
    jhbuild 3.12 moduleset is using the clutter-gst-2.0 branch.

M	configure.ac
M	data/cheese.pc.in

commit 109b70246bfd1019fa0cbeeecf6ee4f5b87ae141
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Thu Oct 31 18:21:05 2013 +0100

    Updated Spanish translation

M	po/es.po

commit 5cd912f0f4829c97526ee2fce7125e32e7437acc
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:	Wed Oct 30 18:06:00 2013 -0400

    libcheese: Export cheese_avatar_widget_new

M	libcheese/cheese-gtk.symbols

commit f98b8a297206548ff3f2a0b34d36a2afe25fc94f
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:	Wed Oct 30 17:39:37 2013 -0400

    libcheese: Distribute cheese-avatar-widget.h

    So external consumers can use it.

M	Makefile.am

commit 5061d1cdaf7ad9eb733047455b5b5d7a4551eb93
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:	Wed Oct 30 17:53:15 2013 -0400

    Use ClutterGst 3.0

M	configure.ac
M	data/cheese.pc.in

commit cffec633e6f365d2825eb018631995b7c197d986
Author: Anish A <aneesh.nl@gmail.com>
Date:	Wed Oct 30 21:57:23 2013 +0530

    Updated Malayalam Translation

M	po/ml.po

commit 01b114af30985c2bac7faaca6180d590669b3146
Author: David King <amigadave@amigadave.com>
Date:	Mon Oct 28 22:20:34 2013 +0000

    Post-release version bump to 3.11.2

M	configure.ac

commit 4fcd399e49a3441dd3c0251515d91cafc7a8cd0d
Author: David King <amigadave@amigadave.com>
Date:	Mon Oct 28 21:59:35 2013 +0000

    Update NEWS for 3.11.1 release

M	NEWS
M	configure.ac

commit 7645c6ca28f421cecfe8c73573211dc87b91ea06
Author: David King <amigadave@amigadave.com>
Date:	Mon Oct 28 22:13:12 2013 +0000

    Add CheeseAvatarWidget to API reference

M	docs/reference/cheese-docs.xml
M	docs/reference/cheese-sections.txt

commit e6f75ed1023e6d3cf2d67ebb3d34c54d706a03fc
Author: David King <amigadave@amigadave.com>
Date:	Mon Oct 28 22:06:40 2013 +0000

    Fix CheeseAvatarChooser test

    There is no longer a button with the label "Take a Photo", so
    remove the
    test which tries to find it.

M	tests/test-libcheese-gtk.c

commit ec26dd3f62c966ee174a9349d9ec9323e538c550
Author: David King <amigadave@amigadave.com>
Date:	Mon Oct 28 22:01:35 2013 +0000

    Distribute cheese-avatar-widget.h

M	Makefile.am

commit 3a1d55c9371ab642670064254d8f473e48104eac
Author: Bastien Nocera <hadess@hadess.net>
Date:	Fri Oct 25 12:26:08 2013 +0200

    Add CheeseAvatarWidget

    A stand-alone widget for avatar capture, like the avatar chooser but
    without the precanned dialogue.

    https://bugzilla.gnome.org/show_bug.cgi?id=710874

M	Makefile.am
M	docs/reference/cheese.types
M	libcheese/cheese-avatar-chooser.c
C066	libcheese/cheese-avatar-chooser.c
libcheese/cheese-avatar-widget.c
A	libcheese/cheese-avatar-widget.h
M	libcheese/cheese-gtk.symbols
M	po/POTFILES.in

commit c605ad3578ff66452bd7b01d257f31c64e7905ef
Author: Bastien Nocera <hadess@hadess.net>
Date:	Fri Oct 25 13:21:32 2013 +0200

    Set a reasonable default size for avatar cropping

    The default is based on the minimum 48x48 size. Instead we should be
    cropping to nearly the maximum size of the image, which would
    still show
    the crop handles but would not discard most of the captured image.

    https://bugzilla.gnome.org/show_bug.cgi?id=710874

M	libcheese/um-crop-area.c

commit 15aba2127b87a57fe47fa75ba2b705c32d901da6
Author: Bastien Nocera <hadess@hadess.net>
Date:	Thu Oct 24 18:47:53 2013 +0200

    Add margins to CheeseAvatarChooser

    https://bugzilla.gnome.org/show_bug.cgi?id=710874

M	libcheese/cheese-avatar-chooser.c

commit dadbf07420d9198a47fc955b59c640e862d382dc
Author: Bastien Nocera <hadess@hadess.net>
Date:	Thu Oct 24 18:34:25 2013 +0200

    Rename the CheeseAvatarChooser buttons

    As per mockups:
    https://raw.github.com/gnome-design-team/gnome-mockups/master/avatar-chooser/avatar-chooser.png

    https://bugzilla.gnome.org/show_bug.cgi?id=710874

M	libcheese/cheese-avatar-chooser.c

commit 2f4c00cbb463e24f1ae06bc088cf0288f7a8c110
Author: Bastien Nocera <hadess@hadess.net>
Date:	Thu Oct 24 18:25:24 2013 +0200

    Style the CheeseAvatarChooser button bar

    Style the button bar underneath the video widget properly.

    As per mockups:
    https://raw.github.com/gnome-design-team/gnome-mockups/master/avatar-chooser/avatar-chooser.png

    https://bugzilla.gnome.org/show_bug.cgi?id=710874

M	libcheese/cheese-avatar-chooser.c

commit 263effb65a6551cf97df94f0ec777432ed6aeb7d
Author: Bastien Nocera <hadess@hadess.net>
Date:	Thu Oct 24 17:12:57 2013 +0200

    Set a nice default size on CheeseWidget

    As per mockups:

    https://raw.github.com/gnome-design-team/gnome-mockups/master/avatar-chooser/avatar-chooser.png

    https://bugzilla.gnome.org/show_bug.cgi?id=710874

M	libcheese/cheese-avatar-chooser.c
M	libcheese/cheese-widget.c

commit 3f3c4ceffc4cc058dfbd07ddfed720c833f8a974
Author: Bastien Nocera <hadess@hadess.net>
Date:	Fri Oct 25 12:31:41 2013 +0200

    Avoid warnings with no pixbuf in UmCropArea

    https://bugzilla.gnome.org/show_bug.cgi?id=710874

M	libcheese/um-crop-area.c

commit 341fcb6d2f1e0726eda5a7f84e033af47703d3e9
Author: Bastien Nocera <hadess@hadess.net>
Date:	Thu Oct 24 16:18:47 2013 +0200

    Use a layout manager instead of constraints

    This reduces property changes for every little change in the stage's
    properties.

    https://bugzilla.gnome.org/show_bug.cgi?id=710821

M	libcheese/cheese-widget.c

commit ba8078d42c871535a0e45e46a571e0d743d1e04e
Author: Bastien Nocera <hadess@hadess.net>
Date:	Thu Oct 24 16:15:49 2013 +0200

    Update TotemAspectFrame from totem

    https://bugzilla.gnome.org/show_bug.cgi?id=710821

M	libcheese/totem-aspect-frame.c
M	libcheese/totem-aspect-frame.h

commit 54e04d97b5f96c0012b9bc3e2e0b25afe5243c88
Author: Bastien Nocera <hadess@hadess.net>
Date:	Thu Oct 24 16:08:57 2013 +0200

    Remove gdk_threads* calls

    And bump the GDK and GTK+ required version to 3.6.

    https://bugzilla.gnome.org/show_bug.cgi?id=710821

M	configure.ac
M	libcheese/cheese-avatar-chooser.c
M	libcheese/cheese-widget.c
M	tests/cheese-test-camera.c
M	tests/cheese-test-chooser.c
M	tests/cheese-test-widget.c
M	tests/test-libcheese-gtk.c

commit bf001be3ab3ce943eae8f5973ec3b80ad57e2619
Author: Frédéric Péters <fpeters@0d.be>
Date:	Tue Oct 15 11:54:18 2013 +0200

    doc: updated French translation

M	help/fr/fr.po

commit 1b5367a2d3431aeec036bec63f2c6a1035ef07fe
Author: David King <amigadave@amigadave.com>
Date:	Mon Oct 14 07:09:49 2013 -0700

    Adapt to Automake test-driver changes

    Distribute test-driver script and do not use cd in TESTS_ENVIRONMENT.

M	Makefile.am
M	docs/reference/Makefile.am

commit 8f1e77355f49d3a786789ef9d15f3032dfe04acf
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:	Fri Oct 11 16:00:55 2013 +0330

    L10N: Updated Persian translations

M	po/fa.po

commit e546c17218f594fb557b57c4156b8ce21e277db7
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	Sun Oct 6 22:11:24 2013 +0200

    [l10n] Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 0ee94275e994e2e1bd6b6246209ad8fa2af02bb7
Author: António Lima <amrlima@gmail.com>
Date:	Wed Sep 25 02:36:50 2013 +0100

    Updated Portuguese translation

M	po/pt.po

commit b8c2cf1b47c1eaee1c8e649ca7f4d6b8cffb3e88
Author: David King <amigadave@amigadave.com>
Date:	Mon Sep 23 20:23:41 2013 +0100

    Post-release version bump to 3.11.1

M	configure.ac

commit 893ca60e52ada2137a1d296784e2fa99b00e01e4
Author: David King <amigadave@amigadave.com>
Date:	Mon Sep 23 20:21:11 2013 +0100

    Update NEWS for 3.10.0 release

M	NEWS

commit d0f71ed38ec25629c259ad7f8f11f15ce1b121b5
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:	Mon Sep 23 10:12:54 2013 +0300

    [l10n] Updated Estonian translation

M	po/et.po

commit 267b86b9c45e728f3ffb7896879d43854a0f8d20
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:	Sun Sep 22 05:40:28 2013 +0900

    l10n: Update Japanese translation

M	po/ja.po

commit cc9e33f95ddb4a600014170f78eec24d6178ac65
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	Sat Sep 21 20:33:42 2013 +0300

    Updated Ukrainian

M	po/uk.po

commit 8b2bdc8de789c4b5dc661b07d1e3a9eeaf6890ee
Author: Josep Sànchez <papapep@gmx.com>
Date:	Wed Sep 18 23:42:45 2013 +0200

    [l10n] Update Catalan translation

M	po/ca.po

commit d902a5b62927c67e0534e411b9373499a577ef69
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	Wed Sep 18 17:58:25 2013 +0200

    Updated Basque language

M	po/eu.po

commit fd581d0f4b0e2737ada50a5c1fd06b29447a9648
Author: A S Alam <apreet.alam@gmail.com>
Date:	Tue Sep 17 19:42:08 2013 -0500

    Punjabi Translation updated by Aman

M	po/pa.po

commit 212c025836b27934235eb1b345738f178debf7bd
Author: David King <amigadave@amigadave.com>
Date:	Tue Sep 17 08:12:27 2013 +0100

    Post-release version bump to 3.10.0

M	configure.ac

commit 1304bf94c5be1a105c14037a8d96c726ae3c34d5
Author: David King <amigadave@amigadave.com>
Date:	Tue Sep 17 08:03:55 2013 +0100

    Update NEWS for 3.9.92 release

M	NEWS
M	configure.ac

commit 4d5ceb9e994c11d0b67a09cce7d8ea912ae7bff6
Author: David King <amigadave@amigadave.com>
Date:	Tue Sep 17 07:58:07 2013 +0100

    Close the preferences if the action is disabled

    When shooting, the preferences action is disabled. If the preferences
    dialog is shown, the resolution and capture device can still be
    changed,
    so hide the dialog when the preferences action is disabled.

M	src/cheese-application.vala
M	src/cheese-preferences.vala

commit 7ab9209f06b89f6f830169f1f3e4a2afda2c44aa
Author: David King <amigadave@amigadave.com>
Date:	Tue Sep 3 17:53:13 2013 +0100

    Disable the preferences action while shooting

    Changing the resolution or camera device while recording can lead to a
    crash, so avoid the problem by disabling the preferences action
    whenever
    the mode change actions are disabled. Fixes bug 670782.

M	src/cheese-window.vala

commit f6b6a7c1db07c9a4d2e7547129864b59a952f50e
Author: Hans de Goede <hdegoede@redhat.com>
Date:	Tue Sep 3 15:56:25 2013 +0200

    Fix video recording with GStreamer >= 1.1.4

    GStreamer >= 1.1.4 requires fully specifying the video-capture-source
    caps,
    otherwise Cheese prints this:

    (cheese:22606): cheese-WARNING **: Filter caps
    do not completely specify the output format:
    gstcapsfilter.c(348): gst_capsfilter_prepare_buf ():
    /GstCameraBin:camerabin/GstCapsFilter:videobin-capsfilter:
    Output caps are unfixed: video/x-raw, framerate=(fraction)30/1,
    width=(int)640, height=(int)480, format=(string){ YUY2,
    YV12, BGR, RGB, I420 }, pixel-aspect-ratio=(fraction)1/1,
    interlace-mode=(string)progressive

    and video-recording is broken. Fixes bug 707391.

    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

M	libcheese/cheese-camera.c

commit 34e08c8a34dd17602aea3923c6234375a0a1de29
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	Sun Sep 15 21:32:51 2013 +0200

    Update French translation

M	po/fr.po

commit f654a5233989576577b7ef4d491668bf7447ccf2
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:	Sun Sep 15 18:43:38 2013 +0200

    Updated Danish translation

M	po/da.po

commit 1b6f428c55ee09b0269b6aa2342d5dfb6553451d
Author: Ville-Pekka Vainio <vpvainio@iki.fi>
Date:	Sat Sep 14 22:57:13 2013 +0300

    Finnish translation update by Jiri Grönroos

M	po/fi.po

commit 3a1685c8f9e02c87eba04473c09db32c8b26277a
Author: Changwoo Ryu <cwryu@debian.org>
Date:	Sat Sep 14 06:25:44 2013 +0900

    Updated Korean translation

M	po/ko.po

commit cf39859004d204181b613df5b2bd5c9a65321bb3
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:	Thu Sep 12 14:30:12 2013 +0530

    Assamese Translation Updated

M	po/as.po

commit 40190adf163a3361490026a6d8bca9cba5f78992
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	Wed Sep 11 23:03:05 2013 +0300

    Updated Latvian translation

M	po/lv.po

commit 74de47918666085d65c7e8b0db9c35dd383e5d84
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	Mon Sep 9 15:55:38 2013 +0400

    Updated Russian translation

M	po/ru.po

commit 76d16a7b05ec64fb8c6aa806d195e3afb0c659e3
Author: David King <amigadave@amigadave.com>
Date:	Sun Sep 8 12:20:55 2013 +0100

    Skip loading effects with missing plugins

    If effects modules are missing, do not load them into EffectsManager
    to
    skip showing them in the UI. Fixes bug 702995.

M	src/cheese-effects-manager.vala

commit d05da991bbcb1c00f2892dc7013d5d9b7e79e8d0
Author: Andika Triwidada <andika@gmail.com>
Date:	Sun Sep 8 17:05:14 2013 +0700

    Updated Indonesian translation

M	po/id.po

commit f7482e8efb39f2d00af7fe10f36dace0a1428a82
Author: Milo Casagrande <milo@ubuntu.com>
Date:	Sat Sep 7 19:28:48 2013 +0200

    [l10n] Updated Italian translation.

M	po/it.po

commit 9f265fb8c87d8553942cde003fec6979a9350856
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	Fri Sep 6 22:08:40 2013 +0200

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 0f6fc4fda8b8d8483eee6d640608bc61b2b0ba0f
Author: Seán de Búrca <leftmostcat@gmail.com>
Date:	Tue Sep 3 14:27:34 2013 -0600

    Updated Irish translation

M	po/ga.po

commit 0b0a912f944fedd80b6c41c20174262702da9d30
Author: Elad Alfassa <elad@fedoraproject.org>
Date:	Tue Sep 3 13:52:20 2013 +0300

    Fix categories in .desktop file, bug 707373

    gnome-software uses the desktop file categories to sort the
    applications
    it shows. This commit fixes the categories according to the
    freedesktop
    spec, so that Cheese will appear in the correct category.

    For more information:
    http://standards.freedesktop.org/menu-spec/latest/apa.html
    http://standards.freedesktop.org/menu-spec/latest/apas02.html

M	data/cheese.desktop.in.in

commit be5f560d06029a1a612328a2c4c30a427563146f
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	Tue Sep 3 12:49:23 2013 +0200

    Drop wrong license lines from Galician translations for docs

M	help/gl/gl.po

commit 320f8cbbd077e40e55046e454dc26b84e2721ad4
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	Tue Sep 3 02:12:32 2013 +0200

    Added galician translations for docs

M	help/Makefile.am
A	help/gl/gl.po

commit a873874d830e23e27900ca16b1c30129e074e895
Author: David King <amigadave@amigadave.com>
Date:	Mon Sep 2 22:29:42 2013 +0100

    Post-release version bump to 3.9.92

M	configure.ac

commit 815f250c2c8678552bc4c564dad99845438e4d0a
Author: David King <amigadave@amigadave.com>
Date:	Mon Sep 2 22:27:36 2013 +0100

    Update NEWS for 3.9.91 release

M	NEWS
M	configure.ac

commit 20457ffa57d2cfb7d9169e662a4553b3eb3ee09b
Author: Hans de Goede <hdegoede@redhat.com>
Date:	Wed Aug 7 13:36:30 2013 +0200

    Do not override errors in camera_state_change_null

    If a more detailed error has already been set (through a GError return
    from libcheese), do not override it when changing state to null.

    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

M	src/cheese-window.vala

commit d55e6732315744725b5afa2b90c8c693ec93d5ee
Author: Hans de Goede <hdegoede@redhat.com>
Date:	Thu Jun 13 14:18:52 2013 +0200

    Fix memory leak when freeing video formats

    Free the GList, as well as the video formats in the list.

    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

M	libcheese/cheese-camera-device.c

commit 228eea8a6bbaac21f04579b93510356c85782e49
Author: Hans de Goede <hdegoede@redhat.com>
Date:	Thu Jun 13 11:07:37 2013 +0200

    Improve cheese_camera_device_get_best_format()

    If a camera device which can do 1600x900 at 10 FPS and 1280x800 @ 25
    FPS, then 1600x900 is not really the best format, as 10 FPS leads to a
    bad user experience.

    Improve the situation by constraining
    cheese_camera_device_get_best_format() to return the format with the
    highest resolution with a width greater than 640 pixels and a
    framerate
    of greater the 15 FPS.

    If no mode matching the widh >= 640 && frame_rate >= 15 criteria
    is found,
    get_best_format will behave as before as simply return the highest
    resolution
    mode.

    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

M	libcheese/cheese-camera-device.c

commit 2f02b8c454ec565bda107e34493e6e0ecf3fa62b
Author: Hans de Goede <hdegoede@redhat.com>
Date:	Mon Jun 10 14:47:40 2013 +0200

    Limit caps to the maximum framerate

    Limit the caps returned by cheese_camera_device_get_caps_for_format()
    to
    the maximum framerate supported at the requested resolution. This is
    necessary because GStreamer first selects a format and then a
    framerate,
    resulting in it picking for 1280x720 as an example, YUYV @ 15 FPS,
    instead of MJPEG @ 30 FPS (which will be converted to i420 by the
    videoconvert element in camerabin2), or at 1600x1200 YUYV @ 5 fps
    instead of MJPEG @ 10 fps.

    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

M	libcheese/cheese-camera-device.c

commit 4cb89c66167a1945e936707b5d2d3e5b4c9f2871
Author: Hans de Goede <hdegoede@redhat.com>
Date:	Mon Jun 10 14:27:04 2013 +0200

    Add cheese_camera_device_find_full_format() helper

    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

M	libcheese/cheese-camera-device.c

commit 0734924a17405d9affb501ddbfa785162fdc407e
Author: Hans de Goede <hdegoede@redhat.com>
Date:	Mon Jun 10 14:15:58 2013 +0200

    Keep track of highest available camera framerates

    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

M	libcheese/cheese-camera-device.c

commit 20894241b8f1129659567343d7e52469e8f78b8e
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Mon Sep 2 18:04:01 2013 +0200

    Updated Spanish translation

M	help/es/es.po

commit 59792c657264e5021258525eb6d0224103631230
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	Mon Sep 2 11:41:44 2013 +0300

    Updated Belarusian translation.

M	po/be.po

commit 1bb0d29384429675846a63d5ee4bcebb7fc7a319
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	Tue Aug 27 22:55:22 2013 +0300

    Updated Lithuanian translation

M	po/lt.po

commit 1fe841ee555b994fb63b90d41abb779f3f81f8e5
Author: Milo Casagrande <milo@ubuntu.com>
Date:	Sun Aug 25 22:28:31 2013 +0200

    [l10n] Updated Italian translation.

M	po/it.po

commit ba6f9e564cc828d197bf89a7d71e7ea697fb3132
Author: David King <amigadave@amigadave.com>
Date:	Thu Aug 22 09:21:02 2013 +0100

    Add git repository information to DOAP file

M	cheese.doap

commit 6cc0b1ef45945daab81633d257a76a7a9bbfbf54
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:	Wed Aug 21 18:34:04 2013 +0200

    Updated Hungarian translation

M	po/hu.po

commit 07c9e345fc9048d13ab142d58e9a310a6fce5449
Author: Andika Triwidada <andika@gmail.com>
Date:	Wed Aug 21 09:43:36 2013 +0700

    Updated Indonesian help translation, now with proper license

M	help/Makefile.am
A	help/id/id.po

commit 7f79dae69ddf3e64a288508ff5d3edceeb1eee74
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	Wed Aug 21 01:51:27 2013 +0200

    Add hu to DOC_LINGUAS

M	help/Makefile.am

commit c3af52179465fab4595537ec58d0c894e87e2106
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	Wed Aug 21 01:50:58 2013 +0200

    Re-add Hungarian help translation with correct licence

A	help/hu/hu.po

commit 80e148a53d97ffd8c582ec196fd97f01b03f017a
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Tue Aug 20 23:06:22 2013 +0200

    Updated Polish translation

M	po/pl.po

commit 82717c4f2cfdb4d88771ef088fc84580020ba603
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Tue Aug 20 20:44:13 2013 +0200

    Updated Polish translation

M	po/pl.po

commit fe6a5dc2e852a6dcd033604d9f02a9c800dd8f92
Author: David King <amigadave@amigadave.com>
Date:	Tue Aug 20 08:08:58 2013 +0100

    Post-release version bump to 3.9.91

M	configure.ac

commit 52a2f92890d5e3e89a87ba75ece47b4a7f69078a
Author: David King <amigadave@amigadave.com>
Date:	Tue Aug 20 07:51:12 2013 +0100

    Update NEWS for 3.9.90 release

M	NEWS

commit 957c9e866c05d53f743ffa388f6314e53b587196
Author: David King <amigadave@amigadave.com>
Date:	Tue Aug 20 08:03:49 2013 +0100

    Fix tag in German translation

M	help/de/de.po

commit dd23ab45f931ddbae85b73dc3aa95d19e1eb2085
Author: David King <amigadave@amigadave.com>
Date:	Tue Aug 20 07:45:34 2013 +0100

    Remove help translations with incompatible license

    Since the license of the help was changed to CC-BY-SA 3.0 Unported,
    the
    translations must have license that is compatible. Some licenses were
    declared to be the same as the "Cheese package", which would be
    the GNU
    GPL 2 or later, which is incompatible with CC-BY-SA 3.0 Unported.

    Remove the problematic translations, as they cannot be distributed
    with
    Cheese unless the license header is updated by the contributors. Fixes
    bug 705568/

M	help/Makefile.am
D	help/gl/gl.po
D	help/hu/hu.po
D	help/id/id.po
D	help/lv/lv.po
D	help/te/te.po

commit e8a42197a91900f5b072cdf194c470b0dc2942f3
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	Sat Aug 17 17:10:12 2013 +0200

    Updated Slovenian translation

M	po/sl.po

commit bea6791df59cd74546eb3a28dc658194a36732be
Author: Christian Kirbach <christian.kirbach@gmail.com>
Date:	Thu Aug 15 23:05:09 2013 +0200

    Updated German help translation

M	help/de/de.po

commit d3498da5a55948e74d9097fe8872a657f98285fc
Author: Wylmer Wang <wantinghard@gmail.com>
Date:	Wed Aug 7 09:17:14 2013 +0800

    Change license in header of Chinese simplified translation for help

M	help/zh_CN/zh_CN.po

commit b696af38c60bfa2e7ce5a379be32057d0457b86b
Author: Marek Černocký <marek@manet.cz>
Date:	Tue Aug 6 21:06:31 2013 +0200

    Updated Czech translation

M	help/cs/cs.po

commit d547afc12777c98819c3a86e7c39dd425dd7d25d
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	Tue Aug 6 11:29:22 2013 -0300

    Updated Brazilian Portuguese translation (with header showing properly
    the license)

M	help/pt_BR/pt_BR.po

commit 1a9015d06c9fb06c70591c232b3e064433ccf5cb
Author: Enrico Nicoletto <enriconlto@src.gnome.org>
Date:	Tue Aug 6 11:20:08 2013 -0300

    Revert "Updated Brazilian Portuguese translation"

    This reverts commit 9b7ac1f50750041a4394d04a280b12a67af63470.

M	help/pt_BR/pt_BR.po

commit 9b7ac1f50750041a4394d04a280b12a67af63470
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	Tue Aug 6 11:18:08 2013 -0300

    Updated Brazilian Portuguese translation

M	help/pt_BR/pt_BR.po

commit 60ae14617d9b9190cc8bd931dba849aa50c7b942
Author: David King <amigadave@amigadave.com>
Date:	Fri Jun 28 13:20:02 2013 +0100

    License help under CC-BY-SA 3.0 Unported

    The help was not explicitly under a license, as described in bug
    703238.
    Specify the license as CC-BY-SA 3.0 to match with other GNOME help:

    https://wiki.gnome.org/DocumentationProject/Licensing

    License clarification approved by help contributors (found with
    "git shortlog help/C/*.page") as listed below:

    Signed-off-by: Jeremy Bicha <jbicha@ubuntu.com>
    Signed-off-by: Ekaterina Gerasimova <kittykat3756@gmail.com>
    Signed-off-by: Michael Hill <mdhill@gnome.org>
    Signed-off-by: Tiffany Ann Antopolski <tiffany.antopolski@gmail.com>
    Signed-off-by: Julita Inca <jinca@gnome.org>

M	help/C/burst-mode.page
M	help/C/card-graphic.page.stub
M	help/C/closed.page.stub
M	help/C/effects-apply.page
M	help/C/index.page
M	help/C/introduction.page
A	help/C/legal.xml
M	help/C/mode-wide.page.stub
M	help/C/no-device.page.stub
M	help/C/photo-delete.page
M	help/C/photo-save.page
M	help/C/photo-take.page
M	help/C/photo-view.page
M	help/C/pref-countdown.page
M	help/C/pref-flash.page
M	help/C/pref-fullscreen.page
M	help/C/pref-image-properties.page
M	help/C/pref-resolution.page
M	help/C/video-record.page
M	help/C/webcams.page.stub
M	help/Makefile.am

commit 712e6ed16fbf9e13b97cb631731a5617497ece22
Author: Marek Černocký <marek@manet.cz>
Date:	Mon Aug 5 23:18:23 2013 +0200

    Czech translation

A	help/cs/cs.po

commit 61aff73aa483693fb31e8ba92b22be0160c7bdf7
Author: Marek Černocký <marek@manet.cz>
Date:	Mon Aug 5 23:17:58 2013 +0200

    Added Czech language

M	help/Makefile.am

commit e143195358a676246aa8d48d114573314a4a5ea0
Author: Marek Černocký <marek@manet.cz>
Date:	Mon Aug 5 23:17:31 2013 +0200

    Updated Czech translation

M	po/cs.po

commit 6b65d8af4484cd88f73e108064b3e886ec262ef1
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	Sun Aug 4 09:37:08 2013 +0200

    Small fix in Hungarian help translation

M	help/hu/hu.po

commit 7bc47a3172ff6209f7dcb2f9b1233de242a80797
Author: Benjamin Steinwender <b@stbe.at>
Date:	Sat Aug 3 08:07:22 2013 +0200

    Updated German translation

M	po/de.po

commit c2fb5ef56e3f326c3827fc302b8a0fc52c984495
Author: Akom Chotiphantawanon <knight2000@gmail.com>
Date:	Fri Aug 2 20:12:27 2013 +0700

    Updated Thai translation.

M	po/th.po

commit 36dc73e62d0e3b421f3acee165571a8337c8b659
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	Fri Aug 2 11:50:06 2013 +0200

    Updated Galician translations

M	po/gl.po

commit aa71a9f8b4b985e9c059459dc79525d395be5d82
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	Wed Jul 31 09:44:10 2013 +0300

    Updated Hebrew translation.

M	po/he.po

commit 39a631e62cc037721642d4c1b43c7291d18c8df8
Author: David King <amigadave@amigadave.com>
Date:	Tue Jul 30 08:37:37 2013 +0100

    Post-release version bump to 3.9.90

M	configure.ac

commit d2463177a0ef20637479097ccd97a9cd497589aa
Author: David King <amigadave@amigadave.com>
Date:	Tue Jul 30 08:30:19 2013 +0100

    Update NEWS for 3.9.5 release

M	NEWS
M	configure.ac

commit fd541e76b94da0491ed61d7b2ffdead800027d8c
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:	Mon Jul 29 16:03:46 2013 +0100

    Tajik translation added

A	po/tg.po

commit f0a3f4aa27d2497bd0a6c9ebbd016f1224a92750
Author: Victor Ibragimov <victor.ibragimov@gmail.com>
Date:	Mon Jul 29 16:03:07 2013 +0100

    Tajik translation added

M	po/LINGUAS

commit 02cec429243813242bed144b15c8b83f44dcad7b
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	Thu Jul 25 19:36:31 2013 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit fd6e8b8a1ce96f69a743017691c0c7dc287de1d6
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Mon Jul 22 13:47:15 2013 +0200

    Updated Spanish translation

M	po/es.po

commit 5e637a859660ea09f5c6ff048b8c37cb16495ae5
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	Thu Jul 18 13:44:51 2013 +0200

    Updated Norwegian bokmål translation

M	po/nb.po

commit 5a882955e091a19cfd04cf1f3f5f3d55ddc11b6d
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	Sun Jul 14 20:04:50 2013 -0300

    Updated Brazilian Portuguese translation

M	po/pt_BR.po

commit 783a7749f68961bb52c702aecb817c95683ed319
Author: Pavol Klačanský <pavol@klacansky.com>
Date:	Sun Jul 14 15:01:35 2013 +0200

    Updated slovak translation

M	po/sk.po

commit 775bafc7aa96cd0979f7d08bca36eb535d07452f
Author: Marek Černocký <marek@manet.cz>
Date:	Fri Jul 12 21:24:55 2013 +0200

    Updated Czech translation

M	po/cs.po

commit 27c72d624df57f4ab64059148f0352ffadf1cd44
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	Fri Jul 12 14:22:55 2013 -0300

    Updated Brazilian Portuguese translation for manual

M	help/pt_BR/pt_BR.po

commit 3d0302832c3047405d5ed6461653389a66dce84a
Author: David King <amigadave@amigadave.com>
Date:	Fri Jul 12 18:16:37 2013 +0100

    Remove cheese-actions.ui from po/POTFILES.in

    Fixes bug 704119.

M	po/POTFILES.in

commit 5d0e924a39ee72b7cc10eb64b58f57a1e8804f2b
Author: David King <amigadave@amigadave.com>
Date:	Thu Jul 11 23:27:07 2013 +0100

    Refactor thumbnail context menu event handling

    Use Gdk.Event.triggers_context_menu() rather than checking if the
    secondary button was pressed. Return true if the event was handled, to
    stop further event propagation.

M	src/cheese-window.vala

commit aadb907aadab1470f4a82dcac2a1ec36ebae1d74
Author: David King <amigadave@amigadave.com>
Date:	Thu Jul 11 21:07:23 2013 +0100

    Use GAction for thumbnail popup menu actions

M	Makefile.am
D	data/cheese-actions.ui
M	data/cheese-main-window.ui
M	src/cheese-window.vala

commit a09d2ae51025e912a8a921cb260571bdd6e3cf7d
Author: 甘露(Lu Gan) <rhythm.gan@gmail.com>
Date:	Thu Jul 11 15:18:32 2013 +0800

    update Simplified Chinese (zh_CN) translation

M	po/zh_CN.po

commit c9351e36cc34c89261b4bf2fed60c9f16ee181d7
Author: David King <amigadave@amigadave.com>
Date:	Mon Jul 8 23:14:37 2013 +0100

    Post-release version bump to 3.9.5

M	configure.ac

commit 771ed047e67935b480f1205223a3d3ec1c80e2ed
Author: David King <amigadave@amigadave.com>
Date:	Mon Jul 8 23:02:18 2013 +0100

    Update NEWS for 3.9.4 release

M	NEWS
M	configure.ac

commit 7f47fc46d92722780b2f72e0129f7e0cecbc3ad0
Author: David King <amigadave@amigadave.com>
Date:	Sun Jul 7 23:12:59 2013 +0100

    Move gettext initialization to main()

    Ensure that gettext is always initialized, regardless of whether the
    running instance is the primrary instance.

M	src/cheese-application.vala
M	src/cheese-main.vala

commit 1083c461ff784cc1f84e3af1e78a4709446e0110
Author: David King <amigadave@amigadave.com>
Date:	Sun Jul 7 20:42:05 2013 +0100

    Make actions insensitive when no webcam is present

    Set the "effects", "mode" and "shoot" actions insensitive when
    no camera
    devices are found on startup. Fixes bug 693070.

M	src/cheese-application.vala

commit 82516823e35e0a9c57a37e0d0d54d3f7d7b0d403
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	Thu Jul 4 11:21:18 2013 +0200

    Updated Norwegian bokmål translation

M	po/nb.po

commit 555bd15c0072201c1999cb18dde8eba5f549f212
Author: Marek Černocký <marek@manet.cz>
Date:	Tue Jul 2 07:42:55 2013 +0200

    Updated Czech translation

M	po/cs.po

commit f2396058edc2f722a074c1deeb6900760f56cfe9
Author: David King <amigadave@amigadave.com>
Date:	Mon Jul 1 21:20:12 2013 +0100

    Remove TODO

D	TODO

commit c4dec268505e2d8dac7fe18ffd8fbc48602be1c5
Author: David King <amigadave@amigadave.com>
Date:	Mon Jul 1 19:28:59 2013 +0100

    Add touch event handler for selecting effects

    Use a ClutterTapAction on each effect to allow either a mouse click
    or a
    touch tap to select effects. Depend on Clutter 1.13.2 for
    ClutterTapAction. Fixes bug 692745.

M	configure.ac
M	src/cheese-window.vala

commit c5533cbbf5fe791fc8e652c1cdc0275afae3d8da
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Mon Jul 1 17:41:17 2013 +0200

    Updated Spanish translation

M	po/es.po

commit 889538d7c86b002c98102edde33c71932709dc3a
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Jun 30 17:35:43 2013 +0200

    Updated POTFILES.in and POTFILES.skip

M	po/POTFILES.in
M	po/POTFILES.skip

commit 0faede492f63a9f84b8e4bb2968d6941ba22df84
Author: Rafael Ferreira <rafael.f.f1@gmail.com>
Date:	Sun Jun 30 09:07:24 2013 -0300

    Updated Brazilian Portuguese translation

M	help/pt_BR/pt_BR.po

commit 2ba8beea3cdb990d9dbf4a9d619c3d79c97afb72
Author: David King <amigadave@amigadave.com>
Date:	Sat Jun 29 20:15:40 2013 +0100

    Move action sensitivity handling to Application

M	src/cheese-application.vala
M	src/cheese-window.vala

commit 59050aa625e52e183e99d96113292cddf33aa8c4
Author: David King <amigadave@amigadave.com>
Date:	Sat Jun 29 18:16:36 2013 +0100

    Remove unnecessary instance_pos attribute

    The instance_pos attribute is only used in Cheese when connecting
    signals from actions to handlers with GtkBuilder.

M	src/cheese-window.vala

commit e543a8dec67229370820b1dccca1279e091cdf60
Author: Hans de Goede <hdegoede@redhat.com>
Date:	Thu Jun 13 08:05:46 2013 +0000

    Do not show thumbnails in fullscreen

    This can happen when toggling the wide mode action while fullscreen
    mode
    is active. Also remove the unnecessary resize calls.

    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

M	src/cheese-window.vala

commit 5e812f1576182cfe1d06e43fe6bce8a39fdd92d6
Author: David King <amigadave@amigadave.com>
Date:	Sat Jun 29 17:48:43 2013 +0100

    Remove unused move_all_to_trash action

M	data/cheese-actions.ui
M	src/cheese-window.vala

commit bfc56561b3afd83c28e3ff747fc5d5b139705468
Author: David King <amigadave@amigadave.com>
Date:	Sat Jun 29 16:48:46 2013 +0100

    Remove wide-mode and fullscreen GSettings keys

    Both wide mode and fullscreen mode can be set with toggle actions, and
    there is little reason for the state to persist across application
    restart.

M	data/cheese-actions.ui
M	data/org.gnome.Cheese.gschema.xml
M	src/cheese-application.vala
M	src/cheese-window.vala

commit e501ebb4c8c9742eaac8d7fb18b76a5097ed8197
Author: David King <amigadave@amigadave.com>
Date:	Sat Jun 29 16:24:45 2013 +0100

    Mark cheese_[gtk_]init() arguments as allow-none

    It is reasonable to pass NULL for argc and argv.

M	libcheese/cheese-gtk.c
M	libcheese/cheese.c
M	src/vapi/cheese-common.vapi

commit c1229ef9071714aded42640a5afede4493274a64
Author: David King <amigadave@amigadave.com>
Date:	Sun Jun 30 10:01:50 2013 +0100

    Refactor command-line argument handling

    Only handle Cheese options on the command line; handle library options
    with environment variables instead. Use actions from the command-line
    parser to switch to wide mode and fullscreen mode.

M	src/cheese-application.vala
M	src/cheese-window.vala

commit 6c19237a92417a6425e3369b631e66740bfb97e3
Author: David King <amigadave@amigadave.com>
Date:	Sun Jun 30 09:20:40 2013 +0100

    Refactor Application startup

    Override default handlers rather than connecting to signals. Add
    startup() and use it to initialize cheese-gtk and gettext.

M	src/cheese-application.vala
M	src/cheese-main.vala

commit 896ef6fcc979ce417988c1181b95f4d6148ad668
Author: David King <amigadave@amigadave.com>
Date:	Sun Jun 30 08:51:53 2013 +0100

    Split main() and Application into separate files

M	Makefile.am
C096	src/cheese-main.vala	src/cheese-application.vala
M	src/cheese-main.vala

commit 7aab154c74ee9a6487e38300d907bd797fd5ba0e
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Jun 29 21:40:26 2013 -0400

    um-crop-area.c: Relicense to GPLv2+

    This makes the file fit in better with the rest of Cheese,
    license-wise.

    https://bugzilla.gnome.org/show_bug.cgi?id=703239

M	libcheese/um-crop-area.c

commit 57fd57a290682c0d01972da90b63f986d6c18fcb
Author: David King <amigadave@amigadave.com>
Date:	Sat Jun 29 12:28:52 2013 +0100

    Remove stale help translations

    Many translations have not been updated since the switch to Mallard
    help, so remove them from HELP_LINGUAS to make the distribution
    smaller
    and speed up building.

M	help/Makefile.am
D	help/cs/cs.po
D	help/en_GB/en_GB.po
D	help/fi/fi.po
D	help/fi/figures/cheese-effects.jpg
D	help/fi/figures/cheese-fullscreen.jpg
D	help/fi/figures/cheese-main.jpg
D	help/fi/figures/cheese-preferences.jpg
D	help/fi/figures/cheese-wide.jpg
D	help/it/it.po
D	help/ko/ko.po
D	help/nl/figures/cheese-effects-screenshot.jpg
D	help/nl/figures/cheese-screenshot.jpg
D	help/nl/nl.po
D	help/oc/oc.po
D	help/pa/pa.po
D	help/sv/figures/cheese-effects-screenshot.jpg
D	help/sv/figures/cheese-screenshot.jpg
D	help/sv/sv.po
D	help/th/figures/cheese-effects-screenshot.jpg
D	help/th/figures/cheese-screenshot.jpg
D	help/th/th.po

commit a1bfd0255eee5359f919ede5cb18b44c39021321
Author: Marek Černocký <marek@manet.cz>
Date:	Fri Jun 28 18:16:00 2013 +0200

    Updated Czech translation

M	po/cs.po

commit c84e1a850231fb37793f47928b3ded18b1546920
Author: David King <amigadave@amigadave.com>
Date:	Thu Jun 27 20:40:57 2013 +0100

    Handle NULL state errors in CheeseAvatarChooser

    Fixes remainder of bug 703123.

M	libcheese/cheese-widget.c

commit 6e0cdf316ad734ff6691bc8fb53bbff6b4677868
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Thu Jun 27 13:01:39 2013 +0200

    Updated Spanish translation

M	po/es.po

commit 202e73abf80ad737658a9e7a20f5502a406eb64b
Author: David King <amigadave@amigadave.com>
Date:	Wed Jun 26 22:01:12 2013 +0100

    Show an error message if the camera state is NULL

    If there is a GST_MESSAGE_ERROR, stop the stream and emit
    ::state-flags-changed on the CheeseCamera. Handle the state change in
    CheeseWindow by showing a generic error message. This message
    can easily
    occur if the video device is busy, such as when another application is
    using the webcam.

    Fixes bug 703123.

M	libcheese/cheese-camera.c
M	src/cheese-main.vala
M	src/cheese-window.vala

commit 62f1a1165977672811a8474c4009a0754dda966e
Author: Hans de Goede <hdegoede@redhat.com>
Date:	Tue Jun 18 10:04:36 2013 +0200

    Add CheeseWindow.show_error() method

    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

M	src/cheese-window.vala

commit d35cfcd7890528b9db5d1031e7e338f5f6c5b83a
Author: Hans de Goede <hdegoede@redhat.com>
Date:	Fri Jun 21 08:44:09 2013 +0200

    Fix being paused when effect valves are closed

    The move to autocluttersink in 3.9 causes a regression compared
    to 3.8,
    where if an effect's control valve is closed the pipeline will never
    transition from paused to playing since the cluttersink is stuck in
    paused.

    This regression can be triggered the following way:
    1) Go the effect selector
    2) Go to the next page in the effect selector, so that the now
    connected
       effects from the first page get their control valve set to closed
    3) Change resolution or device, so that the pipeline gets stopped and
       started again

    After 3) the pipeline will be stuck in pause, as the cluttersinks
    of the
    effect previews are stuck in pause.

    The cause for this is that with the move to autocluttersink we are no
    longer setting the sink's "async" property, see commit 424afdaa 'Use
    "autocluttersink" instead of "cluttersink"'.

    Setting the "async" property is no longer (easily) doable, since
    autocluttersink is a gstbin derived object which has the actual sink
    embedded.

    Instead this patch fixes the stuck in pause problem by locking the
    autocluttersinks of the effect previews into the playing state.

    Note that no longer setting of the async property on the sink is also
    the root cause of the issue fixed by my patch titled: "Set all valves
    open on play". The opening of the main valve is still necessary, since
    locking the viewfinder sink's state to PLAYING does not seem a good
    idea, the opening of the effects-valve on play OTOH is no longer
    necessary.

    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

M	libcheese/cheese-camera.c

commit 6ab3c5248d9564ecc383b6c29cb3bcde7fa7c977
Author: Hans de Goede <hdegoede@redhat.com>
Date:	Mon Jun 17 22:54:57 2013 +0200

    Use shoot action when handling the webcam button

    Rather then calling on_shoot directly, call the action, so that
    if shoot
    is disabled, it also cannot be triggered through the webcam button.

    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

M	src/cheese-main.vala

commit 412db29f799dbd4a8a3898a5a975046ae2fcf1a7
Author: Hans de Goede <hdegoede@redhat.com>
Date:	Mon Jun 17 21:00:45 2013 +0200

    Set all valves open on play

    If some valves are closed on play, GStreamer will wait for the
    valves to
    open before moving from paused to playing, and a frozen image
    is shown.

    This does not happen on startup since on startup all valves are open,
    nor does it happen when changing video-format directly after startup,
    since all valves will still be open. As soon as
    cheese_camera_toggle_effects_pipeline() has been called once, any
    subsequent attempt to change the video format (and thus stopping and
    re-starting the pipeline) will result in a frozen image.

    This patch fixes this by opening all valves on play, and calling
    cheese_camera_toggle_effects_pipeline() with the last active value
    after
    the pipeline transitions to the playing state.

    This has the added advantage that unlike before the effects valve will
    be closed on startup, rather then staying open till the first call to
    cheese_camera_toggle_effects_pipeline().

    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

M	libcheese/cheese-camera.c

commit e8fd44e92d12db016eb549ed230be2a54a5632f0
Author: Hans de Goede <hdegoede@redhat.com>
Date:	Tue Jun 11 09:35:14 2013 +0200

    Avoid setting the same effect again

    Check for the current effect being the same as the one set and if so,
    ignore the change.

    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

M	libcheese/cheese-camera.c

commit 0b07047af57927c5954bb8199bcaeddb2926e1e3
Author: David King <amigadave@amigadave.com>
Date:	Mon Jun 24 20:35:50 2013 +0100

    Disable effects and mode actions while shooting

M	src/cheese-window.vala

commit cf69dbcebb49d7be3249d7ac7b85681d126be4b8
Author: Benjamin Steinwender <b@stbe.at>
Date:	Mon Jun 24 21:59:45 2013 +0200

    Updated German translation

M	po/de.po

commit ac1852761a30449fb1eb96325800cab34cd6df6c
Author: Hans de Goede <hdegoede@redhat.com>
Date:	Tue Jun 11 12:51:09 2013 +0200

    Fix de-activation of effects button

    So that the user does not need to click twice on the effect button
    to change
    the effect (after the first time the effect was changed).

    https://bugzilla.gnome.org/show_bug.cgi?id=698399

    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

M	src/cheese-window.vala

commit b1cc8f4f8f3a7aebccebce9af1a3c63589db6ae0
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	Wed Jun 19 18:38:27 2013 +0100

    Reorder Help and About in the app menu

    Move Help to be above About in the application menu so that it
    complies
    with the HIG.

M	src/cheese-main.vala

commit 309467364a2d1b951a2663a3a8f93bac29f28554
Author: David King <amigadave@amigadave.com>
Date:	Mon Jun 17 23:05:05 2013 +0100

    Post-release bump to 3.9.4

M	configure.ac

commit 973368865e7a69a1250ab6f711ffa5493fb51d68
Author: David King <amigadave@amigadave.com>
Date:	Mon Jun 17 22:33:15 2013 +0100

    Update NEWS for 3.9.3 release

M	NEWS
M	configure.ac

commit 039536f75125d038dbb63a9df41d2ca1b37a2997
Author: David King <amigadave@amigadave.com>
Date:	Mon Jun 17 22:56:26 2013 +0100

    Add documentation for CheeseCamera signals

    Add documentation for extra parameters on CheeseCamera signals
    to avoid
    a warning.

M	libcheese/cheese-camera.c

commit ff4f59148b367952b951e4cc400593b934e177c7
Author: David King <amigadave@amigadave.com>
Date:	Mon Jun 17 22:24:57 2013 +0100

    Remove unused Cheese.MainWindow.get_data_file_dir

M	src/cheese-window.vala

commit 03ba5dc008c5948663f3527e76c7d5bf88559392
Author: Hans de Goede <hdegoede@redhat.com>
Date:	Thu Jun 13 12:39:44 2013 +0200

    Make the flash background white

    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

M	libcheese/cheese-flash.c

commit 0cfc97bfa3ec22349540d6de09a9485d274b504a
Author: Hans de Goede <hdegoede@redhat.com>
Date:	Thu Jun 13 11:37:19 2013 +0200

    Fix assertion failures when taking a photo

    Before this patch, Cheese would log the following each time the user
    takes a photo:

    (cheese:21719): GLib-GIO-CRITICAL **: g_file_info_get_size: assertion
    `G_IS_FILE_INFO (info)' failed

    (cheese:21719): GLib-GObject-CRITICAL **: g_object_unref: assertion
    `G_IS_OBJECT (object)' failed

    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

M	src/thumbview/cheese-thumb-view.c

commit 6c5c7ebaf58387fb93bfe136cfc654cf986ff157
Author: Hans de Goede <hdegoede@redhat.com>
Date:	Thu Jun 13 10:30:02 2013 +0200

    Fix updating sensitivity of device selection combo

    If Cheese was started with 1 device, and then a second was added, the
    device selection stayed insensitive, making it impossible to
    select the
    second device.

    This fixes the problem, and also makes the combo insensitive
    again when
    going from >= 2 devices to <= 1 device.

    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

M	src/cheese-preferences.vala

commit 606c2623e7cb2a6d65c8db0aa512eab5e5962fcc
Author: Hans de Goede <hdegoede@redhat.com>
Date:	Tue Jun 11 16:16:23 2013 +0200

    Downscale image for effects-preview pipeline

    Having the whole effects-preview bin deal with ie 1280x800 images
    is not
    very useful, especially since even when fullscreen on a full-HD
    monitor,
    the preview images are smaller then 640xXXX. This useless high-res
    processing for 9 preview images in parallel brings my 2nd gen
    core i5 @ 3.1 GHz to its knees, resulting in a non fluid preview
    panel.

    Also after clicking through all effect preview pages, so that
    all effect
    preview textures are connected, cheese will use 1 GB of *resident* RAM
    with the example 1280x800 capture resolution.

    This patch improves this by downscaling the images from the
    video-source
    to 640xXXX where XXX is determined by the original resolution
    aspect-ratio.

    After this patch the effects preview framerate is much smoother,
    and the
    latency is noticably less. As a bonus the maximal resident size of
    Cheese in this example is reduced to 350 MB.

    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

M	libcheese/cheese-camera.c

commit daec944df23ef2a34e9b18baf83b89277245224d
Author: Hans de Goede <hdegoede@redhat.com>
Date:	Tue Jun 11 13:14:14 2013 +0200

    Do not block the main valve while recording

    Otherwise frames intended for the recording are dropped.

    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

M	libcheese/cheese-camera.c

commit da9ad5556ec3cbd4429c16f11393b8950c178038
Author: Hans de Goede <hdegoede@redhat.com>
Date:	Tue Jun 11 09:05:51 2013 +0200

    Only add videoconvert elements where necessary

    The "no effect" effect is our default value, and thus worth
    optimizing a
    bit. Clearly in the "no effect" effect case adding a videoconvert
    element both before and after the element is not needed.

    Note we also don't add the videoconvert elements when creating the
    initial pipeline, so this also keeps the way the pipeline looks
    initially and when "no-effect" is selected consistent.

    When starting Cheese with "no-effect" selected, this shaves off
    another
    130 ms of the initial pipeline creation time.

    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

M	libcheese/cheese-camera.c

commit 8223201568583c55d6e7aa089295f5d1c70a92ee
Author: Hans de Goede <hdegoede@redhat.com>
Date:	Tue Jun 11 09:22:09 2013 +0200

    Drop unused preview_caps variable

    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

M	libcheese/cheese-camera.c

commit 8a8faca8d30a8043e5df931b6ab7d37266ea7c86
Author: Hans de Goede <hdegoede@redhat.com>
Date:	Mon Jun 10 20:25:44 2013 +0200

    Simplify returned GstCaps

    In cheese_camera_device_get_caps_for_format, simplify the returned
    caps.
    This results in much simpler caps, which as main advantage that
    they are
    way easier to read when trawling to debug logs.

    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

M	libcheese/cheese-camera-device.c

commit 24d84d62b3153ef9897ec8fc2267c00ae2a130df
Author: Hans de Goede <hdegoede@redhat.com>
Date:	Mon Jun 10 13:44:47 2013 +0200

    Fix cheese_camera_device_get_best_format memleak

    cheese_camera_device_get_best_format() calls
    cheese_camera_device_get_format_list(), which returns a sorted copy of
    the format lists, then takes the first element of that list, and
    returns a copy of that element. While never freeing the list copy.

    This patch fixes this leak by simply making the priv->formats list
    sorted so that cheese_camera_device_get_best_format can use it
    directly
    without the need to make (and then later free) a copy.

    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

M	libcheese/cheese-camera-device.c

commit 79c8074a8188d12e175ae099958ce2d02dad0a07
Author: Hans de Goede <hdegoede@redhat.com>
Date:	Mon Jun 10 10:56:25 2013 +0200

    Fix cheese_camera_device_filter_caps warning

    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

M	libcheese/cheese-camera-device.c

commit e90432501892ca0a59d6956c3970f5fee011e44d
Author: Hans de Goede <hdegoede@redhat.com>
Date:	Mon Jun 10 10:46:43 2013 +0200

    Remove unused GstCameraBinFlags enum

    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

M	libcheese/cheese-camera.c

commit cf493d747ba6f2326249aeb468c62aa03af2059e
Author: Hans de Goede <hdegoede@redhat.com>
Date:	Mon Jun 10 10:46:10 2013 +0200

    Fix video-source memleak when switching cameras

    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

M	libcheese/cheese-camera.c

commit 6f4127e8c72f48e427e5d94561cf055785c9b0fb
Author: Hans de Goede <hdegoede@redhat.com>
Date:	Mon Jun 10 10:39:16 2013 +0200

    Improve error handling in CheeseCamera

    Simplify error cleanup in cheese_camera_set_camera_source(). Do
    not call
    g_error_free() on a possible NULL error in
    cheese_camera_element_from_effect().

    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

M	libcheese/cheese-camera.c

commit f18ee5f13e8e3db4c5ebe6bf00b277dd9cb369be
Author: Hans de Goede <hdegoede@redhat.com>
Date:	Mon Jun 10 10:26:39 2013 +0200

    Fix no-video-after-switching-resolution problem

    There is a bug in wrappercamerabinsrc which causes it to lose its
    video-source setting after the pipeline has started, so on a
    stop/re-start, as when changing resolution, its video-source has
    become
    NULL, and there is no longer video.

    This patch works around this by moving the setting of the video-source
    property to cheese_camera_play(), so that it gets (re)set each time
    before starting the pipeline.

    I've also written a patch fixing the underlying cause, but since the
    workaround is simple, and has no adverse effects when the underlying
    issue is fixed, it seems a good idea to have this workaround in
    Cheese,
    see here for the gst-plugins-bad fix:

    https://bugzilla.gnome.org/show_bug.cgi?id=701915

    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

M	libcheese/cheese-camera.c

commit 1f0fe255c776e30325fa0357624180ea77d037cb
Author: Hans de Goede <hdegoede@redhat.com>
Date:	Sun Jun 9 17:14:00 2013 +0200

    Remove extranous csp_post_balance element

    camerabin2 already has a videoconvert element both before and
    after its
    video-source-filter element, so ending the video-source-filter
    bin with
    a videoconvert element puts 2 videoconvert elements behind each other,
    which is not really useful.

    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

M	libcheese/cheese-camera.c

commit ef21f49b0740befc2c06ee8a66cba4010af42185
Author: Hans de Goede <hdegoede@redhat.com>
Date:	Mon Jun 10 19:48:47 2013 +0200

    Add a capsfilter to the video-source bin

    This serves 2 purposes. Firstly, it forces GStreamer to actually
    run the
    video source at the configured resolution, rather then say run it at
    1600x1200 @ 5 fps and downscale that to 800x600 (still at 5 fps), as
    GStreamer opts to do with my Logitech Webcam Pro 9000, when left
    to its
    own auto negotiate code. Secondly, by greatly reducing the amount of
    advertised caps (this cam supports lots of different resolutions
    at many
    different framerates per resolution), it avoids a caps intersect
    "explosion", reducing the pipeline caps negotiation.

    Signed-off-by: Hans de Goede <hdegoede@redhat.com>

M	libcheese/cheese-camera.c

commit 67fe6e91ff3fd7acaaf03d24a46c157eab2719f2
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:	Sun Jun 16 20:29:18 2013 +0200

    Updated Hungarian translation

M	po/hu.po

commit b16be3a1de128517fbe866f1fcfb3afa92bc840b
Author: tuhaihe <wangdianjin@linuxdeepin.com>
Date:	Thu Jun 6 12:46:27 2013 +0800

    update Simplified Chinese (zh_CN) translation

M	po/zh_CN.po

commit ca982ad034dc183d072ee1bd19ab235a5a729d07
Author: David King <amigadave@amigadave.com>
Date:	Wed Jun 5 16:50:58 2013 +0100

    Remove nautilus-sendto sharing support

    As nautilus-sendto can now only share by email, the sharing can be
    handled by a photo management application, or directy by the email
    client.

M	Makefile.am
M	README
M	configure.ac
M	data/cheese-actions.ui
D	data/cheese.catalog
D	src/cheese-shareable-media.vala
M	src/cheese-window.vala

commit 7b569a95939491361a1eedce0b3d65b09bea56db
Author: Akom Chotiphantawanon <knight2000@gmail.com>
Date:	Mon Jun 3 21:22:56 2013 +0700

    Updated Thai translation.

M	po/th.po

commit d01c6509f18a80e13d8a9c6ac2aefb9fa93aae10
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:	Sun Jun 2 09:42:59 2013 +0200

    Updated German help translation

M	help/de/de.po

commit 547d88de76a82f6dbc16b9852623d303d61fdcc1
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:	Fri May 31 22:30:08 2013 +0900

    l10n: Update Japanese translation

M	po/ja.po

commit fc3a6220fb78042553218478c643ec00e5795846
Author: David King <amigadave@amigadave.com>
Date:	Wed May 29 14:22:21 2013 +0100

    Avoid assert when taking avatar photos too quickly

    If the take photo button was pressed while a photo was being taken, an
    assert would be triggered by the failed call to
    cheese_camera_take_photo_pixbuf(). Avoid this by setting the take
    photo
    button insensitive while a photo is being taken, and setting it
    sensitive after the photo has been taken. Fixes bug 699596.

M	libcheese/cheese-avatar-chooser.c

commit 082825e44f1f6f9f1ac6309c004be4d75239eb5d
Author: David King <amigadave@amigadave.com>
Date:	Tue May 28 08:09:09 2013 +0100

    Post-release bump to 3.9.3

M	configure.ac

commit fe78a6f1846be9707f4fe7882d155bee0d0a046e
Author: David King <amigadave@amigadave.com>
Date:	Tue May 28 08:03:20 2013 +0100

    Update NEWS for 3.9.2 release

M	NEWS
M	configure.ac

commit db418fc8683a06a0fbfaf50657890fdcdaca4a24
Author: David King <amigadave@amigadave.com>
Date:	Tue May 28 08:01:26 2013 +0100

    Make maintainer.sh compliant with POSIX sh

M	tools/maintainer.sh

commit 06e776d35e14887926cb757c24472b680043e980
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	Sun May 26 22:21:21 2013 +0300

    Updated Lithuanian translation

M	po/lt.po

commit 3be617af455754a1c80ff2bb9f12d699727d4ef3
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	Sat May 25 11:39:13 2013 +0300

    Updated Hebrew translation.

M	po/he.po

commit 33adf3515c41e4dab491ab912f6b5aeb44b9abbe
Author: Pavol Klačanský <pavol@klacansky.com>
Date:	Sat May 25 08:47:18 2013 +0200

    Updated slovak translation

M	po/sk.po

commit dfd199b986b572b316054a73d9f16fcd2464e885
Author: Pavol Klačanský <pavol@klacansky.com>
Date:	Sat May 25 08:42:03 2013 +0200

    Updated slovak translation

M	po/sk.po

commit 8e09b65c9a220e5b10c6f99627c0e400f340e11d
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	Thu May 16 14:46:38 2013 +0200

    Updated Norwegian bokmål translation

M	po/nb.po

commit eb772c2846dad9b5d4de57552a99676a3de0d6d5
Author: David King <amigadave@amigadave.com>
Date:	Tue May 14 18:18:54 2013 +0100

    Post-release bump to 3.9.2

M	configure.ac

commit bfaafd4b5af9800e6c7425d83aa3b26283659756
Author: David King <amigadave@amigadave.com>
Date:	Tue May 14 18:14:27 2013 +0100

    Disable the shoot action if the effects are shown

    Fixes bug 700317.

M	src/cheese-main.vala

commit b096ccab65dc6b77829671c4ecac0911bef5044d
Author: David King <amigadave@amigadave.com>
Date:	Tue May 14 17:47:59 2013 +0100

    Stop the running countdown on destruction

    Fixes bug 700315.

M	src/cheese-countdown.vala

commit 7153a8f5e747b9ac2660627d6ee25e0675246355
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	Thu May 2 22:33:07 2013 +0200

    Updated Slovenian translation

M	po/sl.po

commit 092d14f9cccfaae8370c2690eecfc9ef7639db23
Author: David King <amigadave@amigadave.com>
Date:	Tue Apr 30 08:40:21 2013 +0100

    Update NEWS for 3.9.1 release

M	NEWS
M	configure.ac

commit fc7bde250f25512e979d4deaec7fca0bc5cf9130
Author: David King <amigadave@amigadave.com>
Date:	Tue Apr 30 08:45:20 2013 +0100

    Fix UI string in avatar chooser test

M	tests/test-libcheese-gtk.c

commit 1e449e15a5c133c408202a060a6462f087a91b27
Author: Anish A <aneesh.nl@gmail.com>
Date:	Sat Apr 27 14:03:49 2013 +0530

    Updated Malayalam Translation

M	po/ml.po

commit 35bdb48224e68b8761cfd944830e9dce38804a4a
Author: Marek Černocký <marek@manet.cz>
Date:	Fri Apr 26 22:46:36 2013 +0200

    Updated Czech translation

M	po/cs.po

commit bd556ff85ddbd77d5e6f27f6db5e847dd1a6e340
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:	Fri Apr 26 11:14:20 2013 +0300

    Updated Greek translation

M	help/el/el.po

commit 73e20f7e37ef61d40a155b1b32e6296f8fa7a7e4
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Thu Apr 25 17:39:35 2013 +0200

    Updated Spanish translation

M	help/es/es.po

commit 263c3516424ed9b1b6a8d13245b761d7d74abf5f
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Thu Apr 25 10:26:33 2013 +0200

    Updated Spanish translation

M	po/es.po

commit 4cfe45c390361f4d764ce08ba1a3f2354ec16497
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:	Wed Apr 24 10:01:02 2013 +0300

    Updated Greek translation

M	po/el.po

commit a1f3fba3bc67543f3facbc522f38a85b65cbf974
Author: Anish A <aneesh.nl@gmail.com>
Date:	Wed Apr 24 00:31:01 2013 +0530

    Updated Malayalam Translation

M	po/ml.po

commit ed2fed663c4d1c326564a3863573557a0b73ae2d
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	Tue Apr 23 11:27:59 2013 +0200

    Updated Hungarian help translation

M	help/hu/hu.po

commit 228e0e533aa9083782d469c003d5a851f7041cf1
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Mon Apr 22 17:47:38 2013 +0200

    Updated Spanish translation

M	po/es.po

commit fc77a3882c22d7757063d4ae18ce30a09305d2b5
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	Sun Apr 21 23:35:35 2013 +0200

    Updated Galician translations

M	po/gl.po

commit d74aad51995707574a2b24f9b999ee301320a701
Author: David King <amigadave@amigadave.com>
Date:	Sat Apr 20 22:45:39 2013 +0100

    Use AM_VALAFLAGS rather than VALAFLAGS

M	Makefile.am

commit e75b9f6fa110dd22c801931bae0e99192cca199f
Author: David King <amigadave@amigadave.com>
Date:	Sat Apr 20 22:32:09 2013 +0100

    Avoid Vala warning about copying delegates

    Mark the variable in which CountdownCallback is stored as unowned,
    as it
    is simply a pointer to the callback.

M	src/cheese-countdown.vala

commit 424afdaabec32fff39f063c47b2a69a136912c6a
Author: David King <amigadave@amigadave.com>
Date:	Sat Apr 20 21:45:29 2013 +0100

    Use "autocluttersink" instead of "cluttersink"

M	libcheese/cheese-camera.c

commit df275ca197cc91adeb72a2d1a145a689ebb6a489
Author: David King <amigadave@amigadave.com>
Date:	Sat Apr 20 18:50:54 2013 +0100

    Use clutter_actor_set_background_color

    Instead of the deprecated cltuter_stage_set_color, use
    clutter_actor_set_background_color.

M	libcheese/cheese-widget.c

commit 9fc421d4f7c687812d738d0c5349394b8d83332d
Author: David King <amigadave@amigadave.com>
Date:	Sat Apr 20 18:49:00 2013 +0100

    Use clutter_actor_add_child

    Instead of using the deprecated clutter_container_add_actor, use
    clutter_actor_add_child.

M	libcheese/cheese-widget.c
M	tests/cheese-test-camera.c

commit 3b90a65166bc2ebdc3f318fbeb341f3fb9f1943b
Author: David King <amigadave@amigadave.com>
Date:	Fri Apr 19 20:12:19 2013 +0100

    Avoid deprecated clutter_actor_animate

    Use implicit animation instead.

M	src/cheese-countdown.vala
M	src/cheese-window.vala

commit 9e5f6d9baee8b22ad507fa2600e28b0f1b436d3d
Author: David King <amigadave@amigadave.com>
Date:	Fri Apr 19 18:50:38 2013 +0100

    Avoid deprecated clutter_table_layout_set_expand

    Use the "expand-x" and "expand-y" properties on ClutterActor instead
    (which are both set to false by default).

M	src/cheese-window.vala

commit 58d94cebbf9f24c5b10ad1ea9e25bd208dfee2b7
Author: David King <amigadave@amigadave.com>
Date:	Fri Apr 19 18:42:24 2013 +0100

    Use ClutterActor rather than ClutterRectangle

M	data/cheese-viewport.json
M	src/cheese-window.vala

commit 8a358365250687ae7a26283ec3d6f1c6e1ef014d
Author: David King <amigadave@amigadave.com>
Date:	Fri Apr 19 18:23:01 2013 +0100

    User ClutterActor rather than ClutterBox

    ClutterBox is deprecated.

M	data/cheese-viewport.json
M	src/cheese-window.vala

commit 047090d1a3cb135aa16701d72f02ca617009799e
Author: David King <amigadave@amigadave.com>
Date:	Sat Apr 20 22:41:00 2013 +0100

    Bump required versions of Clutter and GIO

    GIO 2.32 or above is required for GMenu support and Clutter 1.12 is
    required to make use of new API to avoid deprecation warnings
    when using
    Clutter 1.12 or above.

M	configure.ac

commit c09c9879318b56eea4ef4863197be9ddf6ec8d76
Author: David King <amigadave@amigadave.com>
Date:	Fri Apr 19 18:04:03 2013 +0100

    Avoid Vala compiler warning about implicit begin

M	src/cheese-window.vala

commit 94f6c4243f88befbf4f80ba8e4c7f3360a1022f6
Author: David King <amigadave@amigadave.com>
Date:	Fri Apr 19 18:01:51 2013 +0100

    Fix cheese_thumb_view_new() prototype

M	src/thumbview/cheese-thumb-view.h

commit 3ee196c7a31c442fc09fad1d9a690da497a05918
Author: David King <amigadave@amigadave.com>
Date:	Fri Apr 19 17:53:53 2013 +0100

    Remove some unnecessary "static" keywords

    This avoids some warnings from the Vala compiler.

M	src/cheese-countdown.vala

commit 8076d437ad84489968ca65637b2f7f364401dab6
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	Fri Apr 19 20:47:00 2013 +0100

    Update burst mode help page

    Improve the wording, add more details about the preference dialog.

M	help/C/burst-mode.page

commit f179399fa669d32906f683c4db7abb9a577812fe
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	Fri Apr 19 20:37:20 2013 +0100

    Update the gschema to use "photo" and "image"

    Use "photo" and "image" instead of "picture" so that the schema
    descriptions are more consistent and precise.

M	data/org.gnome.Cheese.gschema.xml

commit 8f391cfa5c6b62f8b7d5462c4ceff7913ac1a5d8
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	Fri Apr 19 18:56:03 2013 +0100

    Improve "Fire Flash" string in the Preferences

    Change "Fire Flash" to "Fire flash" because it is not a title,
    so should
    not use header capitalisation.

M	data/cheese-prefs.ui

commit a8a1c89810ab2f45ce87e3845791f3d2870dce37
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	Mon Apr 15 22:39:17 2013 +0100

    Fix typos in help

M	help/C/burst-mode.page
M	help/C/photo-take.page
M	help/C/video-record.page

commit 1f04c071a40eb46d4a08cba51f1ab479b9c55f32
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	Mon Apr 15 22:29:02 2013 +0100

    Update help for 3.8

    Mark author emails as not translatable. Correct "version" to
    "pkgversion" in revision tags. Update instructions for app menu
    and new
    preference dialog tabs. Stub mode-wide.page because the instructions
    are
    wrong.

R076	help/C/pref-burst-mode.page	help/C/burst-mode.page
M	help/C/introduction.page
R090	help/C/mode-wide.page	help/C/mode-wide.page.stub
M	help/C/photo-take.page
M	help/C/pref-countdown.page
M	help/C/pref-flash.page
M	help/C/pref-image-properties.page
R079	help/C/pref-photo-resolution.page
help/C/pref-resolution.page
M	help/C/video-record.page
M	help/Makefile.am

commit 3557cf2c9e0c03adc552b589e81309b5589fdac8
Author: David King <amigadave@amigadave.com>
Date:	Mon Apr 15 21:23:32 2013 +0100

    Replace GtkBox casts with GtkGrid casts

    This manifested as the "Leave Fullscreen" button not being displayed
    when switching into fullscreen mode. Fixed bug 691454.

M	src/cheese-window.vala

commit df52b02384dcc4fdd5246a78aa911391c77ae812
Author: Muhammet Kara <muhammetk@acikkaynak.name.tr>
Date:	Thu Apr 11 00:51:05 2013 +0300

    [l10n] Updated Turkish translation

M	po/tr.po

commit e04454a7838ed1d13b0d19b720878ff80eeb75cd
Author: Bastien Nocera <hadess@hadess.net>
Date:	Wed Feb 20 17:40:01 2013 +0100

    libcheese doesn't need gnome-desktop

    So don't link to it.

    https://bugzilla.gnome.org/show_bug.cgi?id=694288

M	configure.ac

commit 170602003e183d180f7584cd07f8fa6be28624ae
Author: Luciana Fujii Pontello <luciana@fujii.eti.br>
Date:	Tue Apr 9 00:49:31 2013 -0300

    cheese-camera: Fix creation of effects previews

    Since many previews are created, with many cluttersinks, we can't name
    the cluttersinks all the same. Passing NULL as the name of the element
    will let gstreamer choose the name.

M	libcheese/cheese-camera.c

commit 7a68758ff9ddd853cb2db7c812920150041f2e23
Author: Luciana Fujii Pontello <luciana@fujii.eti.br>
Date:	Thu Mar 28 12:16:44 2013 +0100

    libcheese: Fix deprecated clutter sink creation

    Create cluttersink with element_factory_make.

M	libcheese/cheese-camera.c

commit 1bc46630e38f1bc08c2cdce721b6b4fa769997e5
Author: Luciana Fujii Pontello <luciana@fujii.eti.br>
Date:	Thu Mar 28 12:06:37 2013 +0100

    Depend on valac 0.18 for gstreamer-1.0

    gstreamer-1.0 vala bindings is only available on valac-0.18.

M	configure.ac

commit 9d483c61c18b5ab9b4389f8f6cc0a03a9af31202
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	Mon Apr 8 13:58:31 2013 +0200

    [l10n] Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit b5fa19d40f40fbf54dc1d08a15837eed2b871172
Author: Xavier Català <catala.xavier@gmail.com>
Date:	Mon Apr 8 13:58:21 2013 +0200

    [l10n] Updated Catalan translation

M	po/ca.po

commit be8b0d40f66a17f10d518db876b2f9dd582ae946
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	Mon Apr 1 14:10:02 2013 +0100

    Update icon in user help to be untranslatable

M	help/C/index.page

commit 641ac31626dacf9113a3762b986d1a4cefe69d2b
Author: Laura Sales <laura.saflo@gmail.com>
Date:	Sun Mar 31 21:23:24 2013 +0200

    [l10n] Add Catalan translation

M	help/ca/ca.po

commit a5faefc713397f3aed424a753232186833813a9a
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	Sat Mar 30 09:40:36 2013 +0100

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 3e962a85b9c8c365cf73612f266850192723d664
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	Tue Mar 26 18:28:46 2013 +0200

    Update uk translation

M	po/uk.po

commit b6aaaea7338d5e82f76ec5a907e5cd4bf463d2bc
Author: Shantha kumar <shkumar@redhat.com>
Date:	Mon Mar 25 14:03:44 2013 +0530

    Tamil Translations Updated

M	po/ta.po

commit b5498de38d13ca1e9b49c0e56b7113ff9b2b9c65
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sun Mar 24 19:34:33 2013 +0100

    Fix translations of keywords in .desktop files

M	po/el.po

commit b493154ae8831be4bcf219df6b5b260c9f0c40b0
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	Sun Mar 24 12:29:24 2013 +0100

    Update French translation

M	po/fr.po

commit b65e250bb8a3d0ddaac1f3b355e973a3434e336a
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	Sun Mar 24 12:25:34 2013 +0100

    Update French translation

M	help/fr/fr.po

commit c1a81858ee1aef64b525e1a13ed2f00f898a85a9
Author: Reinout van Schouwen <reinouts@gnome.org>
Date:	Sat Mar 23 23:12:41 2013 +0100

    Updated Dutch translation (incorporate some fixes from gnome-3-6
    branch)

M	po/nl.po

commit 78fa96c759c01d6ce87ce8cc10f739cb0a420623
Author: Wouter Bolsterlee <uws@xs4all.nl>
Date:	Sat Mar 23 21:52:05 2013 +0100

    Updated Dutch translation

M	po/nl.po

commit 2564c1cdbc9c5cbe07ec823d0a26805216c76cd2
Author: Paulus Santané <laudaka.vertaalt@xs4all.nl>
Date:	Sat Mar 23 21:48:28 2013 +0100

    Updated Dutch translation

M	po/nl.po

commit d9a5b9b0b5fae9222c5e0711278e97a14dc889ad
Author: ManojKumar Giri <mgiri@redhat.com>
Date:	Fri Mar 22 19:36:32 2013 +0530

    Updated Odia Language along with FUEL implementation

M	po/or.po

commit fb8536b83e7efa29adc40f72c61bd4ed68362e16
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:	Fri Mar 22 10:55:45 2013 +0430

    L10N: Updated Persian Translation

M	po/fa.po

commit 21f5d42a5b1b35222c6aab3ea8ebee4b189617ed
Author: Ani Peter <apeter@redhat.com>
Date:	Fri Mar 22 11:47:50 2013 +0530

    Completed cheese for Malayalam

M	po/ml.po

commit f7c98b2148f3b39bf8bf3f0642acb073df4ccd22
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	Thu Mar 21 11:47:26 2013 +0100

    Updated Hungarian documentation translation

M	help/hu/hu.po

commit db0165000fa603bb1dbd15890d76de459a15e857
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:	Thu Mar 21 12:28:52 2013 +0530

    hindi translation

M	po/hi.po

commit e38b0cc4029f3f7142074783d8ae91d185ff9410
Author: ManojKumar Giri <mgiri@redhat.com>
Date:	Wed Mar 20 16:57:12 2013 +0530

    Updated Odia Translation.

M	po/or.po

commit 87171ef7b98e057126b369106bb8022a2940fb50
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	Mon Mar 18 14:10:01 2013 +0200

    Updated Latvian translation

M	po/lv.po

commit 76eeda8a056d2fd532b5018ae661ac5ef9510f1f
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:	Sun Mar 17 14:49:13 2013 +0100

    Updated Danish translation

M	po/da.po

commit 88fa0e664e99cbad098f941a0b0c6cacaecf2fbc
Author: Changwoo Ryu <cwryu@debian.org>
Date:	Sun Mar 17 20:39:45 2013 +0900

    Updated Korean translation

M	po/ko.po

commit 7f826e9f468522861dcbe2f5ce381df5876f2cb5
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:	Fri Mar 15 16:28:24 2013 +0530

    Assamese translation updated for gnome 3.8

M	po/as.po

commit 038be382e2c2eccfd5b5299abd555109b70000de
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:	Fri Mar 15 00:29:56 2013 +0000

    Updated Portuguese translation and converted to New Spelling (Novo AO)

M	po/pt.po

commit 6c6146fa1e1d1eab509767c5e98d890e22defd97
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:	Thu Mar 14 23:12:24 2013 +0100

    Updated Hungarian translation

M	po/hu.po

commit 34314c7bed1f9b03fbd660d5d8929c996bf47894
Author: Gil Forcada <gforcada@gnome.org>
Date:	Mon Mar 11 23:28:24 2013 +0100

    [l10n] Updated Catalan translation

M	po/ca.po

commit 94262238b3d594ba2ea5440da79bd98766692026
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	Mon Mar 11 18:12:52 2013 +0100

    [i18n] Fixed typo

M	data/cheese-main-window.ui

commit cf85716eff0750779eb66b6af8916244c178252d
Author: David King <amigadave@amigadave.com>
Date:	Mon Mar 11 17:00:19 2013 +0000

    Improve more translatable strings, bug 695459

    Disambiguate the "Take a photo" string further.

M	data/cheese-main-window.ui
M	libcheese/cheese-avatar-chooser.c

commit 74ef9e356be1c93837d2b71fc10b52f48fb19c8d
Author: David King <amigadave@amigadave.com>
Date:	Mon Mar 11 16:56:05 2013 +0000

    Improve some translatable strings, bug 695459

    Add a translator comment and extend some translatable strings to make
    the context more clear.

M	data/cheese-main-window.ui
M	src/cheese-effects-manager.vala
M	src/cheese-window.vala

commit e7968a42e833d9f0ac89f2a417c41876a242aa0b
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:	Sun Mar 10 20:52:54 2013 +0200

    Updated Greek translation

M	help/el/el.po

commit f44c8affd440c48384b4a631724537eaaf0edfad
Author: Pavol Klačanský <pavol@klacansky.com>
Date:	Sat Mar 9 08:02:26 2013 +0100

    Updated slovak translation

M	po/sk.po

commit ccd1148eb797b9496ba9b4f8cfefef263fcef039
Author: Pavol Klačanský <pavol@klacansky.com>
Date:	Fri Mar 8 19:30:51 2013 +0100

    Updated slovak translation

M	po/sk.po

commit a3d787cb048a87b64a46b721668cb87fc40afcd3
Author: Ville-Pekka Vainio <vpvainio@iki.fi>
Date:	Thu Mar 7 20:07:52 2013 +0200

    Finnish translation update by Jiri Grönroos

M	po/fi.po

commit bea60f85b02a3583a67bbcd3f93779a03ef89ca5
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	Thu Mar 7 16:38:19 2013 +0300

    Updated Belarusian translation.

M	po/be.po

commit 4f4d196ca0ee8238acc3953ad0f048a025e15cc8
Author: Enrico Nicoletto <liverig@gmail.com>
Date:	Wed Mar 6 23:41:30 2013 -0300

    Updated Brazilian Portuguese translation

M	help/pt_BR/pt_BR.po
M	po/pt_BR.po

commit a76da07e7ae23d5e1c010e340dc2253636884868
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	Tue Mar 5 22:37:46 2013 +0100

    [l10n] Updated German doc translation

M	help/de/de.po

commit 0bd9631b5505988756d7cbdb74b5865c17a9809e
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	Tue Mar 5 22:36:04 2013 +0100

    [l10n] Updated German translation

M	po/de.po

commit 0ef65b4ba15b98d3d9090e9eec852984111ee480
Author: David King <amigadave@amigadave.com>
Date:	Mon Mar 4 21:57:50 2013 +0000

    Post-release bump to 3.7.92

M	configure.ac

commit 1a91674ee9b62aac4a1cf929fa65680e258f8838
Author: David King <amigadave@amigadave.com>
Date:	Mon Mar 4 21:52:17 2013 +0000

    Update NEWS for 3.7.91 release

M	NEWS
M	configure.ac

commit 96afe95a7440bdf3292f5737408eec5f32af0e09
Author: Mario Blättermann <mario.blaettermann@gmail.com>
Date:	Sun Mar 3 20:29:59 2013 +0100

    [l10n] Updated German translation

M	po/de.po

commit a3e05b45933c97963df28f1a96a5f75f17cb2add
Author: Sweta Kothari <swkothar@redhat.com>
Date:	Thu Feb 28 15:58:05 2013 +0530

    Updated gujarati file

M	po/gu.po

commit e6ceee890cdcaf58d1c84755df6e871b3c746865
Author: A S Alam <aalam@users.sf.net>
Date:	Fri Feb 22 01:29:43 2013 +0000

    Punjabi: Translation updated (aalam)

M	po/pa.po

commit b59c8f52c716f69d5f39228bf2385319bc18df90
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	Wed Feb 20 20:46:00 2013 +0100

    Update French translation

M	po/fr.po

commit b2e13b8400c8f8da499ad3c7cb0f2e82e3de66dc
Author: Marek Černocký <marek@manet.cz>
Date:	Tue Feb 19 11:30:49 2013 +0100

    Updated Czech translation

M	po/cs.po

commit 0ef5ee03f44df5f4949871a5c260f23ba9d04bf5
Author: David King <amigadave@amigadave.com>
Date:	Mon Feb 18 21:18:32 2013 +0000

    Post-release bump to bersion 3.7.91

M	configure.ac

commit a18744b69d7e4260d61ecc5fe02a6d8ef8ac0eab
Author: David King <amigadave@amigadave.com>
Date:	Mon Feb 18 21:13:59 2013 +0000

    Update NEWS for 3.7.90 release

M	NEWS
M	configure.ac

commit 2f4a94a3ed41f77e0fbe47e3efa4a53bcac650d0
Author: Gheyret Kenji <gheyret@gmail.com>
Date:	Sun Feb 17 14:23:11 2013 +0900

    Updated Uyghur translation

    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

M	po/ug.po

commit 25c6bb9f366c7098d0172ca1060747ece9063a3d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Sat Feb 16 21:14:17 2013 +0100

    Updated Polish translation

M	po/pl.po

commit 29bbc8b4c5a70f1b7867867538ed81471d4221d4
Author: Tobias Endrigkeit <tobiasendrigkeit@googlemail.com>
Date:	Sat Feb 16 09:28:43 2013 +0100

    [l10n] Updated German documentation translation

M	help/de/de.po

commit 65abe3cb67e8cd66f54d46df56323b6baf77513d
Author: Wolfgang Stöggl <c72578@yahoo.de>
Date:	Sat Feb 16 09:24:07 2013 +0100

    Revert "[l10n] Updated German translation"

    This reverts commit bb8df31943167d2c39a976b83acd06edd6922694.

M	po/de.po

commit bb8df31943167d2c39a976b83acd06edd6922694
Author: Tobias Endrigkeit <tobiasendrigkeit@googlemail.com>
Date:	Sat Feb 16 09:19:33 2013 +0100

    [l10n] Updated German translation

M	po/de.po

commit 584046ba2510b4442df39558d88b5cd2b4d0b67a
Author: Daniel Martinez <dmartinez@src.gnome.org>
Date:	Thu Feb 14 19:35:30 2013 +0100

    Updated Aragonese translation

M	po/an.po

commit 57ff84b85f3ac3bce51c5814db392fd292f1eea0
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:	Mon Feb 4 19:45:21 2013 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

M	po/zh_HK.po
M	po/zh_TW.po

commit 59f1b1239fc402d336ace6d685f8e633cf6aec1d
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:	Sat Feb 2 16:57:05 2013 +0100

    Updated Basque language

M	po/eu.po

commit d19e33e1d132634de8901d9c1a9405d5583fcf4b
Author: Robert Ancell <robert.ancell@canonical.com>
Date:	Thu Apr 12 16:49:45 2012 +1000

    Change schema path to standard format, bug 673965

M	data/org.gnome.Cheese.gschema.xml

commit 02404eb358e9fa32504cf9ab02e2d425264a5cc9
Author: Milo Casagrande <milo@ubuntu.com>
Date:	Fri Jan 25 16:15:36 2013 +0100

    [l10n] Updated Italian translation.

M	po/it.po

commit 2847fbe93c78c977b54717d80a36e2519699cba8
Author: David King <amigadave@amigadave.com>
Date:	Sun Jan 20 11:54:15 2013 +0000

    Remove libgee dependency from configure.ac

    Since commit 4dc020519fb57a9e0fac806ce9b421a551ffa2a4 Cheese no longer
    depends on libgee.

M	Makefile.am
M	configure.ac

commit 4dc020519fb57a9e0fac806ce9b421a551ffa2a4
Author: David King <amigadave@amigadave.com>
Date:	Sun Jan 20 11:51:19 2013 +0000

    Avoid using libgee

    Rather than port to libgee 0.8, drop use of it entirely.

M	src/cheese-effects-manager.vala
M	src/cheese-window.vala

commit 4ceed836dfcf8b11d9430b5ef6f204c22fb4ebe7
Author: Gheyret Kenji <gheyret@gmail.com>
Date:	Sat Jan 19 11:58:38 2013 +0900

    Updated Uyghur translation

    Signed-off-by: Gheyret Kenji <gheyret@gmail.com>

M	po/ug.po

commit e6f32c48b6fd722f86fa029dd4aceadbbaa9b4a9
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:	Fri Jan 18 09:59:29 2013 +0100

    Updated Serbian translation

M	po/sr.po
M	po/sr@latin.po

commit 6324771f4c6479e05306ffc94ab49f6fa65bf040
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Tue Jan 15 14:33:26 2013 +0100

    Updated Spanish translation

M	help/es/es.po

commit 2f7f77a33c72092965066f43da79b3473091e490
Author: David King <amigadave@amigadave.com>
Date:	Mon Jan 14 22:46:33 2013 +0000

    Post-release version bump to 3.7.5

M	configure.ac

commit 3c6dab564337543de5fc4eb95bed575bde75a89e
Author: David King <amigadave@amigadave.com>
Date:	Mon Jan 14 22:43:13 2013 +0000

    Update NEWS for 3.7.4 release

M	NEWS
M	configure.ac

commit 11b9878c4985dd2053e1d16a1211930e38a34a5b
Author: Aurimas Černius <aurisc4@gmail.com>
Date:	Mon Jan 14 22:38:45 2013 +0200

    Updated Lithuanian translation

M	po/lt.po

commit 706841cf1ac25951577f6a85cf523b170d3c6aac
Author: Akom Chotiphantawanon <knight2000@gmail.com>
Date:	Sat Jan 12 22:24:30 2013 +0700

    Updated Thai translation

M	po/th.po

commit 3df4deba80bb2e129e13c425c42f655f0717a5f9
Author: Alexander Shopov <ash@kambanaria.org>
Date:	Fri Jan 11 08:38:55 2013 +0200

    Updated Bulgarian translation

M	po/bg.po

commit 103eaa738193292da5f60e7392dc2ffe449e9f4e
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	Mon Jan 7 13:47:10 2013 +0100

    Added friulian Language

M	po/LINGUAS

commit ecfa268b20a2740fb27bf557801fed9574d43658
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	Mon Jan 7 13:46:25 2013 +0100

    Updated

M	AUTHORS

commit 66ce8348f69e1f3aa1409d790c723436896bd66d
Author: Fabio Tomat <f.t.public@gmail.com>
Date:	Mon Jan 7 13:45:03 2013 +0100

    Added friulian translation

A	po/fur.po

commit 02f8e89436ec93d75dafbe06765eef512cb904d3
Author: Nick Black <nick.black@sprezzatech.com>
Date:	Sun Jan 6 17:09:04 2013 +0000

    Eliminate an instance-used-via-static warning

M	src/cheese-window.vala

commit c4707f68b8e578210a3c4b0a063878f5860e206f
Author: Nick Black <nick.black@sprezzatech.com>
Date:	Sun Jan 6 17:03:20 2013 +0000

    Avoid deprecated GFile attribute syntax

    Bump Vala requirement to 0.16.0.

M	configure.ac
M	src/cheese-window.vala

commit b2b0533aef724bdde5a5dad84b6fd8873afa7c3d
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:	Sat Jan 5 22:27:05 2013 +0600

    Updated Kazakh translation

M	po/kk.po

commit bfa6714493e126f8e3f5de0f5ea499a2a341cea1
Author: Ekaterina Gerasimova <kittykat3756@gmail.com>
Date:	Thu Jan 3 21:20:25 2013 +0000

    Update photo-take help page

    Update language and add instructions for capturing photo using a
    capture button on a webcam (bug 690961)

M	help/C/photo-take.page

commit 242cc91db549f160f4047ef1bbb26b83ebffd206
Author: David King <amigadave@amigadave.com>
Date:	Wed Jan 2 19:07:56 2013 +0000

    Shoot when the webcam capture button is pressed

    This functionality existed is Cheese 2.32 (it was added in commit
    de0114556cef148c396552d1c189b476ea0c8aab) but was lost in 3.0. Add it
    back to fix bug 690961.

M	src/cheese-main.vala

commit 8159fd9e69d9ec9994fe26b1bbcd78982ed9903e
Author: Balázs Úr <urbalazs@src.gnome.org>
Date:	Mon Dec 31 18:25:59 2012 +0100

    Updated Hungarian translation

M	po/hu.po

commit 5bbe5f9ff62d984ef6471deab91cddd2eb3795ec
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	Mon Dec 24 20:31:35 2012 +0100

    Updated Galician translations

M	po/gl.po

commit 8bc96ffef1ea45e637707b72a6b3c090cdc26db8
Author: Dimitris Spingos <dmtrs32@gmail.com>
Date:	Sun Dec 23 18:50:44 2012 +0200

    Updated Greek translation

M	po/el.po

commit 5dfc1d1ce7c4f92a2ec141a9d2cd80d66967ec9a
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:	Fri Dec 21 17:20:18 2012 +0100

    Updated Norwegian bokmål translation

M	po/nb.po

commit d8c0dc2f5f20675f26256e45324d9d98c73146f2
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:	Thu Dec 20 13:53:27 2012 +0200

    Updated Hebrew translation.

M	po/he.po

commit 75c3fe0bb35385097574627e916f12feca9a9f55
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:	Wed Dec 19 17:15:59 2012 +0200

    [l10n] Updated Estonian translation

M	po/et.po

commit 5d38a9bcd8439e90f664cad46722f765518476d2
Author: Aleksej Kabanov <ak099@mail.ru>
Date:	Wed Dec 19 11:38:04 2012 +0400

    Updated Russian translation

M	po/ru.po

commit e5186fbbb70e5d0358f337f2585b7b76a300facf
Author: Jorge Pérez Pérez <jorgtum@gmail.com>
Date:	Wed Dec 19 00:53:27 2012 +0100

    Updated Aragonese translation

M	po/an.po

commit 21b050fe3638b15197acbcd00e3bae19646b0d40
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:	Tue Dec 18 08:38:57 2012 +0100

    Updated Slovenian translation

M	po/sl.po

commit 022fe8ce555e8cee917ca169b7cb47eee2eeb624
Author: David King <amigadave@amigadave.com>
Date:	Mon Dec 17 23:00:34 2012 +0000

    Post-release bump to version 3.7.4

M	configure.ac

commit 449a6ca5fe3cf2effd4aa90256c5533a58781f9e
Author: David King <amigadave@amigadave.com>
Date:	Mon Dec 17 22:52:15 2012 +0000

    Update NEWS for 3.7.3 release

M	NEWS
M	configure.ac

commit fdcc3fb768918ccbaa7a563901238266b98526bd
Author: Shantha kumar <shkumar@redhat.com>
Date:	Mon Dec 17 18:04:26 2012 +0530

    Tamil translation updated

M	po/ta.po

commit df0eb218ebc42df0b311a42d50c903be3f09daf1
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:	Sun Dec 16 21:01:11 2012 +0100

    Updated Spanish translation

M	po/es.po

commit bcbf50c4ec9ee1cef96e5bfaacc8609a65b7bcf8
Author: Jorge Pérez Pérez <jorgtum@gmail.com>
Date:	Sun Dec 16 13:36:33 2012 +0100

    Added Aragonese translation

M	po/LINGUAS
A	po/an.po

commit 205e7430b6e96d153b77fa95bfb4c3e9eba39afe
Author: Catherine <cathvoilet@gmail.com>
Date:	Sun Dec 2 08:15:56 2012 +0800

    Return to the video view after selecting an effect

    Fixes bug 687879.

M	src/cheese-window.vala

commit d5c065122cdadc657940c7240e85a8aa07b6ac91
Author: Ryan Lortie <desrt@desrt.ca>
Date:	Wed Nov 28 08:16:47 2012 -0500

    More g_thread_init() removal

    Add --target-glib 2.32 to the VALAFLAGS so that we don't get
    g_thread_init() in the generated .c code.

M	Makefile.am

commit 8ee854063da5f3daea60dbb2292a9ae8ba2e707a
Author: Ryan Lortie <desrt@desrt.ca>
Date:	Mon Nov 26 15:32:31 2012 -0500

    Drop calls to g_thread_init() in tests

    Our dependency on Gtk 3.4 already gives us an indirect dependency on a
    GLib that no longer requires these calls.

    We got away with this for a while due to gstreamer's public dependency
    on libgthread, but as of bug 689043 gstreamer no longer does this
    so we
    now get link errors.

    https://bugzilla.gnome.org/show_bug.cgi?id=689117

M	tests/cheese-test-camera.c
M	tests/cheese-test-chooser.c
M	tests/cheese-test-widget.c
M	tests/test-libcheese-gtk.c
M	tests/test-libcheese.c

commit 472acf8b94795f4abad1889d74a3cf47c4ecd227
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:	Tue Nov 27 17:00:33 2012 +0100

    Updated Polish translation

M	po/pl.po

commit 3c51f3e639a7147f7fc8410844ea3ab1b50d0439
Author: Nilamdyuti Goswami <ngoswami@redhat.com>
Date:	Thu Nov 22 15:50:57 2012 +0530

    Assamese translation updated

M	po/as.po

commit 8e8f11bc36ade0120cc006acc6d2730ec91248a0
Author: Shao Changbin <changbin.shao@intel.com>
Date:	Thu Sep 6 03:23:14 2012 -0400

    Handle thumbnail directory creation, bug 671614

M	src/thumbview/cheese-thumb-view.c

commit 82603a97f2a96294167a260f5ff14bbaed2a24b7
Author: David King <amigadave@amigadave.com>
Date:	Tue Oct 30 09:35:16 2012 +0000

    Return NULL rather than a const empty string

    Fix bug 687042 and bug 687123 by returning NULL from
    cheese_camera_get_recorded_time() rather than a const empty
    string. The
    returned NULL can be safely freed with g_free(), whereas freeing the
    const string is undefined and leads to a crash with glibc.

M	libcheese/cheese-camera.c

commit 1342e27de08025c83fdb8ae3400e88098b3cd662
Author: Matthias Clasen <mclasen@redhat.com>
Date:	Sat Oct 27 16:02:20 2012 -0400

    Add keywords to the desktop file

    This makes gnome-shell search more satisfying.

    https://bugzilla.gnome.org/show_bug.cgi?id=687006

M	data/cheese.desktop.in.in

commit 0c1d4ff3da6b49a79dcb7c0defe66664d76ab86e
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	Tue Oct 23 16:03:26 2012 +0300

    Updated Greek translation

M	po/el.po

commit 7c13b153671d14f978645fc4b4421b4eb77677a3
Author: Jiro Matsuzawa <jmatsuzawa@gnome.org>
Date:	Mon Oct 15 22:54:32 2012 +0100

    Add some missing mnemonics, bug 684513

M	src/cheese-window.vala

commit 888bd5863938a75ee7e8220bf46f691f97ebd55f
Author: Pavol Babinčák <scroolik@gmail.com>
Date:	Tue Oct 9 22:03:46 2012 +0100

    Updated Slovak translation

M	po/sk.po

commit 75f5135cf26ea06d8dcb403567f05fed2083d53d
Author: Žygimantas Beručka <uid0@akl.lt>
Date:	Sun Sep 30 12:27:07 2012 +0300

    Updated Lithuanian translation

M	po/lt.po

commit 96990ddfca67de41f26c160aea4d99eb8bb25d03
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:	Wed Sep 26 01:35:38 2012 +0200

    [l10n] Updated Catalan (Valencian) translation

M	po/ca@valencia.po

commit 1aefb26548c1d2aa5ca237ff14c1a9e482d058a2
Author: Gil Forcada <gforcada@gnome.org>
Date:	Wed Sep 26 01:35:28 2012 +0200

    [l10n] Updated Catalan translation

M	po/ca.po

commit d9dbf44dfc26d6804a08fc40c26e2d0045689d26
Author: David King <amigadave@amigadave.com>
Date:	Mon Sep 24 21:55:09 2012 +0100

    Post-release verson bump to 3.7.1

M	configure.ac

commit 0fadeaab29be35f8eef9ba74c829141a8db09586
Author: David King <amigadave@amigadave.com>
Date:	Mon Sep 24 21:54:11 2012 +0100

    Update NEWS for 3.6.0 release

M	NEWS
M	configure.ac

commit 6cdee28792c8f324150c3161c1acf4dad09e6b56
Author: Tom Tryfonidis <tomtryf@gmail.com>
Date:	Mon Sep 24 13:28:08 2012 +0300

    Updated Greek help translation

M	help/el/el.po

commit 14f35e08b28d7e4a8f8787f8a75c660c5a6df022
Author: Timur Zhamakeev <ztimur@gmail.com>
Date:	Mon Sep 24 14:53:07 2012 +0600

    Added Kyrgyz translation to LINGUAS

M	po/LINGUAS

commit 2759bda54a4fadbc264c980f20cd82b496a60874
Author: Timur Zhamakeev <ztimur@gmail.com>
Date:	Mon Sep 24 14:52:48 2012 +0600

    Added Kyrgyz translation

A	po/ky.po

commit 7a48483e4fdd3e52c23b733088861b22307f44f2
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	Mon Sep 24 10:35:15 2012 +0200

    Update French translation

M	help/fr/fr.po
M	po/fr.po

commit 4b4491b7abd422a5b73fd54e68772bd4c6fbc6d8
Author: Mattias Põldaru <mahfiaz@gmail.com>
Date:	Mon Sep 24 10:53:18 2012 +0300

    [l10n] Updated Estonian translation

M	po/et.po

commit a700765f541c10f5ba73d08d0ee045019a74955e
Author: Sayak Sarkar <sayak.bugsmith@gmail.com>
Date:	Mon Sep 24 10:44:20 2012 +0530

    Updated Bengali India Translation

M	po/bn_IN.po

commit fe8644744630a52df68cad43de7a13792124b444
Author: YunQiang Su <yqsu@src.gnome.org>
Date:	Sun Sep 23 03:04:46 2012 +0800

    update Simplified Chinese (zh_CN) translation

M	po/zh_CN.po

commit bc9b48debd3eca8d4942c2ecdf6fe1530a0bddd4
Author: Noriko Mizumoto <noriko@fedoraproject.org>
Date:	Sun Sep 23 00:56:17 2012 +0900

    [l10n] Update Japanese translation

M	po/ja.po

commit f0ca48bf0a24154dfabb98e1df170188a07cca4c
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:	Fri Sep 21 10:32:56 2012 +0300

    Uploaded Ukranian

M	po/uk.po

commit 39831184a400202da2903cf15794f7b15f88f1db
Author: Krishnababu Krothapalli <kkrothap@redhat.com>
Date:	Thu Sep 20 15:56:05 2012 +0530

    Updated Telugu Translations

M	po/te.po

commit 9f967a13127b3134de45b35911f90e93f6ef9bf0
Author: Alexander Shopov <ash@kambanaria.org>
Date:	Wed Sep 19 20:47:22 2012 +0300

    Updated Bulgarian translation

M	po/bg.po

commit 5eaf8428968aef2d0a6e3a8ef1a843314b6afcde
Author: A S Alam <aalam@users.sf.net>
Date:	Wed Sep 19 20:14:06 2012 +0530

    update Punjabi Translation

M	po/pa.po

commit a9ef2b688912aecde0588ee08da129657fecd659
Author: Ani Peter <apeter@redhat.com>
Date:	Wed Sep 19 00:24:06 2012 +0530

    Updated Malayalam file

M	po/ml.po

commit 11c5a6b99c22cb2f89e6898ec39d8b5d28b32c5c
Author: Akom Chotiphantawanon <knight2000@gmail.com>
Date:	Tue Sep 18 22:51:34 2012 +0700

    Updated Thai translation

M	po/th.po

commit 1f52bcd2f312879976f2b36a2e158399175a7a2e
Author: David King <amigadave@amigadave.com>
Date:	Mon Sep 17 21:56:50 2012 +0100

    Update NEWS for 3.5.92 release

M	NEWS

commit 7619a6ac9fc46741e3e3e617c518e1d584fab1af
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:	Mon Sep 17 21:13:19 2012 +0400

    Updated Russian translation

M	po/ru.po

commit 13ce3ae1b7d879bde45066658eb63ec18a56ad54
Author: ManojKumar Giri <mgiri@redhat.com>
Date:	Mon Sep 17 18:42:40 2012 +0530

    Updated translation for Odia.

M	po/or.po

commit 32b9730600643127d1ac7a8f97f29959afc9474b
Author: Rajesh Ranjan <rranjan@redhat.com>
Date:	Mon Sep 17 16:10:39 2012 +0530

    hindi update

M	po/hi.po

commit 43cf5b1c3039ac293c7e13cae4d976613799c683
Author: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
Date:	Mon Sep 17 11:41:51 2012 +0300

    Updated Latvian translation

M	po/lv.po

commit 504b2a34ac019b60d9bee32edac01a429156b9d4
Author: Kenneth Nielsen <k.nielsen81@gmail.com>
Date:	Sun Sep 16 14:48:31 2012 +0200

    Updated Danish translation

M	po/da.po

commit 31ec20847e46129a4246fe206a26f1de7d41ae6f
Author: Seong-ho Cho <darkcircle.0426@gmail.com>
Date:	Sat Sep 15 15:25:36 2012 +0900

    Updated Korean translation

M	po/ko.po

commit f234da5eb62a9e4a934c541fc3988735a17cd3f3
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	Fri Sep 14 00:40:41 2012 +0200

    Updated galician translations for docs

M	help/gl/gl.po

commit a4273357373a2601c33f786c5d4453161508d06c
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	Thu Sep 13 13:28:51 2012 +0200

    Updated Hungarian help translation

M	help/hu/hu.po

commit 1415618480345975947ca2bad099cbad7ba18f86
Author: Timo Jyrinki <timo@debian.org>
Date:	Wed Sep 12 18:46:42 2012 +0300

    Finnish translation update by Jiri Grönroos

M	po/fi.po

commit fc9c9690d0e3ea0d958bb4eb8c2601963ac887db
Author: ManojKumar Giri <mgiri@redhat.com>
Date:	Wed Sep 12 20:19:53 2012 +0530

    Updated translation for Idia.

M	po/or.po

commit 22314bac900246141e13e7b00efa49ed51763331
Author: Gabriel Speckhahn <gabspeck@gmail.com>
Date:	Wed Sep 12 09:53:24 2012 -0300

    Updated Brazilian Portuguese translation for help file

M	help/pt_BR/pt_BR.po

commit 0e85139f37f1a51a4fbb4f64bc326d21e619de73
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	Mon Sep 10 11:55:33 2012 +0200

    Update French translation

M	help/fr/fr.po

commit ac6112330c831d6ab4af66f40074f12487f2f0e6
Author: Marek Černocký <marek@manet.cz>
Date:	Sat Sep 8 11:07:56 2012 +0200

    Updated Czech translation

M	po/cs.po

commit 21395ba8ef9de671874e6abef1276ce5e8e0523e
Author: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
Date:	Fri Sep 7 17:55:33 2012 +0300

    Updated Belarusian translation.

M	po/be.po

commit de682f5a954f8b50074b94701a13757310a0d85c
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:	Thu Sep 6 17:08:15 2012 +0200

    Update French translation

M	po/fr.po

commit 5d15db8474a26bee34f40a02618465e2ad3a7721
Author: Arash Mousavi <mousavi.arash@gmail.com>
Date:	Thu Sep 6 16:52:21 2012 +0430

    l10n: Updated Persian translation

M	po/fa.po

commit 228f674dd579c7ac225eec244ca5fc48043d6c58
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:	Wed Sep 5 19:17:21 2012 +0100

    Updated British English translation

M	po/en_GB.po

commit d46f3d37eb79c075b3f6ffcc92a186d750df8814
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:	Tue Sep 4 23:17:09 2012 +0200

    Updated Galician translations

M	po/gl.po

commit 0ac0f772fc21c6be79a12a747702396df5d612ba
Author: Fábio Nogueira <fnogueira@gnome.org>
Date:	Tue Sep 4 09:07:04 2012 -0400

    Updated Brazilian Portuguese translation.

M	po/pt_BR.po

commit bad91cc00f3184b902b6e1f18aa468dea10970ad
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:	Tue Sep 4 09:15:14 2012 +0200

    Updated Hungarian translation

M	po/hu.po

commit a1b7fe9fe3d6af6dafc77f650b59b949ef8fe860
Author: Muhammet Kara <muhammetk@acikkaynak.name.tr>
Date:	Tue Sep 4 07:14:41 2012 +0300

    [l10n]Updated Turkish translation

M	po/tr.po

commit ba8e742b345818dc90643491babb8e2f71fdc7f9
Author: David King <amigadave@amigadave.com>
Date:	Mon Sep 3 21:22:19 2012 +0100

    Post-release version bump to 3.5.92

M	configure.ac

commit 9b7d8ddf5c219a0bff962180e1396ccdc7f30b35
Author: David King <amigadave@amigadave.com>
Date:	Mon Sep 3 21:11:43 2012 +0100

    Update NEWS for 3.5.91 release

M	NEWS

commit 287c54d683640fa3f80b4839471fcd71282cf368
Author: David King <amigadave@amigadave.com>
Date:	Mon Sep 3 21:08:42 2012 +0100

    Post-release version bump to 3.5.91

M	configure.ac

commit 92c0591ec76568ba5c5f81d1bd7681834a8cc3a9
Author: David King <amigadave@amigadave.com>
Date:	Mon Sep 3 21:16:38 2012 +0100

    Fix another missing stdlib.h include

    For EXIT_FAILURE.

M	tests/test-libcheese-gtk.c

commit 84bdd5351c61130655a20b2818f1d9daed32c711
Author: David King <amigadave@amigadave.com>
Date:	Mon Sep 3 21:07:03 2012 +0100

    Bump libtool versioning after GStreamer 1.0 port

M	configure.ac

commit da4d2d695c876835d39d0a75fe4b2a0f74fb6ab9
Author: David King <amigadave@amigadave.com>
Date:	Fri Mar 9 17:50:52 2012 +0000

    Move variable declarations before code in C source

    This allows compilation to succeed with
    ‘-Werror=declaration-after-statement’ passed to GCC.

M	libcheese/cheese-camera.c

commit 25407875a1d8b4aa636380d76346163535f504cb
Author: Bastien Nocera <hadess@hadess.net>
Date:	Wed Aug 29 15:35:57 2012 +0100

    Fix comment about preset locations

    Update for new location in GStreamer 1.0.

    https://bugzilla.gnome.org/show_bug.cgi?id=680422

M	libcheese/cheese-camera.c

commit d28019711e7309f0918d37e89992ba454ac0c458
Author: Bastien Nocera <hadess@hadess.net>
Date:	Wed Aug 29 15:35:34 2012 +0100

    Update pkg-config dependencies for GStreamer 1.0

    https://bugzilla.gnome.org/show_bug.cgi?id=680422

M	data/cheese-gtk.pc.in
M	data/cheese.pc.in

commit be59ebd090b457b7459958a9d7fc254210f5919b
Author: Bastien Nocera <hadess@hadess.net>
Date:	Wed Aug 29 15:35:18 2012 +0100

    Fix dependencies for Cheese introspection

    Update for GStreamer 1.0.

    https://bugzilla.gnome.org/show_bug.cgi?id=680422

M	Makefile.am

commit 90b0ac08c64428b78e3ef77a9bafe32dcf6d2bee
Author: David King <amigadave@amigadave.com>
Date:	Mon Sep 3 20:34:36 2012 +0100

    Add stdlib.h include for EXIT_SUCCESS

M	tests/cheese-test-camera.c
M	tests/cheese-test-chooser.c

commit 9cd75297ebc9d95024ef70065531162b7f0b2ffd
Author: Thiago Santos <thiago.sousa.santos@collabora.com>
Date:	Tue Aug 28 21:12:38 2012 -0300

    Depend on the new clutter-gst version

M	configure.ac

commit a029969f502982dec925a35d2e82b263f874e3d7
Author: Thiago Santos <thiago.sousa.santos@collabora.com>
Date:	Tue Aug 28 20:47:35 2012 -0300

    Update to the new pad template name

M	libcheese/cheese-camera.c

commit cec62e60a29c3f16f40db5241265caa702588705
Author: Thiago Santos <thiago.sousa.santos@collabora.com>
Date:	Tue Aug 28 20:47:12 2012 -0300

    Rename ffmpegcolorspace to videoconvert

    The element was renamed in GStreamer 1.0.

M	libcheese/cheese-camera.c

commit ee09440723acedda74d567ff3fab3c256d6b0bc0
Author: Thiago Santos <thiago.sousa.santos@collabora.com>
Date:	Tue Aug 28 20:46:34 2012 -0300

    Update raw caps to new format

    There is no video/x-raw-yuv or -rgb, they are both now video/x-raw
    with
    a format field.

M	libcheese/cheese-camera-device.c
M	libcheese/cheese-camera.c

commit c392ff15f1cb2e31296a863664059272c3503c2d
Author: Thiago Santos <thiago.sousa.santos@collabora.com>
Date:	Tue Aug 28 20:35:50 2012 -0300

    Update to GStreamer 1.0 API

M	libcheese/cheese-camera-device.c
M	libcheese/cheese-camera.c

commit 46f85427fe762175e7f014999ccc9732fe60b13d
Author: Thiago Santos <thiago.sousa.santos@collabora.com>
Date:	Tue Aug 28 20:35:12 2012 -0300

    Rename camerabin2 to camerabin

    camerabin2 was renamed to camerabin in GStreamer 1.0.

M	configure.ac
M	libcheese/cheese-camera.c

commit 4177d238d295036edbdfcc017ddcdd7e1337cd53
Author: Thiago Santos <thiago.sousa.santos@collabora.com>
Date:	Tue Aug 28 19:30:11 2012 -0300

    Depend on gstreamer-1.0

M	Makefile.am
M	configure.ac
M	src/vapi/cheese-common.deps

commit 1b75e115fbeab39026a3729401ca235c347c4b2d
Author: Luciana Fujii Pontello <luciana@fujii.eti.br>
Date:	Sun Jul 29 18:15:22 2012 +0200

    Do not set filter-caps property on camerabin2

    The "filter-caps" property doesn't exist on camerabin2.

M	libcheese/cheese-camera.c

commit ab19bd347e296853f2fdcded3a1382164a55491c
Author: Luciana Fujii Pontello <luciana@fujii.eti.br>
Date:	Thu Jul 26 11:04:56 2012 +0200

    Re-add GstCaps variable in CheeseCamera

    caps variable was removed during rebase, but it is still used.

M	libcheese/cheese-camera.c

commit d9e0c8fffc3a62746b21650b6fcc5cc6a49d2ca7
Author: Thiago Santos <thiago.sousa.santos@collabora.com>
Date:	Mon Apr 30 09:26:41 2012 -0300

    Fix CheeseCamera recording time reporting

    Camerabin2 maintains its pipeline clock continuously running,
    this makes
    the time reporting for video recording actually report the time since
    camerabin2 was initialized.

    This patch fixes it by querying the video filesink for the correct
    recording time.

M	libcheese/cheese-camera.c

commit 52e64969beac36ff185c8984862a83ebff3f0901
Author: Thiago Santos <thiago.sousa.santos@collabora.com>
Date:	Wed Feb 1 22:12:11 2012 -0300

    Check for camerabin2 instead of camerabin

M	configure.ac

commit 87e7b7037f5b0a18177ec2fa9e467239c1c42491
Author: Oleksij Rempel (Alexey Fisher) <bug-track@fisher-privat.net>
Date:	Wed Feb 1 20:55:33 2012 -0300

    Encode WebM/VP8 instead of OGG/Theora

    Create WebM profile and use it with camereabin2. Also use presets for
    vp8enc.

M	configure.ac
M	libcheese/cheese-camera.c

commit 4ebe8c4672d056a53b64f501e0e4f9d10d6914e5
Author: Thiago Santos <thiago.sousa.santos@collabora.com>
Date:	Fri Nov 25 21:12:31 2011 -0300

    Stop-capture is asynchronous in camerabin2

    Wait for video-done message to signal that capture is over.

M	libcheese/cheese-camera.c

commit 08614f1e42f5776babb793c3e374b60ca3ef029a
Author: Thiago Santos <thiago.sousa.santos@collabora.com>
Date:	Fri Nov 25 20:35:59 2011 -0300

    Image-done message is posted by camerabin2

    Camerabin2 is the element to post the image-done message, not
    the camera
    source.

M	libcheese/cheese-camera.c

commit 30915254a62df35458a207ebbb6730c94002560b
Author: Thiago Santos <thiago.sousa.santos@collabora.com>
Date:	Fri Nov 25 20:10:48 2011 -0300

    Remove unused variables warnings in CheeseCamera

M	libcheese/cheese-camera.c

commit e2a135238ec6af948fc1fa79d587817ea1c2a61b
Author: Raluca Elena Podiuc <ralucaelena1985@gmail.com>
Date:	Thu Jul 28 23:20:09 2011 +0300

    Split setting of CheeseCamera caps from playing

    Add new cheese_camera_set_new_caps() method, split from
    cheese_camera_play().

M	libcheese/cheese-camera.c

commit 8af5321ccd7c7505a113cbe13ba66438b4682a12
Author: Raluca Elena Podiuc <ralucaelena1985@gmail.com>
Date:	Thu Jul 28 23:13:08 2011 +0300

    Set ClutterTextureVideoSink sync=false

    Without this the sink will issue a warning:

      ** (cheese:21655): WARNING **: Internal data flow problem.:
      gstbasesink.c(3626): gst_base_sink_chain_unlocked ():
      /GstCameraBin2:camerabin2/GstViewfinderBin:vf-bin/ClutterGstVideoSink:cluttergstvideosink0:
      Received buffer without a new-segment. Assuming timestamps start
      from 0.

    I'm not sure what the implications of this setting are. It might be
    caused by the clock/time rewriting magic from camerabin2.

M	libcheese/cheese-camera.c

commit e7797dbee3b69c421d2258f43c97b756f9637216
Author: Raluca Elena Podiuc <ralucaelena1985@gmail.com>
Date:	Thu Jul 28 23:12:15 2011 +0300

    Do not switch mode when stopping video recording

M	libcheese/cheese-camera.c

commit ab16312179d56a354fcd4e2fad1d6a8b764c6441
Author: Raluca Elena Podiuc <ralucaelena1985@gmail.com>
Date:	Thu Jul 28 00:03:55 2011 +0300

    Set the video resolution

    Use the viewfinder-caps property of camerabin2, rather than the
    set-video-resolution-fps signal of camerabin.

M	libcheese/cheese-camera.c

commit cc36e4101fa82c81d2b164cb18a2e995a497a028
Author: Raluca Elena Podiuc <ralucaelena1985@gmail.com>
Date:	Fri Jul 22 11:58:07 2011 +0300

    Fix pixbuf-only capture

    camerabin2 sends the preview-image bus message through the
    gstwrappercamerabinsrc.

    In camerabin2 if the location is NULL, it is interpreted as a "don't
    write in a file just post the buffer as a bus message".

M	libcheese/cheese-camera.c

commit d5343177813f462f3798bc976139665ee1b61aa9
Author: Luciana Fujii Pontello <luciana.fujii@collabora.co.uk>
Date:	Tue May 10 22:05:46 2011 -0300

    Enable post-preview property when needed

    When taking a photo to pixbuf, sets post-preview to enable
    camerabin2 to
    send the preview message.

M	libcheese/cheese-camera.c

commit c0e25fd3b5547c76128b86c6a90f259c2a2a7784
Author: Luciana Fujii Pontello <luciana.fujii@collabora.co.uk>
Date:	Thu May 5 16:45:34 2011 -0300

    Remove camerabin workaround

    No longer needed with camerabin2.

M	libcheese/cheese-camera.c

commit bc546a884dbbcbb4d1a9e86004696ebd48a50e20
Author: Raluca Elena Podiuc <ralucaelena1985@gmail.com>
Date:	Wed Jul 13 18:31:37 2011 +0300

    Convert image-done to a bus message, from a signal

    Quote from camerabin2's PORTING guide:

    In camerabin, image-done is a signal, in camerabin2, it is a bus
    message

    Signed-off-by: Raluca Elena Podiuc <ralucaelena1985@gmail.com>

M	configure.ac
M	libcheese/cheese-camera.c

commit bea01f693dc0fbceb01c7a64c5b70d0897b047bd
Author: Raluca Elena Podiuc <ralucaelena1985@gmail.com>
Date:	Wed Jul 13 16:23:53 2011 +0300

    Use definitions of MODE_IMAGE/VIDEO from camerabin

       #ifndef GST_USE_UNSTABLE_API
       #warning "camerabin enums are unstable API and may change in
       future."
       #warning "You can define GST_USE_UNSTABLE_API to avoid this
       warning."
       #endif

M	libcheese/cheese-camera.c

commit 2204b80e8f72f421cee347e3fe5f35ecf6b73ca5
Author: Raluca Elena Podiuc <ralucaelena1985@gmail.com>
Date:	Wed Jul 13 14:21:27 2011 +0300

    Handle photo/video moved to monitored directories

    Camerabin2 creates a temporary file, writes data to it and in the
    end it
    moves it to the destination path.

    Without G_FILE_MONITOR_SEND_MOVED to g_file_monitor_directory, moves
    would be sent as DELETE + CREATE.

    Unfortunately, we would also get CREATE events when the temporary file
    was created. We cannot listen for CREATE events as temporary files
    would
    be CREATEd and then CHANGEd and the thumb-view creation code
    would work
    with bad data.

    By using G_FILE_MONITOR_SEND_MOVED we get a single event when the file
    is moved. As the file monitor ignores files with unknown extensions
    (as
    is the case for the temporary files created by camerabin2) we
    could only
    just append the new file. But because the user might also move a
    picture/video manually from the Pictures/Webcam or Videos/Webcam
    directories, removing the old file from the thumb-view keeps it
    up-to-date with the state of the file system.

    If camerabin2 switches away from the create-temp+move approach, to the
    camerabin one (create the destination file directly), we're prepared
    to handle that code with G_FILE_MONITOR_EVENT_CHANGES_DONE_HINT.

M	src/thumbview/cheese-thumb-view.c

commit 46ec0d0ee07e544abc3eaae16543da5cb2613e48
Author: Raluca Elena Podiuc <ralucaelena1985@gmail.com>
Date:	Tue Jul 12 22:13:01 2011 +0300

    Rename filename and capture-start/stop

    Quote from camerabin2's PORTING guide:

    [...] is now called 'location' instead of 'filename'

    The signals were renamed from capture-start/stop to start/stop-capture
    as this is the usual naming on actions.

M	libcheese/cheese-camera.c

commit d15ce8cc55a02fd3f8bcdf06147a7960aec8d035
Author: Raluca Elena Podiuc <ralucaelena1985@gmail.com>
Date:	Wed Jul 13 19:38:19 2011 +0300

    Video filter on camera_source applies to all modes

    If the effect is applied on camera_source, the effect will be
    available
    in viewfinder and image/video capture modes.

M	libcheese/cheese-camera.c

commit 4b4ef05d5a9b1b4a9c79e1bfb1ee5335b5804273
Author: Raluca Elena Podiuc <ralucaelena1985@gmail.com>
Date:	Tue Jul 12 19:49:33 2011 +0300

    Minimal functionality based on camerabin2

